PeoplePlannerHelp

Maconomy People Planner Online Help

Welcome to the online help system for Maconomy People Planner.


About views and perspectives

In People Planner, you can access functions through simple functional views or perspectives supporting workflows.

A view is a window containing a specific type of information in the database. For instance, the Resources view contains information about the individual resources in your system, whereas the Project Manager Gantt Chart view contains project planning information and resource allocations.

A perspective is a combination of views set up to support one or more specific workflows. Each perspective can consist of multiple views arranged in frames or tabs.

By setting up perspectives, you provide users with a direct and goal oriented access to the information they need in a certain context / work situation.

Properties for perspectives

Perspectives store and reproduce all customization you might have made to grids as well as subgrids. This includes:

  • Display and arrangement of columns (e.g. selection, placement, width)

  • Display and selection of rows (e.g. grouping, sorting and filtering). An example is the case of a project manager who wants to see a list with only the projects for which he is responsible.

  • Each view within a perspective might contain several alternative layouts which can be selected by the user. This can be a practical way to reduce the number of perspectives.

  • It is possible to include user specific help for steps a user might want to go through using a perspective.

Synchronized views

Common data in views are generally synchronized in People Planner. This means that for example moving an activity in the Project Gantt chart will automatically be reflected in the Resource Capacity view and vice versa if the perspective contains both views

Another example is the situation where you suddenly need to have a reference data field updated while creating a new data element, e.g. a new person is defined in the Resource View and this person has a revenue rate which is not yet defined in the Revenue Rate table. You can then - on the spot without leaving the current perspective - select the Rate table view from the View window add the rate information and continue to work in the resource view where this new rate is now available.

4 groups of perspectives

In the Perspective view you find 4 tabs in the bottom of the view:

  1. Factory: Basic preconfigured perspectives for basic workflows. The perspectives in this tab cannot be changed.

  2. Solution: Perspectives preconfigured by Maconomy. The views in this tab are protected and require special license rights to be modified. These perspectives are partly set up to demonstrate the different roles in the organization supported by People Planner, e.g. Project Manager, Resource Manager, top Management and the Employee.

  3. Company: Your standard perspectives. Can only be modified by users with the appropriate access rights.

  4. User: User specific perspectives which are stored locally as part of the user’s personal settings.

You can open any perspective in these folders, make any desired modifications, and then store it in another folder, provided you have the access right. Thus, all perspectives serve as templates for new perspectives.

Access rights

Views and perspectives are closely connected to access rights. Each user can be assigned to one ore more roles for which access rights are defined. This includes which views and perspectives are accessible, what you can do within each data element (view, update) and which buttons are available in the ribbons.


View and perspective windows

The View and Perspective windows present you with the views and perspectives available to you. You are only presented with views associated with your role as defined in the setup of the People Planner.

To activate a view or perspective, open the folder containing the desired view or perspective, and double-click the view or perspective.

More about

  • Moving, docking and merging perspective and view selection windows

Opening a view or perspective

To open a view or perspective, navigate to the view or perspective in the view or perspective window, and double-click the view or perspective to be opened.

Moving, docking and merging perspective and view selection windows

The Perspective and View windows can be arranged in the same way as views and perspectives. This means that you can merge them with each other (or with other windows), dock them at the top, bottom, left or right side of the screen, and pin them to the left edge. For more information about this, see Arranging windows.

Optimizing the workspace

If you have a perspective that combines a number of views, you can set the “Optimize workspace” property to remove some unnecessary elements from the UI - for example, this will remove the title bar on view windows that are stacked vertically within a perspective.

Right-click the perspective in the Perspectives tab in order to toggle workspace optimization on, and save the perspective. The next time the perspective is opened, it will be optimized.


Grids

A Grid is a spreadsheet-like element in which you can enter information. Grids are used in most views and perspectives.

In a Grid, you can enter various information, depending on the context, e.g. the columns available. For instance, in the Resources view, the Grid contains names, rates, resource types etc. of your individual resources. In the Activities view the Grid contains information about activities in a project and therefore contains a different set of columns.

Navigating and entering data in Grids is similar in all views and perspective, regardless of context.

Heading row

At the top of the grid is the column heading row displaying the name of each column. The heading row gives access to a number of actions and options such as filtering and sorting.

More about

  • Ribbons Sorting rows

  • Rearranging columns

  • Filtering rows

  • Group By box

Indicator cell

At the left of each row is an indicator cell. The indicator cell shows which row is selected [image] and the current state of the row (for instance that the current cell is being edited).

By clicking the indicator cell on a row, you can select the whole row. You can also click an indicator cell and drag up and down to select a range of rows.

Grid row hierarchy

The rows in a grid are sometimes arranged hierarchically with a grid within a grid and so on. A subgrid has the same features for customization and selection as the general grid. Rows can be expanded by clicking the + indicator and collapsed by clicking the - indicator. The grid row hierarchy improves the overview as you can adjust the view to the detail level you need and hide unnecessary information.

Row hierarchies can either be due to:

  • Dynamic (user selected) grouping using the Group By box

  • Work Breakdown Structure on projects or

  • Special subgrids containing related details about the row in question, e.g. skills or activities assigned to a person or in the project grid person assigned to an activity.

Distinguishing between group rows, WBS rows and rows with subgrids

Rows with subgrids are shown in plain text but have an expand/collapse box.

Group rows created using the Group By box are recognized by gray, bold text and a box containing an expand/collapse button at the left of the row.

WBS rows with subordinate rows due to Work Breakdown Structure are shown in bold text and have an expand/collapse button which is not outlined by a box. Note, however, that a row of this type may also have a subgrid, so that there is an expand/collapse button for the subgrid and one for the subordinate WBS lines.

Expanding and collapsing group rows, WBS rows and rows with subgrids

Clicking the expand/collapse box on a row toggles between viewing and hiding the rows or the subgrid of the row in question.

Group rows created using the Group By box can also be expanded using the arrow right key, and collapsed using the arrow left key when the desired row is selected.

Group rows

If you have grouped lines by using the Group By box, each group is summarized on a group row and the individual rows within the group become subordinate rows.

Bold, gray text and a small box to the left of the first column on a row indicates that the row is a group row.

If the box contains a [image], you can click the box or double-click the row’s indicator cell to expand the row, so that the subordinate rows are shown beneath the group row. If the box contains a [image], the subordinate rows are already shown, and you can click the box or double-click the row’s indicator cell to collapse the group row, thus hiding the subordinate rows.

WBS rows

Projects and activities can be arranged hierarchically by indenting and outdenting individual rows. For instance, a row representing a project may have a number of subordinate rows representing activities.

Bold text and an expand/collapse button which is not outlined by a box indicate that the row contains subordinate WBS rows.

If the expand/collapse button contains a +, you can click the button to expand the row, so that the subordinate rows are shown beneath the WBS parent row. If the box contains a -, the subordinate rows are already shown, and you can click the button to collapse the group row, thus hiding the subordinate rows.

More about

  • Arranging WBS structure: Indent, Outdent, Move Up and Move Down buttons

Master rows and subgrids

Rows with subgrids are called master rows. These rows are shown in plain text but have an expand/collapse box.

A subgrid contains information related to the information on its master row. For instance, if the master row contains information about a job task, the subgrid may contain information about the resources assigned to the task on the master line. The type of information contained in the subgrid depends on the view or perspective and cannot be changed.

If the box contains a [image] you can click the box or double-click the row’s indicator cell to bring up the subgrid beneath the row. If the box contains a [image], the subordinate rows are already shown, and you can click the box or double-click the row’s indicator cell to collapse the group row, thus hiding the subordinate rows.

Moving focus in Grid

Action | Method
Select a specific cell | Click the desired cell
Move one cell down | Press Arrow down.
Move one cell up | Press Arrow Up
Move one cell right | Press Arrow Right or TAB
Move one cell left | Press Arrow Left or Shift+TAB
Move to the first cell in the current row (requires that the current cell is closed) | Press Home
Move to the last cell in the current row (requires that the current cell is closed) | Press End
Move to the first cell in the top row | Press Ctrl+Home
Move to the last cell in the last row | Press Ctrl+End

Entering data in Grid cells

When focus is in a cell, you can start editing the data. The data you can enter must match the type of information relevant for the column in question. For instance, some fields must contain an amount whereas others can contain text.

In amount fields, you can use the pop-up calculator. It is opened by entering an operator on the numerical part of the keyboard. You can use the four normal operators (addition, subtraction, multiplication and division.) When you press one of these keys, while in an amount field, the calculator will pop up a box where you can enter a number. When you press Enter, the operation will be performed with the number already in the cell as the first operand, and the number you now entered as the second operand. The result will replace the contents of the cell.

There is also a convenient shortcut for entering the same value in a range of cells: just select the cells (for example, by using the arrow keys while the Shift key is also depressed), and enter a number. This number will replace the contents of all the cells in the selection.

See the sections below for information about selecting values in popup fields and date fields.

Popup fields

Popup fields are cells that allow you to choose a value from a list of options or (in the case of date fields) a calendar.

Action | Method
Open popup option list | Move focus to the cell and press Alt+Arrow down or click the popup arrow button.
Move between options in list | Arrow up and down
Select option in list | Press Return or Space/Click option

When the popup list is open, you can also start typing the name of the desired option. A list appears, showing the names of the options matching your typing. The list is automatically updated as you type. You can then use the arrow up and down keys to select the desired value in the list and press Return or Space to select it.

When the popup list is opened, it may contain multiple tabs. For instance, the field in which you can pick a color for Gantt bars contains three different tabs containing different color schemes. To change between the tabs, click the desired tab.

Date fields

Date fields always contain a date, a month and a year. The date format follows the date and time settings of your workstation.

You can select dates using a popup calendar, or you can open the cell by clicking date, month or year, and enter dates using the keyboard.

Action | Method
Switch between date, month and year in open cell | Left and Right arrow keys
Increase date, month or year in open cell | Ctrl+Arrow Up
Decrease date, month or year in open cell | Ctrl+Arrow Down
Open popup calendar | Move focus to the cell and press Alt+Arrow down or click the popup arrow button.
Move between dates in popup calendar | Arrow keys
Select date in popup calendar | Press Return or Space/Click date
Go to previous/next month | Click the left or right arrow next to the month name - or press Ctrl+Arrow Left or Ctrl+Arrow Right.
Go to previous/next year | Click the left or right arrow next to the year - or press Shift+Arrow Left or Shift+Arrow Right.
Go to a specific month | Click the month and year field above the popup calendar to zoom out and see the names of the individual months. Click the desired month to zoom back in and see the dates within the month.
Go to a specific year | Click the month and year field above the popup calendar to zoom out. Then click the year number to zoom further out and see a range of years. To select a distant year, zoom out once more to pick a decade. Click the desired year (or decade) to zoom back in, and click the month to which you want to jump.

Canceling data entry

To cancel the data entry in the current cell, press Esc.

Copy and paste in data cells

A number of keyboard shortcuts for copying, cutting and pasting in data cells are available.

Shortcut | Effect
Ctrl+C | Copy the selected area (one or more cells.) Cells can beselected by using the keyboard. Cells can be added to a selection by moving the cursor with the arrow keys while keeping the Shift key down. Note that it is possible to create a non-rectangular selection this way.
Ctrl+X | Cut (that is: remove) the selection insetad of copying. The contents are still available for pasting.
Ctrl+V | This shortcut will paste in the copy that was created with Ctrl-C or Ctrl-X. The data will be pasted into the cell that is currently selected. If the copy containes more than one cell, the pasting will begin at the currently selected cell.

Note that cell contents are over-written when pasting.

Committing/saving entered data

Information entered on a Grid row is not saved until you press Enter or click the [image] button at the bottom of the Grid.

As long as you have not saved the changes made to a row, you can undo the changes (see Undoing data entry in Grid cells).

Performance recommendations

Please note that saving/committing data entries other data in the system may need to be updated to reflect the new information. The time needed for this depends on how complex the data entry is and how many views you have open in your perspective. If you want to update more than one cell in a row it is faster to wait with commit until all cells have been changed in stead of making commit for each cell.

Views in a perspective which are placed as tabs are not updated until the tab is pressed and the view is activated.Therefore, if you experience low performance when entering data in cells, it may help if you simplify your perspective by removing or tabbing views. You might want to make a dedicated simple perspective for such work.

Undoing data entry in Grid cells

If you have edited information in one ore more cells, you can undo the change by pressing ESC which will undo the data entry cell by cell in reverse order for each time you press ESC.

This is only possible as long as you have not saved/committed the information.

Sorting rows

To sort the rows in a Grid, click the column heading of the column by which the rows should be sorted.

A triangle in the heading indicates that rows are now sorted by the values in this column. If the triangle points up, rows are sorted in ascending order (lowest value first). If the triangle points down, rows are sorted in descending order.

To toggle between sorting in ascending and descending order, click the column heading again.

Selecting rows in a Grid

To select one or more rows in a grid:

To select | Do this
A single row | Click a cell on the desired row or click the indicator cell of the row in question.
Multiple, adjacent rows using the mouse | Click the indicator cell and drag up or down until the desired range is selected. Or click the top row to be selected, then hold down Shift and click the bottom row to be selected.
Multiple, adjacent cells using the keyboard | Move focus to the top row to be selected, then hold Shift and use the keyboard to move focus to the bottom row to be selected.
Multiple non-adjacent rows | Click the first cell to be selected, then hold down Ctrl and click the other cells to be selected.
More or fewer rows than currently selected | Hold down Shift and click or move focus with the keyboard to the bottom row to be included in the new selection.
Unselect a single row | Hold Ctrl and click a cell on the row.
All rows | Press Ctrl+A

Adding rows in a Grid

You can add rows to a Grid to create new data. For instance, if the Grid shows skills, you can create a new skill by adding a row.

You can either add new empty rows to the bottom of the Grid or create a duplicate of an existing row, so that you only need to change the information differing from the original row.

The view and the type of information shown in the Grid determine whether it is possible to create new rows. For example, you can only create new projects in the New Project view. Therefore, other views with grids containing project information do not allow you to create new rows.

Add a new row

To add a new row in a Grid, click the [image] button at the bottom of the view containing the Grid. This adds a new row at the bottom of the Grid, on which you can enter information.

Add a duplicate of an existing row

To create a duplicate of an existing row in a Grid, select the row to be duplicated and click the [image] button at the bottom of the view containing the Grid. This adds a new row below the selected row. If you select multiple rows before clicking the button, a duplicate is created below each selected row.

The information on the new rows is identical to that of the original rows, so that you only need to change the information differing from the original row.

Deleting rows from a Grid

To delete one or more rows from a Grid, select the rows to be deleted and click the [image] button at the bottom of the view containing the Grid. You will be asked to confirm that you really want to make the delete.

The view and the type of information shown in the Grid determine whether it is possible to delete rows.

Rearranging columns

To change the position of a column, drag the column heading left or right to the desired position on the column heading row.

Hiding columns

You can hide grid columns. To hide a column, drag the column heading down, out of the column heading row. When an X appears over the mouse pointer (which is now shown as a semi-transparent version of the column heading), release the mouse button.

To cancel the operation, drag the column heading back to the heading row before releasing the mouse button.

Adding columns

Each view and perspective comes with a number of columns, and only a subset of these columns are shown by default. Using the Column Chooser, you can add the columns you need to see.

  1. Right-click a column heading and select Column Chooser.

  2. A small window appears, containing the columns that you can add to the current grid.

  3. To add a column, drag the column heading to the desired position in the heading row.

The Column Chooser window has two columns: the left one has the names of the columns; the right column shows the group that the columns belongs. Above the group columns, there is a drop-down where you set a filter on the pre-defined groups.

Above the left column, there is a box where you enter a quick filter.

Freezing columns

If you want to always be able to see a specific column - for instance a name column indicating what is shown on each line - you can freeze it to the right or left. When a column is frozen, the column remains shown when scrolling right and left in the grid.

Freezing a column to the left

To freeze a column to the left, right-click the column heading and select “Fixed Left” in the shortcut menu.

The column is automatically moved to the leftmost position in the grid. However, if other columns have already been frozen to the left, the column is moved to the right of these columns.

To freeze a column to the right, right-click the column heading and select “Fixed Right” in the shortcut menu.

Undo frozen columns

To undo the freeze of a column, right-click the column heading and select “Not Fixed” in the shortcut menu. Please note that the column is not moved back to the position it had before it was frozen.

Resizing columns

You can change the width of a column by placing the mouse over the separator between two columns (causing the mouse pointer to change to the resizing pointer) and dragging the separator left or right - or double-click the separator to automatically change the width of the column left of the separator to fit the width of the column contents.

Detailed information from columns

In some views, there are many columns available, and it may come necessary to do a lot of horizontal scrolling.

In the Project Manager Gantt chart, you can use Information windows to make it easier to see the information you want. You open an Information window by double-clicking a line. You can now right-click the Information window, and access the column chooser to add columns (and even tabs) as you need them. Information windows are saved with perspectives.

Resizing rows

You can change the row height of all rows in the Grid by placing the mouse over the separator between two rows (causing the mouse pointer to change to the resizing pointer) and dragging the separator up or down.

Filtering rows

With automatic filtering, you can filter the rows shown in the Grid on the fly, for instance to only work with rows pertaining to a specific resource, project or department.

When you filter information, all rows that do not meet the criteria you set up are hidden, but can easily be unhidden by removing the filter.

You can apply a filter to any column, even on columns used in the Group By box.

You can set up filters using two methods;

  • Autofilter where you select filtering criteria from a list, and

  • Quick Filter where you can manually type in filtering criteria directly below the column headings and rows are filtered as you type. The quick filter is an extra line below the header line. It is opened by right clicking any column header field an select quick filter.

You can combine the two methods.

Filter rows to one of the values appearing in a column

  1. Point the mouse at the column heading

  2. Click the funnel icon that appears

  3. Select the filtering value.

Filter for blank or non-blank values in a column

  1. Point the mouse at the column heading

  2. Click the funnel icon that appears

  3. Select “(Blanks)” or “(Non blanks)”.

Filter for rows containing specific text or numbers in a column

  1. Make sure the Quick Filter is shown (otherwise, right-click a column heading and select Quick Filter).

  2. In the filtering field of the column in question, enter the text or figures to search for. You can use Wildcard characters to set up advanced criteria.

Filter for numbers greater than or less than a given value

  1. Point the mouse at the column heading.

  2. Click the funnel icon that appears.

  3. Select “(Custom)”.

  4. In the top left field of the dialog that appears, select “is greater than”, “is greater than or equal to”, “is less than” or “is less than or equal to”, depending on what you need to find.

  5. Click OK.

Remove filter from a column

  1. Point the mouse at the column heading.

  2. Click the funnel icon that appears.

  3. Select “(All)”.

  4. If the Quick Filter is used, delete the values in the filtering value field or click the closing button in the filter status line below the grid.

Temporarily disable all filters

You can temporarily disable all filters without deleting the criteria. This allows you toggle between viewing all lines and re-applying the filter with a single click.

To toggle between disabling and enabling all filters, click the [image] button in the Filter Status line.

Remove all filters

To remove all filters, click the [image] button in the filter status line below the grid.

More about

  • Autofilter

  • Quick Filter

Autofilter

For each column, the autofilter allows you to select one of the values in the column, thus hiding all rows that do not contain the selected value.

You can also choose to only see rows with a blank or non-blank value, and you can set up specific criteria.

Adding an autofilter

To set up a filter for a column

  1. Point the mouse at the column heading, causing a funnel icon to appear.

  2. When you click the funnel icon, a list appears, allowing you to click the value by which to filter. The list only contains values currently shown in the column. This means that if rows are already filtered, values that have been hidden due to filtering are not shown in the list. However, if you hold Shift while clicking the funnel icon, the list will include all values in the column, regardless of whether they are currently shown.

  3. Click the value by which you want to filter

  4. Only rows containing that value in the column in question will be shown.

If the Quick Filter is shown, Quick Filter also shows the selected value for the column in question.

You can change the filter at any time by clicking the funnel icon on the column heading and selecting a new value.

If you select “(Custom)”, a dialog is opened, in which you can set up your own criteria.

Multiple filters

You can set up filters on any number of columns at the same time. When multiple filters are used, the Grid will only show rows that match all filters.

If, for instance, you have set up a filter for the value “Joe” in the Name column and the value “Consulting” in the Department column, the Grid will only show rows where the name is “Joe” and the department is “Consulting”.

Setting up custom criteria

If you select “(Custom)” while adding an autofilter, a dialog is shown, in which you can set up your own criteria to be applied to the column in question.

To set up a criterion

  1. Select an operator (equal to, does not equal etc.) in the left field and enter the criterion value in the right field. You can use Wildcard characters to set up advanced criteria.

  2. You can set up two different criteria for the column. Select “And” between the two criteria if the Grid should only show rows matching both criteria or “Or” if the Grid should show rows matching either or both of the criteria.

  3. If only one criterion should apply, select a blank value in the operator field of the second criterion.

  4. Click OK to apply the criteria.

Removing autofilter

To remove the autofilter from a column, point the mouse at the column heading and click the funnel icon. In the list of values, select “(All)”.

Quick Filter

The quick filter is an extra line below the header line. It is opened by right-clicking any column header field an select quick filter.

For each column, the advanced filter allows you to manually type in a value, and the rows are automatically filtered as you type, thus only showing rows whose value in the column starts with the filtering value.

The Quick Filter also shows any criteria set up for each column using the Autofilter.

To toggle between viewing and hiding the Quick Filter, right-click a column heading and select “Quick Filter”.

You can use Wildcard characters to set up advanced criteria.

Filter status line

When you have applied a filter, a filter status line appears below the Grid. This line shows the criteria of the filter and allows you to build criteria manually and re-use recent filters to quickly restore a specific filter without having to set up the criteria again.

Temporarily disabling all filters

You can temporarily disable all filters without deleting the criteria. This allows you toggle between viewing all lines and re-applying the filter with a single click.

To toggle between disabling and enabling all filters, click the [image] button in the Filter Status line.

Re-using recent filters

People Planner saves the recent filters you have applied, allowing you to quickly restore the same criteria.

When the Filter Status line is shown, the current criteria are shown in grey text. If you have previously set up filters while the view in question was open, a popup button appears next to the grey text. When you click this button, a popup list of recent filtering criteria appears, and you can click the desired option to apply the criteria.

The list of recent filters is reset each time you close the view.

Building filters manually

When the Filter Status line is shown, you can click the “Edit Filter” button to open the Filter Builder box, in which you can manually set up advanced selection criteria using a set of building blocks.

Data limitation

Filtering hides data, in order to make it easier to spot the data you want to look at, and so forth. However, the filtering happens in the People Planner client, after all, unfiltered data for the perspective has been loaded from the server. This makes changing filters in order to look at data in different ways very fast - but it also means that, potentially, large amounts of data is loaded that is never actually used. This will have an unnecessary, negative impact on performance.

The solution to this is data limitation. If you right-click in the column header of a grid in a perspective after the perspective has been loaded, you will see a menu item called Data Limitation in the context menu.

Data limitation is, essentially, filtering on the server-side. This means that data that is not needed will not be loaded.

The similarity extends to the point that you can set data limitation based on an existing grid filter. This is a good way to determine what kind of data limitation you should have: first arrive at the setting by filtering, then create a limitation, based on the filter. You can change, add and delete clauses in the data limitation afterwards.

After setting a limitation, the perspective must be saved. When it is loaded the next time, the limitation will be in effect.

If the perspective contains more than one tab, the same limitation must be set on all tabs.

Group By box

The Group By box allows you to dynamically group the items in the Grid according to cell contents and select actions for all rows in the grid.

If the grid is showing projects, you can e.g. group the projects by project manager to see overall information about the projects assigned to each project manager.

Grouping rows

To group rows according to their value in a specific column, drag the header of the column by which information should be grouped to the Group By box just above the column headers.

You can also group by a column by right-clicking the column heading and selecting “Group by This Column”.

Grouped information is shown on a single line with gray text. The group can be expanded by clicking the [image] shown at the left of the line. When a group line is expanded, the individual items within the group are displayed.

For instance, if the grid shows projects grouped by project manager, you can click the [image] next to one of the project managers in the list to view the individual projects of the project manager.

Grouping by multiple columns

You can group rows by multiple columns. For instance, you can group primarily by company and secondarily by project. This will result in a group for each company. Within each company group, a group will be created for each project belonging to that company.

To create multiple groupings, drag the desired column headers to the Group By box.

The order in which the column headings are placed from left to right in the Group By box determines the grouping priority, the leftmost column representing the primary grouping level.

If you add a column by right-clicking the column heading and selecting “Group by This Column”, the column is added to the right of the current groupings.

Changing grouping priority

You can quickly rotate the grouping priority by rearranging the column headings in the Group By box.

To change the grouping priority, drag the desired column headings to the relevant position relative to the other column headings in the Group By box.

Ungrouping rows

To clear a column grouping, drag the heading in question from the Group By box to the column heading row.

You can also right-click the column heading in the Group By box and select “Ungroup”.

To remove all groupings, right-click the Group By box and select “Clear Grouping” in the shortcut menu.

Expanding all groups

You can expand all dynamic groups (groups created by dragging columns to the Group By box) by right-clicking the Group By box and selecting “Full Expand” in the shortcut menu.

Collapsing all groups

You can collapse all dynamic groups (groups created by dragging columns to the Group By box) by right-clicking the Group By box and selecting “Full Collapse” in the shortcut menu.

Hiding and viewing the Group By box

You can toggle viewing and hiding the Group By box by right-clicking a column header and selecting “Group By Box”.

Groupings made before hiding the Group By box still apply while the Group By box is hidden.

Footers - Subtotals on grouping lines

This is a general feature in grids which functions when you use the Group By Box feature which can perform certain functions across a group and all groups. If, for example, a column contains figures (hours, revenue or other) the footer can display mathematical calculations, e.g. the sum, maximum/minimum or average value.

When you activate Footers, a subtotal line is automatically created below each grouping line, and the grand total line is added at the bottom of the Grid.f the grid. On these lines, you can select a calculation to be shown for each column.

For instance, you can set up the grand total line to show the total number of hours estimated or the average revenue generated from the budgeted tasks.

Activating and removing Footers

To activate footers in a Grid, right-click a column heading in the Grid and select “Footers” in the popup menu. To remove the Footers, select the menu item again.

Selecting calculations in Footers

Once Footers have been activated, you can specify one set of calculations for subtotals and one set of calculations to be used on the grand total line.

To add a calculation to a column on a subtotal line or the grand total line

  1. Right-click a subtotal line or the grand total line, within the area of the column for which the calculation should be made

  2. Select the desired calculation

  3. If you add a calculation on a subtotal line, the calculation is made on all subtotal lines in the grid

Remove a calculation

To remove a calculation from the subtotal lines or from the grand total line

  1. Right-click the calculation to be removed

  2. Select “None” in the list of calculation options

  3. If you remove a calculation from a subtotal line, the calculation is removed from all subtotal lines in the grid

Manipulating column contents

For each column, you can select a number of actions to be applied to selected rows in the grid. For instance, you can change the text in a specific column on selected rows to uppercase or add, divide and multiply amounts in a column.

This can be a very useful way to enter or modify data across lines. It can be combined with filters, sorting and groupings to identify and select rows on which the information manipulation is done. It can, for example, be used to enter new grouping criteria, e.g. for analysis. When a grouping is done on the new column values footer can be activated and calculations across groups be done.

The actions available depend on the data type of the column.

To run an action on a column

  1. Select the rows on which to run the action

  2. Click the pencil icon [image] in the heading of the column (only available for editable columns)

  3. Select the desired action

  4. Press Return

Actions on text fields

Action | Effect
Type a text in the text field | The specified text is applied to the column on the selected rows.
ALL TO UPPERCASE | The text in the column on the selected rows is changed to uppercase.
all to lowercase | The text in the column on the selected rows is changed to lowercase.
Capitalize | The text in the column on the selected rows is capitalized (capital first letter in each word).

Actions on numeric fields

In numeric columns, you specify a numeric value and an application for that value, for instance that it should be applied to the selected rows or that the value should be added to or subtracted from the current value on the rows.

Action | Effect
Percentage | For each selected row, the value in the column is multiplied by the specified percentage.
Add amount | The specified value is added to the current value in the column on each selected row.
Subtract amount | The specified value is subtracted from the current value in the column on each selected row.
Multiply by | The value in the column on each selected row is multiplied by the specified value.
Divide by | The value in the column on each selected row is divided by the specified value.
Set to value | The value in the column on each selected row is changed to the specified value.

Actions on date fields

Action | Effect
Specify a date | The value in the column on each selected row is changed to the specified date.

Actions on popup fields

Action | Effect
Specify an option from the list | The value in the column on each selected row is changed to the specified option.


Gantt chart area

The Gantt chart area is displayed in various views and perspectives in which you can plan projects and resources.

The Gantt chart area presents planning and capacity information in a graphical time line (calendar) layout. The graphical presentation makes it easy to get an overview of plans and capacity over time.

The Gantt chart can show information on a daily, weekly or monthly basis using the Day/Week/Month button. By changing the time unit (press the View button in the ribbon menu), you can switch between viewing resources and planning activities on detailed level or on a more long-term basis.

Gantt chart structure

On the horizontal axis, each line in the Gantt chart area shows information related to the line next to it in the Grid area. On the vertical axis, each sector or column represents a day, week or month. In other words, each cell shows information about the line next to it in the grid for a specific day, week or month.

Setting the time unit in Gantt charts

To set the time unit, use the Day/Week/Month button in the View ribbon.

Click the button representing the time unit you wish to view.

When you have clicked the button, each column in the Gantt chart area represents one unit of the selected time, e.g. one day, one week or one month.

Gantt bars

Gantt bars indicate the time span for which an item has been planned. If, for instance, a given line in the grid represents an employee, each bar on the corresponding line in the Gantt chart represents a period for which the employee has been booked on a project. Each line can contain multiple bars, and the bars can overlap.

Whether Gantt bars are shown depends on the information currently shown in the grid, and on the selected Gantt display selection.

You can move Gantt bars using drag and drop and change the booking duration by dragging the right or left end of the bar.

Gantt bar objects

The Gantt chart can display 4 types of Gantt objects:

  • Project, which is the highest level for a project

  • Task, which is below the project object in the Work Break Down structure (WBS) and has a starting and ending date.

  • Milestone

  • Summary, which represents the aggregation of all tasks with the same or lower levels in the WBS.

Project and task bars represent the duration for which resource are or is to be assigned. These bars appear as regular rectangular bars in different colors. They can be resized and moved using drag and drop to change the planning period.

A Milestone icon can be moved in time as well and represent a point in time normally associated with one or more tasks.

Summary bars are used for easy identification of the total duration of the underlying tasks, e.g. for a project or phase. If, for instance, a project consists of three tasks planned for different periods, a summary bar for the project will span from the date of the earliest starting task to the end of the latest ending task. Summary bars are grey with arrows pointing down at each end. You cannot manually move or change the size of a summary bar.

Moving project and task bars

You can identify one or more bars by placing the mouse cursor over the desired bar and make a click or over an area in the chart. Or you can select the lines in the grid.

The bars which are open for drag have small colored icons at either end. By holding the left mouse button and moving the mouse, you drag the bar or bars left or right to the desired position.

When you move a bar, it corresponds to changing the starting and ending date of the project, phase or task and you will see the value of date fields in the grid change. You can only move horizontally.

You can move an entire project or part of a project in time.

If resources are allocated to the project or bars you are asked to confirm the move as it will influence the capacity load.

When you move a bar, the duration may cover fewer periods than before. For example: A bar with resource allocation per week covers 3 days in the first week and 3 days in the second week. This means that hours might have been assigned in two cells. If it is moved to only cover one week there will only be one cell. In such a case, a warning will be issued and if you accept the hours from the two cells are added to one cell only. This applies to all the resource assigned to the task.

Changing length of project and task bars

You can identify one or more bars by placing the mouse cursor over the desired bar and make a click or over an area in the chart. Or you can select the lines in the grid.

The bars which are open for change have small colored icons at either end. You can change the length of one bar at a time by placing the mouse cursor over the right or left edge of the bar. A white double arrow will appear and you can drag the edge left or right to the desired position by holding down the left button on the mouse. When you move the right edge of a planning bar, it corresponds to changing the ending date of the project or task duration. When you move the left edge, it corresponds to changing the starting date.

If you shorten a Gantt bar and there are hours allocated to the project or task outside the new period, you will receive a warning, allowing you to reallocate hours before shortening the bar. If you accept the shortening, the hours outside the new period will be removed.

Allocating resource time

In a resource Gantt chart, you can expand the subgrid of each resource to show the task allocations of the resource, and in a project Gantt chart you can expand the subgrid of each project, phase or task to show the resources assigned.

In the Gantt area of the subgrid lines, the dates for which the task in question has been planned are shown as open white cells. In each of these cells you can enter the number of hours for which the employee in question should be assigned to the task in question on the date, week or month to which the cell pertains.

Entering hours

When you click a time allocation cell, it is highlighted and opened, allowing you to enter a number of hours.

Use the Tab key to move one cell to the right. Only the text cursor is moved - the cell on which you originally clicked remains highlighted, but you enter hours in the cell the cursor points to. If there are no more cells to the right on the current line, the cursor is moved to the leftmost open cell on the next line.

Use Shift+Tab to move one cell to the left. If there are no more cells to the left on the current line, the cursor is moved to the rightmost open cell on the previous line.

Selecting time allocation cells in Gantt charts

You can select one or more cells in order to move hours using drag and drop.

Action | Method
Select a single cell | Click the desired cell. The cell automatically opens, allowing you to enter a number of hours.
Select multiple cells individually | Click the first cell, then hold down Ctrl and click the other desired cells one by one.
Select a range of adjacent cells | Place the mouse cursor over the cell in one of the corners of the desired cell range, hold down the left mouse button and drag the mouse to the opposite corner of the range, forming a rectangle. When you release the button, the cells within the rectangle are selected. Please note that in order to select cells in this way, you must start dragging from a closed (grey) cell.

Moving and copying time allocations

You can move or copy the time allocated in a range of cells using drag and drop.

Hours moved or copied to a cell which already contains a number of hours are added to the existing number of hours. This means that if you move a cell which contains 5 hours to a cell which already contains 15 hours, the result will be 20 hours.

Action | Method
Move or copy hours in a single cell | Hold down the left mouse button and drag to the destination cell. If the time allocation should be copied rather than moved, hold down Ctrl while dragging the cell to its destination.
Move or copy hours in multiple cells | Select the cells containing the hours to be moved, then place the mouse cursor over one of the selected cells and drag the cell to the desired destination. The other selected cells are moved as well, maintaining their position in relation to each other. This means that if you selected two cells with three cells between them, dragging one of the cells causes the other cell to also be moved and placed three cells away from the one being dragged. If one or more of the cells being moved are outside the planned period of the project, phase or task, the period is automatically expanded accordingly. If the time allocations should be copied rather than moved, hold down Ctrl while dragging the cells to their destination.


Charts

You can create a (graphical) chart to visualize data in any Gantt chart. You can select from a number of different chart types that are useful for different kinds of data - bar charts (2D and 3D), points and lines, pie charts, area charts, and much more. Charts are created by using a wizard, and you can either accept default choices, and thereby create the chart quickly, or you can control almost any aspect in great detail. You can also use the wizard to refine the presentation of a chart you have made already.

Charts can be saved in perspectives, so that it is possible to save a Gantt chart view and the graphical chart view together. Charts have to be updated explicitly by using the Refresh button, or F5. Charts are never updated automatically.

The default date range for the chart is the same as the date range that is visible in the Gantt. The date range for the chart can be set to some other value by using the Synchronize with Dates button. When this button is clicked, the two fields next to it, From Date and To Date, become editable. The Synchronize button is a toggle.

The Add Days field can be used to add the number entered in this field to the value in the To Date field. Adding "0" will bring the value in the To Date field back to the default. Note that if you add days several times, the values do not accumulate (the last value you enter is always added to the date in the To Date field, regardless.)

The Setup drop-down is used to select what Gantt chart to use as source data. The drop-down will contain a list of all open Gantt charts. Although it is possible to mix several Gantt charts in one graphical chart, it will rarely make sense to do this, though. If a Gantt chart has more than one data level, you can also decide which data levels to use for the graphical chart.

Using the chart wizard

When you create a new chart by using the menu View, Charts, Chart from Gantt, or you use the Chart Wizard button in an existing chart window, the chart wizard opens.

It is not a strict wizard where you have to complete a number of steps in a specific order. Rather, you can jump back and forth, and you can finish the wizard at any point, and have it create the chart (using default values for the steps you have not completed.) You can rerun the wizard after a chart has been created, and change any and all settings.

The steps in the wizard are divided into two major groups: Construction and Presentation. The groups and the steps in the groups are listed as links to each step on the left side of the wizard. The first time you use the wizard to create a chart, you should use the Next button to go through all the steps in a logical order. Later, when you need to change something, you can use the links to go directly to the step you want to revise.

Most of what you do in each step is quite self-explanatory, especially if you already know to create charts in other applications, such as Microsoft Excel. The following is an overview of some of the possibilities:

Chart Type

In this step, you can select a chart type (bar, area, pie, and so forth.) You can see a visual representation of all chart types, and select one by double-clicking. You can also set a filter on types of charts to narrow down the number of items in the visual representation.

Appearance

In this step, you can select a colour palette and a visual style. There is immediate visual feedback in the chart wizard itself, so it is easy to see what your selections will look like without closing the wizard.

Series

In this step, you have to define the data series that you will chart. In general, however, you will see that when you use Refresh to create charts, series are set up, based on the exact data that are visible in the Gantt. .

Data

Just as for Series, the Data setup is largely automatic, reflecting the data currently visible in the Gantt (unless you have set another date range - but even in that case, the "data source" itself is automatically derived.)

In the Presentation part, there the following steps:

Diagram

Here, you can set a number of visual properties, mainly those that are related to the chart as such, and not to the contents.

Axes

Here you set parameters for the axes in the chart.

Series View

Here, you can fine-tune the way that the series of data are presented.

Point Labels

Here, you can fine-tune typography and presentation of the point labels.

Chart Titles

Here, you can fine-tune content, typography and presentation of the chart titles.

Legend

Here, you can fine-tune typography and presentation of the legend (that is: the box is used to show what each series of data in the chart is.)


Pivot Tables

You can create pivot tables to help summarize and group data, in order to better understand and analyze the data.

You can create pivot tables by using the three commands in the Views, Pivots menu:

  • Assignment Pivot allows you to use posts (assignments) from both projects and resources

  • Projects/Tasks Pivot shows tables only

  • Resources Pivot for using posts from resources tables only

The main differences are, as you can see, that you can use the two last commands for delimiting the number of fields in the Field List you use when building the Pivot table.

Creating the pivot table is, basically, similar to creating such tables in other applications:

  • Use one of the three commands described above to create a new pivot table

  • Right-click in one of the "field areas" in the top of the windows, and select Show Field List from the content-menu

  • Drags field into the pivot table

  • Remove fields by dragging them back from the pivot table to the field list

An Example

Create a pivot table:

Open the field list, and drag fields the various areas. For example:

Drag the Allocated field to the "Drop Data Items Here" area. This will add the Allocated assignments as the data (or fact) that should be summarized:

As you can see, the total for the Allocated field is automatically computed. Now, drag the Customer (Task) field to the "Drop Row Fields Here" area:

The number of Allocated assignments is now automatically grouped per Customer (Task). As you can see, the Grand Total remains the same as before.

Now, drag the Resource Name field to be "Drop Column Field Here" area:

As you see, the data is now grouped in both row and column dimensions. You can, for example, see at a glance the number of assignments per resource per customer.

Filtering

You can set filters in several different ways. Generally, all buttons representing a field has an automatic, built-in filter. It is accessed by clicking the small filter icon that appears in the upper right-hand corner of the button when the mouse hovers over it, like this:

Clicking the filtering icon, opens a form where you can set a filter. Depending on the kind of data, it could look similar to this:

This can be used on all the "pivot fields", that is: the field you have dropped into rows and columns. You can also filter on fields that have not been dropped in as pivot field. You can do this by dropping such a field in the "Drop Filter Fields Here" area, and then setting the filter in the same way as described above.

Special fields

You can use two kinds of special fields, just like you would use the regular fields: calculated fields and lookup fields.

Calculated fields

The value in a field can be calculated from the value in one or more other fields, using a number of operators and functions. Calculated field are accessed, created, edited, and deleted on the Calculated tab of the Field List window:

The calculated field can be used like any other field.

Lookup field

You can add fields that are not directly available in the Field List by creating a lookup field. This means that you use one of the available fields to retrieve a value from a related table. This adds overhead because there will be a database access every time the lookup field is used.

Lookup fields are created, edited, and deleted on the Lookup tab of the Field List window. Once they have been created, they can be used just like any other field.

Other features

When you right-click anywhere in the pivot table, except in the area with data fields, you will see a context menu similar to this:

The menu items are used like this:

Refresh Data: Refreshes data the data in the pivot table. If data in the underlying data store are changed after the pivot table has been designed, the pivot table if not automatically updated. This is what this command is for.

Show Field List: This will open the Field List.

Show Prefilter: This will open the PivotGrid Prefilter window. Here, you can create a filter that will be run before data is placed in the pivot table. Although you can also filter in the pivot table itself, you can use Prefilter to filter out data that you know you will never want to use. This can improve performance of the pivot table when there are large amounts of data in the data store.

All the Show … Totals menu items toggle display of various totals on and off.

The Show … Lines menu items toggle display of lines on and off.

The New … menu items provide shortcuts directly to the windows where you can define calculated and lookup fields.


To dos

You can add a to do in each task by right-clicking a cell in the Gantt chart, and selecting Add to do... from the context menu. In the window that opens you can enter:

  • A name for the to-do

  • Start and finish dates

  • You can select a status

When a to do has been attached to a task, there is small, red triangle in the cell. If you let the mouse cursor hover over it, you can see the contents of the to do.

The intended use is this:

If a resource has a number of short, recurring tasks, it clutters the Gantt chart to enter each one as a separate task. Using to dos, you can establish a generic task, and use to dos to add specific "subtasks".


Work hour calendar views

Certain views contain a calendar where you can set working hours for individual dates.

Navigating and entering data in these views is similar in all views and perspectives.

Calendar view structure

Calendar views show a number of month calendars, each showing the individual dates within the month in question.

The number of month calendars shown depends on the size of the window or frame in which the calendar view is shown.

Each month calendar contains headers indicating weekdays on the horizontal axis and week numbers on the vertical axis.

Date markers in calendars

A set of color codes allow you to easily spot non-working dates and dates with special working hours.

Color | Indicates
White/no background color | No special work hours have been specified in this calendar
Grey text | Date belongs to next or previous month
Red background | Non-working day
Green background | Special hours have been specified (but not zero hours)

Moving focus in calendars

Action | Method
Move to next date | Arrow right key
Move to previous date | Arrow left key
Move to same weekday next week | Arrow down key.
Move to same weekday previous week | Arrow up key.
Move focus one year back | Shift+Arrow left key or click the arrow left button next to the year number on the top left month calendar shown in the calendar view. The range of month calendars is shown so that the top left month calendar represents the combination of month and year to which you moved focus.
Move focus one year forward | Shift+Arrow right key or click the arrow right button next to the year number on the top right month calendar shown in the calendar view. The range of month calendars is shown so that the bottom right month calendar represents the combination of month and year to which you moved focus.
Move focus one month forward | Ctrl+Arrow right key or click the arrow right button next to the month name on the top left month calendar shown in the calendar view. If focus was placed in the top left month calendar, the range of month calendars is scrolled so that the top left month calendar represents the combination of month and year to which you moved focus.
Move focus one month backwards | Ctrl+Arrow left key or click the arrow left button next to the month name on the top right month calendar shown in the calendar view. If focus was placed in the bottom right month calendar, the range of month calendars is scrolled so that the bottom right month calendar represents the combination of month and year to which you moved focus.
Move focus to Today’s Date | Click the Today button at the bottom of the view. If today’s date is not within any of the months shown when the button was clicked, the range of month calendars is scrolled so that the top left month calendar represents the month containing today’s date.
Move one cell up | Press Arrow Up.
Move one cell right | Press Arrow Right or TAB
Move one cell left | Press Arrow Left or Shift+TAB
Move to the first cell in the current row | Press Home
Move to the last cell in the current row | Press End
Move to the first cell in the top row | Press Ctrl+Home
Move to the last cell in the last row | Press Ctrl+End

Selecting dates in a calendar view

Selecting multiple dates allows you to easily assign the same number of special work hours to a range of dates. To select dates in a calendar:

To select | Do this
A single date | Click the desired date.
Multiple, adjacent dates using the mouse | Click the earliest date to be selected, then hold down Shift and click the last date to be selected. You can also click and drag the mouse from the first to the last date.
Multiple, adjacent dates using the keyboard | Move focus to the earliest date to be selected, then hold Shift and use the keyboard shortcuts to move focus to the last date to be selected.
Multiple non-adjacent dates | Click the first date to be selected, then hold down Ctrl and click the other dates to be selected.
A whole week | Click the week number of the week in question.
A range of adjacent dates | Click the indicator cell and drag up or down until the desired range is selected.
More or fewer dates than currently selected | Hold down Shift and click or move focus with the keyboard to the last to be included in the new selection.
Unselect a single date | Hold Ctrl and click the date.

The calendar hierarchy

See Determining work hours for a specific date.

Entering special work hours in calendars

In the Personal Calendar and in the Calendar window opened when you click the Show Calendar button in the Common Calendars view, you can select dates and assign special work hours to them.

Setting special work hours for dates

To set special work hours for one or more dates

  1. Select the date or dates for which special hours should be set (How)

  2. In the hour box in the toolbar, specify the number of hours that should be the work hours for the selected dates

  3. Click the Set Special Work Hours button in the toolbar

Specifying non-working days/absence

To specify that one or more dates should be non-working days

  1. Select the relevant date or dates (How)

  2. Click the Set non-working days button in the toolbar

Specifying that a date is a non-working day corresponds to setting the work hours for that date to zero.

You can also import non-working days from your Outlook calendar using the "Import Appointments (Out of Office) from Outlook" button.

Removing special work hours

To remove special work hours from one or more dates

  1. Select the relevant date or dates (How)

  2. Click the Delete button in the toolbar

View hours applying to each date

You can toggle between viewing dates or the work hours applying to each date.

When viewing dates, the month calendars show the date numbers from 1 to 31 (depending on the month).

However, if you enable the Show hours button, the month calendars show the number of hours applying on each date.

In the Personal Calendar, dates for which no special hours have been specified show the hours applying to the resource according to the Common Calendar and Work Week Hour model assigned to the resource.

In the Common Calendar, no hours are shown on dates on which no special work hours have been specified (including non-working days).

More about

  • About common calendars

  • Moving focus in calendars

  • Selecting dates in a calendar view

  • Work hour calendar views


Ribbons

At the top of the People Planner window, you have access to a number of actions through ribbons.

The ribbons group the buttons and actions according to categories such as View, Tools, Import and Export etc.

The ribbon categories and the actions available within each ribbon depend on the active view, where only relevant ribbons and actions are available.

Home ribbon

The Home ribbon contains actions and buttons through which you can manage files if you are working in Singleuser mode, and through which you can import data from Maconomy.

Open... button

Opens a dialog in which you can select a People Planner project file to be opened (Single user mode only).

More

Save button

Saves the current People Planner project file (Singleuser mode only).

More

Save As... button

Opens a dialog in which you can save the People Planner project file under a new name.

More

Exit button

Closes People Planner.

Print button

Used for printing the information in the current view.

When you click the button, a Print dialog is opened, in which you can specify details about the printout.

Copy Hours button

Opens the Copy Hours dialog with which you can update completion estimates and baseline budgets.

Customize Toolbar button

Opens the Customization window from where you can customize toolbars.

More

  • Toolbars

  • The toolbar customization window

Manage Roles button

Opens the role management window with which you can set up roles, assign them to users and set up access rights for the users within each role.

More

  • Role management

View ribbon

The View ribbon contains actions and buttons with which you can manage what information to view and how it should be displayed.

Day/Week/Month button

Using the Day, Week and Month buttons, you can change the time span view in the Gantt chart.

All hours that you enter are saved to the database at the day level. When you switch to week or month view, the hours are summarized. The hours entered at any level can later be changed at any other level. There is also a facility to distribute hours evenly when you change from month to week, or from week to day. You can access this functionality by right-clicking the line you want to change, and make the appropriate choice from the context menu.

When values have been entered at one level and later distributed, the vales are initially not editable, and appear greyed out. You can, however, open them for editing by right-clicking and selecting “Open for editing”.

Within the same project or activity, you can operate with different levels of detail, e.g. the longer out in the time horizon, the more you might want to start with rough monthly figures which are later detailed when the period comes closer.

Example 1: Day span definition

If you operate in day span and you assign hours in a Gantt chart, this is how data are stored. If you then change to weekly span, the day figures are aggregated to the week.

If you choose to show by month the week figures are accumulated for the weeks starting within the month.

Example 2: Week span definition

If you operate in week span and you assign hours in a Gantt chart, this is how data are stored. If you then change the view to daily span, the full week hour figure is shown on the first day of the week. Depending on the “culture setting” in the windows operating system this might be monday or another day.

If you change the view to monthly span, the week figures are accumulated for the weeks starting within the month.

Example 3: Month span definition

If you operate in monthly span and you assign hours in a Gantt chart, this is how data are stored. If you change to weekly span, the month figure is shown for the first week beginning in the month.

If you then move to view by day, the week figure is transferred to the first day of that week.

This will, of course, give very uneven capacity loads. You can avoid this by moving from the month to week or even to day level. People Planner offers functionality which allows you to easily change the allocation time and propose a distribution to the lower level, which you are then asked to confirm or modify.

People Planner’s fundamental principle is never to change figures in an automatic non transparent way.

Gantt Display button

Using the Gantt Display buttons, you can quickly extend the grid or the Gantt chart area of a Gantt window to take up the full width of the window.

If you, e.g. select “Only diagram”, the Gantt chart area will take up the full window width, hiding the Grid area.

Viewing only one part of a Gantt chart window provides optimal space for entering data in the grid or working with a larger time span.

Show headers button

Toggles between showing and hiding column headers in subgrids within the Grid of the current window.

Show Relations

Toggles between showing and hiding graphical presentation of the WBS structure in the Gantt chart.

The WBS structure is presented graphically through arrows between the Gantt bars.

An arrow pointing from bar A to bar B means that bar B is a child of bar A.

By dragging the arrow head from one bar to another, you can change the WBS structure, corresponding to moving the target bar up or down and indenting it under the bar from which the arrow is pointing.

If you click an arrow (causing it to be shown in bold face), pressing Delete will cause the relation to be deleted, so that the target bar is placed at level 1.

Show progress bars button

Toggles between showing and hiding a progress bar within each Gantt bar, indicating progress (actuals imported from Maconomy) compared to estimate.

Go to today button

Moves the Gantt chart time focus so that the first period shown is today’s date (or the week or month covering today’s date if information is shown at week or month level).

Go to earliest date button

Moves the Gantt chart time focus so that the first period shown is the earliest one for which tasks have been planned.

Layout tool

Allows you to create, save and restore view layouts.

The same view can be set up with multiple layouts at your preference. Instead of adjusting the default layout to your preference every time you open a specific view, you can make the adjustments and save the layout under a name using this button. Once a layout has been saved, you can restore it by selecting it from a drop down list of saved layouts.

More

Show Only a Single Project button

Corresponds to the toolbar button "Show Selected Project".

Show Closed Projects

Toggles display of closed projects on and off.

Arrange All button

Automatically arranges all open views within the People Planner pane. Please note that this causes any merged views to be split up into separate windows.

Close All button

Closes all open windows within People Planner window.

Customize Toolbar

Opens the Customization window in which you can choose which toolbars to show, and add and remove buttons in toolbars.

WBS ribbon

The WBS ribbon contains buttons and actions used when setting up Work Breakdown Structure and templates.

Indent button

The same as the toolbar button "Indent" in Project Gantt.

Outdent button

The same as the toolbar button "Outdent".

Move Up button

When you click this button, the current line in the Work Breakdown Structure is moved up.

The line is moved up so that it is positioned just above the nearest line above at the same indentation level in the WBS.

If the line itself has sublines, these lines are also moved up.

Examples

The WBS contains the following lines:

Level 1 | Level 2 | Level 3
Line 1 |  |
 | Line 2 |
 | Line 3 |
 |  | Line 4
Line 5 |  |

If we move line 3 up, its subline (line 4) is moved up as well, and kept together with its group header. Therefore, the result would be:

Level 1 | Level 2 | Level 3
Line 1 |  |
 | Line 3 |
 |  | Line 4
 | Line 2 |
Line 5 |  |

For line 5, the nearest above line at the same level is line 1. Therefore, if we move line 5 up, lines 1 (and its sublines) and 5 will switch positions, resulting in the following structure:

Level 1 | Level 2 | Level 3
Line 5 |  |
Line 1 |  |
 | Line 3 |
 |  | Line 4
 | Line 2 |

Move Down button

When you click this button, the current line in the Work Breakdown Structure is moved down.

The line is moved down so that it is positioned above the nearest below line at the same indentation level in the WBS.

If the line itself has sublines, these lines are also moved down, thus remaining sublines to the line being moved.

For examples of moving lines with sublines, see the "Move Up" button.

Fix WBS button

Each time you create, move, delete or otherwise rearrange WBS lines, the WBS numbering may no longer be in sequence.

Using this button, you can recalculate the WBS numbering.

Create New Project Template button

Click this button to create a WBS template based on the currently selected WBS lines.

The template will include each selected line, as well as any children to these lines. Any resource assignments to the selected lines are also included in the template.

When you click the button, a window is opened, in which you can specify the name of the new template as well as a description and categorization, to make it easy to pick the template in the relevant situations.

When you have entered the desired information, click Ok to create the template.

The template will appear in the Templates and Project Manager Gantt Chart views in which you can edit the template.

More

  • About templates

Show only Template button

Limits the Grid to only include WBS lines saved as templates using the “Create New Project Template button” or imported from Maconomy.

Insert Template button

Inserts the lines from the last selected template below the selected WBS line.

The template whose lines should be inserted must be selected in a view showing templates, for example the Templates view.

Insert Template as Child button

Inserts the lines from the last selected template as children to the selected WBS line.

This means that the template lines at the highest level will be inserted as children to the selected WBS line.

The template whose lines should be inserted must be selected in a view showing templates, for example the Templates view.

Close Project

Click this button to close the currently selected project.

Import and Export ribbon

This ribbon gives you access to a number of functions that makes it possible to exchange data with Maconomy, Excel and Outlook.

Export to Excel

When you click this button, you will be prompted for the name an Excel file to save to. After that, all data will be exported to this Excel file. This can, obviously, be a time-consuming process.

Export Gantt chart data to Excel

When you click this button while a Gantt chart is active, you will be presented with a dialog where you can set a date limitation on the data to export. Then, when you click Export in this dialog, you will be prompted for a file name, and then the export will begin. All values will be exported as numbers (not formulas.) You can use the spreadsheet that is created to, for example, create graphs or pivot tables.

Send to Maconomy

When you click this button, the WBS information of a project will be send to Maconomy.

The project budget information is transferred to a new revision in the People Planner budget type in Maconomy. You can then use the Job Budget Merging window in Maconomy to update the Maconomy project with changes made in People Planner.

A project created in People Planner must be linked to a Maconomy project in order for synchronization of project data between People Planner and Maconomy to work. Therefore, the corresponding project in Maconomy must exist before you can update it.

If the People Planner has not already been linked to a Maconomy project, you will see a dialog where you can enter the number of the corresponding Maconomy project when you click Send to Maconomy. This should only happen the first time you do click this button.

Update from Maconomy

When you click this button, the WBS information of the project that currently has focus in the project grid will be updated with information from Maconomy.

If the project has not been updated from Maconomy before, you will get a dialog where you can specify the Maconomy Job Number and Maconomy Budget Type to be imported. You can also mark if the job number represents an opportunity rather than a job in Maconomy.

On subsequent runs, you will not see this dialog: People Planner now knows how the People Planner project and the Maconomy job are linked.

Import Perspectives from File

Use this button to import perspectives from a file.

Import Master data from Maconomy

Use this button to import master data from Maconomy. Master data is, in this context, dimension information, such as customers, countries, companies, and so forth.

When you click the button, you will see a dialog where you can specify what to import: “Everything”, that will import all dimension information from Maconomy (updating what exists in People Planner, and creating what does not), or “Only changes” that will update existing information that has changed in Maconomy, and create what does not exist in People Planner.

Export tasks to Outlook

Use this button to export the currently selected tasks to Outlook. The button is only available when one or more tasks are selected. Tasks previously exported from or imported to People Planner are updated in Outlook (with respect to description, starting time and ending time.) Tasks that have not previously been synchronized are created in Outlook.

Import tasks from Outlook

Use this button to import tasks from Outlook into the WBS. The Import Tasks view will open to let you specify how and what to import.

Synchronize tasks to Outlook

Use this button to synchronize tasks between People Planner and Outlook. Those tasks in Outlook that are synchronized with People Planner are updated (description, starting time, endingtime.)

Import Appointments (Out of Office) from Outlook

Use this button to create non-working days in you personal calendar, based on all-day out-of-office appointments in Outlook. When you click this button, you will se a dialog that shows a list of Outlook appointments that meet the criteria. You can then select which ones to import into your personal calendar.


File management

Open a project file

  1. In the Home ribbon, click the Open button

  2. In the Look in list, click the drive, folder, or other location containing the file to be opened

  3. In the folder list, open the folder containing the file

  4. Click the file and click Open

Save a project file

  1. In the Home ribbon, click the Save button

Please note that People Planner in single user mode does not automatically save data to the data file. It is recommended that you save the file on a regular basis.

Save project file as a new file

  1. In the Home ribbon, click the Save As... button

  2. In the Save in list, click the drive, folder, or other location in which the new file should be saved

  3. In the folder list, open the desired folder

  4. In the File name field, enter the desired file name

  5. Click Save


Quick Access toolbar

With the Quick Access toolbar, you can set up your own toolbar with quick access to your favorite buttons from the ribbons.

The Quick Access toolbar can either be placed in the title line of the People Planner window or below the ribbons.

When you install People Planner, the Quick Access bar only contains the Paintbrush [image] button which allows you to apply different color schemes to the People Planner window.

Adding buttons to the Quick Access toolbar

To add a button from a ribbon to the Quick Access toolbar

  1. Bring up the ribbon containing the button to be added to the Quick Access toolbar

    2. Make sure the button is displayed. Some buttons only appear in certain contexts, e.g. when focus is placed on a task line or in a specific window.

  2. Right-click the button to be added to the Quick Access toolbar

  3. Select “Add to Quick Access toolbar”

Buttons that only appear in the ribbons in certain contexts also only appear in the Quick Access toolbar in those contexts.

Removing buttons from the Quick Access toolbar

To remove a button from the Quick Access toolbar

  1. Right-click the button to be removed in the Quick Access toolbar

    2. Make sure the button is displayed. Certain buttons only appear in certain contexts, e.g. when focus is placed on a task line or in a specific window.

  2. Select “Remove from Quick Access toolbar”

Placing the Quick Access toolbar above or below ribbons

You can place the Quick Access toolbar above or below the ribbons.

When placed above the ribbons, the toolbar appears in the title bar of the People Planner window.

When placed below the ribbons, the toolbar appears under the ribbon title line. This causes the toolbar to be hidden when the ribbons are displayed.

To move the Quick Access toolbar above or below the ribbons

  1. Right-click the toolbar

  2. In the popup menu, select “Show Quick Access Toolbar Below the Ribbon” or “Show Quick Access Toolbar Above the Ribbon”


Printing a view

You can print the information shown in a view. The print output can either be directed to a printer or to a file in a specific format.

To print the information in a view, click the Print button.

The print layout is based on the information currently shown in the view. This means that the printout reflects column selections, and Grid row groupings and filtering in the view. You can preview the print results on screen before running the actual print.

Note, however, that the printout will only include the view in which focus is placed. This means that if you have opened a perspective consisting of multiple views, the printout will not include all these views - only the one in which focus is currently placed.

When you click the Print button, a window appears in which you can set up printing parameters. The parameters and printing options depend on whether you are printing a Gantt chart view or a regular Grid view with no Gantt area.

More about

  • Printing a Gantt chart

  • Printing a grid

Printing a Gantt chart

You can print a Gantt chart view as defined in the view on screen.

To print a Gantt chart, simply click the Print button in the Home ribbon while focus is in the Gantt chart.

Before you click the Print button, set up the view to show information as it should appear on the printout.

Please note that the Grid columns to be included in the printout must be fixed to the left (How), as the printout of a Gantt chart only includes columns that are fixed to the left.

When the view is showing the right information, click the Print button. This opens the Print Gantt Chart window where you can specify the printout further, as described below.

Setting the period to print

The period to print is set by the fields From and To. You can set these fields explicitly (by default, they are filled with the current date.) There are, however, some functions to make it easier to set the period.

The two buttons next to the From field can be used to either set the dates to the start and end dates of the currently visible Gantt chart; or to se the dates to the start and end dates of the currently selected Gantt object(s). In the last case, the selection must have been made before the Print dialog is opened.

Finally, you can add a number of days to the From date by entering the number you want to add in the field next to the Add Days button, and then clicking the button. This will calculate the To date for you. Note that the two buttons described above utilize this functionality, too.

Adding a header

In the Header Detail field you can add a text to the header of the printout.

Paper size, orientation and margins

Use these to the select paper size, orientation (landscape or portrait) and margins.

Fitting the printout on a single page

To resize the printout to fit on a single page, mark the Fit to one page field in the Print Gantt chart window opened when you click the Print button.

Number of Columns

The # of Columns field can be used to select the number of columns to print, regardless of what is visible at the moment. The default number is 4.

Previewing the printout

To preview the printout before running the actual print, click the Preview button in the Print Gantt Chart window opened when you click the Print button.

This opens the Print Preview window in which you can adjust margins, add a watermark and make other adjustments before printing or exporting the information.

Print and Quick Print

You can print in two ways: the Quick Print button will print immediately, using the Windows default printer, while the Print button will open a standard Windows print dialog, where you can select printers and so forth.

More about

  • Print Preview window

Printing a grid

You can print a grid view (with no Gantt chart area) as defined in the view on screen. The printout will include all columns shown in the Grid, regardless of whether they are beyond the window edge.

To print a grid, simply click the Print button in the Home ribbon while focus is in the grid view.

The printout will also include all rows matching the filters set up in the Grid, and the rows will be grouped as specified in the Grid.

Before you click the Print button, set up the view to show information as it should appear on the printout.

When the view is showing the right information, click the Print button in the Home ribbon. This opens the Print Grid window in which you can specify the paper orientation and specify printout size.

Fitting the printout on a single page

To resize the printout to fit on a single page, mark the Fit to one page field in the Print Grid chart window opened when you click the Print button.

Paper size, orientation and margins

Use these to the select paper size, orientation (landscape or portrait) and margins.

Previewing the printout

To preview the printout before running the actual print, click the Preview button in the Print Grid Chart window opened when you click the Print button.

This opens the Print Preview window in which you can adjust margins, add a watermark and make other adjustments before printing or exporting the information.

Print and Quick Print

You can print in two ways: the Quick Print button will print immediately, using the Windows default printer, while the Print button will open a standard Windows print dialog, where you can select printers and so forth.

More about

  • Print Preview window

Print Preview window

The Print Preview window is opened when you click the Preview button in the Print Gantt Chart window or the Print Grid window. Using this window, you can preview the printout before printing, graphically adjust margins, and export the printout to various formats instead of sending the print job to a printer.

Changing page and moving preview up and down

Use the arrow buttons in the toolbar to go to the first, previous, next or last page. You can also click the hand icon if you want to drag the preview page up and down.

Zooming in and out

Use the magnifying glass buttons to zoom in and out. You can also select a specific zoom level using the drop down list between the magnifying glass buttons.

If you click the [image] button, you can click a specific place in the preview to toggle zooming in and out on that place.

Adjusting margins (not available when printing Gantt charts)

The margins are shown as dotted lines at both sides and at the top and bottom of the preview area.

You can drag and drop the dotted lines to adjust margins.

Searching for information in the preview

To search for a specific string in the preview, click the [image] button. This opens a window in which you can specify the text to search for.

Printing from the Preview window

You can run the printout from the Preview window.

Click the [image] button to start the printout directly using the default printer and default printer settings.

Click the [image] button to open the Print dialog in which you can select the printer to be used and specify various other settings available for the printer, for instance whether to print on both sides of the paper.

Page setup window

Click the [image] button to open a page setup window in which you can specify the margins in millimeters, select paper size and select the paper orientation.

Setting up headers and footers (not available when printing Gantt charts)

Click the [image] button to open a window in which you can set up headers and footers to be repeated on all pages.

The window contains a section for defining the header and a section for defining the footer. The functionality for both sections is identical.

For each section, you can enter a text in three different fields - one for the left edge of the paper with left justification, one for the centre of the paper with centered justification, and one for the right edge of the paper with right orientation.

Using the buttons below the footer section, you can insert fields such as page number, total number of pages, date, time and user name.

Using the buttons above the text fields, you can choose whether the header/footer text should be vertically justified at the top, middle or bottom of the header/footer area.

You can also click the Font... button to select the font to be used in the header/footer.

Scaling the printout

Click the [image] button to open a window in which you can specify the size ratio by which the information should be printed. You can also resize the printout by specifying how many pages the printout should be wide.

Viewing multiple pages

Click the [image] button to bring up a list of multi-page views. Use the mouse to mark the desired number of pages to view horizontally and vertically, and click to apply the view.

Setting background color

Use the [image] button to specify a background color to be applied to all pages in the printout.

Creating a watermark

You can insert a watermark on a range of pages or all pages, for instance to indicate that the printout is a draft or that it is confidential.

The watermark can either be a text or an image.

To create a watermark, click the [image] button. This opens a window in which you can set up the watermark.

The left part of the window shows a preview of the watermark on an empty page.

To set up the watermark

  1. If the watermark should consist of text, use the Text Watermark tab

    1. In the Text field, enter the text to appear as the watermark

    2. In the Direction field, specify the rotation of the watermark text

    3. Using the fields Color, Font, Size, Bold and Italic, specify the format of the watermark text

  2. If the watermark should consist of an image, use the Picture Watermark tab

    1. Click the Load Image button to select the file containing the image to be used as watermark

    2. In the Size mode field, select Stretch to stretch the image to take up the whole page. Select Clip to use the image’s regular size or Zoom to resize the picture as much as possible without changing the ratio between height and width.

    3. In the Vertical Alignment field, specify whether to place the watermark at the top, middle or bottom of the page.

    4. Mark the Tiling field to tile the image if it does not take up the whole page

  3. In the Transparency field, use the slider to increase or decrease transparency, or specify a percentage in the text box.

  4. In the Position island, specify whether to put the watermark in front or behind the printed information. If you select Behind, the watermark will only be visible in areas where no data are printed.

  5. In the Page Range island, specify the pages on which the watermark should be applied. You can only define one watermark per printout. This means that you cannot e.g. create a watermark for page 1, and then return to the Watermark window to set up a watermark for the remaining pages. If you do so, the watermark for page 1 will be cancelled.

  6. Click OK when you have finished the watermark setup.

Removing watermark

To remove the watermark, click the [image] button. In the Watermark window, click the Clear All button and then click OK.

Saving the printout to a file (exporting the printout)

You can save the printout contents as a file. A number of formats are available.

To save the printout as a file, click the arrow next to the [image] button and select the desired format.

Depending on the format, a dialog may appear, asking for details about the export. For instance, if you want to export to an image file, a dialog will appear, asking you which image format should be used.

Please note that when exporting a Gantt chart, the printout is always converted into an image. Therefore, the exported information cannot be changed, and exporting to a text file format will result in an empty file.

Mailing the printout to a mail recipient

You can save the printout contents as a file and create a mail with the file as an attachment in one process. A number of formats are available for the file.

To mail the printout results to a mail printout as a file, click the arrow next to the [image] button and select the desired format for the file.

Depending on the format, a dialog may appear, asking for details about the export. For instance, if you want to export to an image file, a dialog will appear, asking you which image format should be used.

Please note that when exporting a Gantt chart, the printout is always converted into an image. Therefore, the exported information cannot be changed, and exporting to a text file format will result in an empty file.

When the file has been created, a mail is automatically created in your default mail program with the file as an attachment, allowing you to enter a text and a recipient, and send the mail.

Closing the Preview window

To close the preview window and return to the print window, click the [image] button.


Exporting information

You can export information shown in a view.

The export is based on the information currently shown in the view. This means that the export reflects column selections, and Grid row groupings and filtering in the view. You can preview the export on screen before running the actual export.

Note, however, that the export will only include the view in which focus is placed. This means that if you have opened a perspective consisting of multiple views, the export will not include all these views - only the one in which focus is currently placed.

To export the information in a view

  1. Click the Print button in the view.

  2. In the print dialog opened, click the Preview button. This opens the Print Preview window.

  3. In the Print Preview window, click the arrow next to the [image] button to select the type of file you want to export the information to. You can also click the arrow next to the [image] button to export the information to a file and immediately attach it to an e-mail.

Depending on the format, a dialog may appear, asking for details about the export. For instance, if you want to export to an image file, a dialog will appear, asking you which image format should be used.

Please note that when exporting a Gantt chart, the printout is always converted into an image. Therefore, the exported information cannot be changed, and exporting to a text file format will result in an empty file.


Arranging windows

You can arrange and dock windows vertically and horizontally, and you can merge windows into a single window with multiple frames or tabs.

To arrange a window, place the mouse cursor over the title bar and hold down the left mouse button. A number of docking icons appear near the edges of the People Planner window and near the mouse cursor. Drag the title bar so that the mouse cursor is placed over the desired docking icon. An area is highlighted to indicate how the window will be placed when you release the mouse button.

The docking icon to use depends on whether you want to dock the window at the top, bottom, left or right, or whether you want to merge the window with another window.

Docking windows

You can dock a window to the top, bottom, left or right of the People Planner window. To dock a window, do the following:

  1. Place the mouse cursor over the title bar of the desired window.

  2. Docking icons appear at the edges of the People Planner window. Still holding down the mouse button, drag the mouse cursor to the docking icon at the desired edge.

  3. When you release the mouse button, the window is snapped to the edge in question and stretched to fill out the full height or width of the edge.

  4. Any other windows already docked at the edge are moved down. Any other windows docked on the other axis (for instance windows docked at the left edge when you are docking a window at the top) are resized to avoid that the windows overlap.

Merging windows into tabs

To merge a window as a tab in another window, do the following:

  1. Drag the title bar so that the mouse cursor is placed over the window with which the original window should be merged (the Target window).

  2. If the Target window consists of multiple frames, drag the window over the frame with which the window should be merged.

  3. Docking icons appear over the Target window/frame. Still holding down the mouse button, drag the title bar to the docking icon in the centre, showing a window with tabs.

  4. If the Target window/frame already contains multiple tabs, you can also drag the mouse cursor directly to the desired position in the tab list.

  5. When you release the mouse button, the window appears as a new tab in the target window or frame.

Changing the tab order

To change the tab order in a window containing multiple tabs, simply drag each tab to the desired position in the list of tabs.

Merging windows into frames

To merge a window as a frame in another window, do the following:

  1. Drag the title bar so that the mouse cursor is placed over the window with which the original window should be merged (the Target window).

  2. If the Target window consists of multiple frames, drag the window over the frame with which the window should be merged.

  3. Docking icons appear over the Target window/frame. Still holding down the mouse button, drag the title bar to the left, right, top or bottom docking icon.

  4. When you release the mouse button, the window appears as a new frame in the target window or frame.

Un-merging windows

To release a frame or tab from a window so that it appears as an independent window, simply drag the tab title or the title bar of the frame out of its place.

The frame or tab appears in an independent window, which you can drag to the desired location and release the mouse button.

Pinning windows to left edge

You can pin a window to the left edge, so that it appears as a tab at the left edge of the People Planner pane. Hovering the mouse cursor over a tab representing a pinned window will cause the window to pop up, and clicking the tab will cause focus to be moved to the window.

To pin a window to the left edge, do the following:

  1. In the title bar of the desired window, click the Pin icon.

  2. A tab representing the window now appears at the left edge of the People Planner window.

  3. If the pinned window consists of multiple merged windows, a tab appears for each window.

Un-pinning windows from left edge

Windows pinned to the left edge can be un-pinned to appear as open windows.

To un-pin a window, do the following:

  1. In the title bar of the desired window, click the Pin icon.

  2. The window appears as it looked before it was pinned, and the tab is removed from the left edge.

  3. If the pinned window originally consisted of multiple merged windows, the tabs representing each of these windows are all removed.


Switching between open views

You can move focus to an open view by clicking inside the desired view.

The status bar of the People Planner pane also shows a button for each open view, including views appearing as tabs in merged windows (see “Arranging windows”). To move focus to a view, you can therefore click the button representing the desired view.

If you click a button representing a view which appears as a tab in a merged window, focus is placed in the merged window. However, the last tab selected in that window remains selected, even if you clicked a button representing another tab.


Saving and restoring view layouts

You can create and save view layouts (in both views and perspectives) and restore them at any time.

Each time you open a view by itself or as part of a perspective, it is opened using a default layout.

The same view can be set up with multiple layouts at your preference. Instead of adjusting the default layout to your preference every time you open a specific view, you can make the adjustments and save the layout under a name using this button. Once a layout has been saved, you can restore it by selecting it from a drop down list of saved layouts.

When you save a layout, the following information is saved:

  • Column positions and widths

  • Tabs and frames

  • Split bar position between frames

  • Grouping information in the Group By box

  • Filter criteria

  • Toolbar buttons and their settings

Saving a new layout

  1. Set up the view layout as it should be saved. This includes defining column order, grouping using the Group By box and setting up filters.

  2. In the View ribbon, enter the desired layout name in the text box of the Layout tool.

  3. Click the [image] button in the Layout tool.

Restoring a saved layout

  1. In the View ribbon, click the [image] button of the Layout tool.

  2. In the layout list, click the desired layout.

Updating a previously saved layout

  1. Restore the layout to be updated.

  2. Set up the window layout as it should be saved. This includes defining column order, grouping using the Group By box and setting up filters.

  3. Click the [image] button in the Layout tool.

Deleting a layout

  1. Restore the layout to be deleted.

  2. Click the [image] button in the Layout tool.


Toolbars

Using toolbars, you can arrange easy access to the buttons and actions you need in your work.

You can add, remove and rearrange buttons, and you can create your own custom toolbars.

All changes to toolbars are made using the Customization window.

Creating a new toolbar

You can click the New button to create a new toolbar to which you can add buttons.

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. In the Toolbars tab, click the “New” button to create a new toolbar to which you can add buttons using The Commands tab.

  3. When you click the button, a box appears, allowing you to name the new toolbar.

Editing toolbars

Renaming a Toolbar

To rename a toolbar

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. In the Toolbars tab, click the “Rename” button

  3. When you click the button, a box appears, allowing you to enter the new name of the toolbar

The Tools toolbar predefined in the system cannot be renamed.

Deleting a toolbar

To delete a toolbar

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. In the Toolbars tab, click the name of the toolbar to be deleted

  3. Click the “Delete” button

The Tools toolbar predefined in the system cannot be deleted.

Adding and moving buttons

To add a button to a toolbar

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. Click the Commands tab

  3. Drag the button from the Customization window to the desired position in the toolbar

  4. You can only add buttons to the window from which the Customization window was opened

  5. The appearance of the button can be customized (How).

Adding subbuttons

Certain buttons contain subbuttons which can be added to toolbars as separate buttons.

For example, the Display button available in the Project Manager Gantt Chart contains four subbuttons. If you add the Display button itself to a toolbar, pressing the Display button will cause a popup list to appear, containing the four subbuttons. However, if you need quick access to one or more of these buttons, you can add them to the toolbar individually.

To add a subbutton to a toolbar

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. Click the Commands tab

  3. Double-click the button containing the subbutton. A list of the subbuttons appears.

  4. Drag the relevant subbutton to the desired position in the toolbar.

If you add both the main button and a subbutton to a toolbar, the subbutton in question will no longer appear in the popup list when you click the main button in the toolbar. For example, if the Display button was added to a toolbar, and one of the subbuttons within the Display button was also added, clicking the Display button would cause only the remaining three subbuttons to appear.

Adding button separators

You can improve overview of the buttons within each toolbar by adding separators in the form of vertical lines.

You can e.g. place related buttons next to each other and separate each group of buttons with a vertical line.

To add a separator

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. Right-click the button to the left of which a separator should be inserted

  3. Select “Begin a Group”

Moving buttons to new position in toolbar

To move a button to a new position in a toolbar

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. Drag the button to the desired position

Resetting toolbars

You can reset a toolbar to factory settings if it is a default toolbar that comes predefined in People Planner.

To reset a toolbar to factory settings

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. In the Toolbars tab, click the toolbar to be reset

  3. Click Reset

Changing button appearance

You can change the label of each button and choose whether the button should appear as an image only or as a combination of icon and name.

Changing button label (button title)

To change the label/title of a button

  1. Right click a button in a toolbar and select “Customize...” to open the Customization window

  2. Right-click the button to be changed

  3. In the text box next to the “Name” option, enter the desired button title.

  4. Press Return

Change button appearance

To change the appearance of a button

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. Right-click the button to be changed

  3. Choose from the following options:

    1. Name: Enter a new text title for the button

    2. Default style: Returns the button style (whether image and text are shown) to factory settings

    3. Text only (Always): Only the button name is shown, both in toolbars and in menus

    4. Text only (in Menus): Only the button name is shown in menus. In toolbars, both image and button name are shown

    5. Image and Text: Both image and button name are shown, in menus as well as on toolbars

    6. Visible: Toggles whether the button should be shown in the toolbar. Buttons set to not be visible are hidden from the toolbar when the Customize window is open, but are shown when it is open.

Removing buttons from toolbar

To remove a button from a toolbar

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. Drag the button out of the toolbar

Viewing and hiding toolbars

To view or hide a toolbar

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. In the Toolbars tab, mark or unmark the checkboxes to the left of the toolbar names to toggle between showing and hiding each toolbar

  3. Double-clicking the name of a toolbar also toggles between viewing and hiding the toolbar

Moving toolbars

You can move toolbars in the toolbar area of each window, or undock a toolbar to make it appear in a separate window which can be placed anywhere within the People Planner window.

Only custom toolbars can be moved. The default toolbar provided with each People Planner window cannot be moved.

To move a toolbar

  1. Right-click a button in a toolbar and select “Customize...” to open the Customization window

  2. Drag the handle of the toolbar to the desired position and release the mouse button

  3. If you drag the toolbar away from the toolbar area of the window, the toolbar appears in a separate window.


The toolbar customization window

In the Customization window, you can choose which toolbars to view in the current window, and you can add, remove and move toolbar buttons in your individual toolbars.

The window contains three tabs used for different types of toolbar management.

  • Toolbar

  • Commands

  • Options

The Toolbar tab

This tab contains a list of the toolbars available for the current window and allows you to create and delete toolbars.

The Commands tab

The Commands tab shows a list of the buttons available in the current view and allows you to add buttons to your toolbars using drag and drop. You can only add buttons to the toolbars of the view from which the Customization window was opened.

The Options tab

In the Options tab, you can adjust various settings about the appearance of buttons and ribbons.


Main display view

Main display views

A number of views that are used by project managers contain a lot of information. It can be quite overwhelming, and not all information is relevant in all situations.

Main display views can be used to make it for a project manager to switch between views that show different information and different levels of information.

For example, in the Project Manager Gantt Chart, there is a drop-down called "Main Display View":

You can select from a number of predefined views:

When you select a main display view, the information in the Gantt chart will change accordingly.

The number of items to show in the drop-down menu can be changed by selecting the <Customize> menu item at the bottom of the list.

This topic: Creating and changing main display views describes how to create and change the main display views.


Resource Overview

The Resource Overview is a pre-configured perspective in which you can manage assignments based on your resources.

The purpose of this perspective is for resource managers to easily spot resources with available time and assign them to projects, and spot overbooked resources and assign part of their work to other resources.

The Resource Overview consists of two views placed on top of each other. The top view is the Resources Gantt Chart view. The bottom view is the Project Manager Gantt Chart view.

The Resources Gantt Chart shows a load and capacity color map of your resources, but you can change it using the Display button. The Project Manager Gantt Chart shows a Gantt chart of current projects.

By combining the resource and project overviews, you can easily spot resources that require attention and assign them to projects or re-allocate time.

Resource Manager process descriptions

  • See Resource Manager processes

Basic operations within the Resource Overview

  • Find task for available resource

  • Relieve overbooked resource in Resources Gantt chart

  • View project and task assignments for a resource

  • Assign resources to projects, phases and tasks

  • Allocate hours on individual days, weeks and months

  • Move time from one resource to another using drag and drop

  • View only employees with specific skills


New Project view

In the New Project view, you can create new projects.

Complete the relevant fields in the window and click Create Project to create a new project.

Creating a subproject

If the new project should be a subproject to another project, select the relevant parent project in the Parent Project field.

Creating project from template

You can create the new project from a template, thus automatically copying the WBS and basic project information of the template to the new project.

  1. Mark the “Use templates” field

  2. A list of the templates available appears

  3. In the list of templates, select the desired template

  4. The fields in the window (except the fields in the Basic island) are automatically completed with values copied from the template

  5. You can change the field values that should not be inherited from the template

  6. Click Create Project to create the new project. The WBS lines from the template are automatically created for the new project.


Projects view

This view shows a list of your individual projects, and allows you to view and edit project information.

Each row in the Grid shows information about a project. As in the Project Gantt Chart, grid rows with bold text and figures represent projects that have subordinate WBS lines - for instance phases, tasks or subprojects.

If you click the "Show Only a Single Project" button in the Project Gantt Chart view, you can use this view as a project selection list where you can click the projects one by one to select the project to be displayed in the Gantt chart.

How to

  • View one project at a time in Project Manager Gantt chart


Projects and Activities view

This view shows a list of your individual projects, phases and tasks without indentation, and allows you to view and edit information.

Each row in the Grid shows information about a project, phase or task. As in the Project Gantt Chart, grid rows with bold text and figures represent projects that have subordinate WBS lines - for instance phases, tasks or subprojects.


Project Selector view

This view is used for project selection. As such, it is related to the Project Manager Gantt Chart. You can select projects in the Project Selector view by clicking, and the project will be selected in the Gantt chart.

You can use Quick Filter in this view to find projects more efficiently, and the view can be docked as a tab on the left so that it is easily available, and yet does not take up space when not used.


Project Manager Gantt Chart view

The Project Manager Gantt Chart shows a graphical presentation of your individual projects.

The grid at the left shows the individual projects and tasks in Work Breakdown Structure, and each line in the Gantt chart area shows information about the project or task covered by the corresponding grid line.

You can group and filter the projects as described in the section Group By box, and view, move and change Gantt bars to set up project plans as described in the section Gantt bars.

How to

  • View revenue from resource assignments in Project Manager Gantt chart

  • View one project at a time in Project Manager Gantt chart

Calculated and lookup columns (in the project manager Gantt chart)

You can add calculated and lookup columns in the grid part of the project manager Gantt chart. Calculated columns can can be calculated from the value in one or more other fields, using a number of operators and functions. When you right-click in the grid and select New Calculated, you will see an expression editor where you can use a number of functions to create a calculation.

If you select New Lookup, you can access and add columns from other relations. For example, normally only Customer Name is visible in the Gantt chart, but you can add the Customer Number this way.

Beware that both calculated columns and lookup columns are performance-heavy, and they should be used only when necessary.

How to see actuals

When you are managing a project and you are planning ahead, you often need information about what has already been spent on the project in terms of time and money - the actuals. These numbers can be fetched from Maconomy, based on the registrations of time and expenses. This information is useful when planning and estimating.

You can see the actuals right in the project manager Gantt chart, using these toolbar buttons and dropdowns:

If you click Actuals Totals, this information window will open:

As you can see, this window contains an overview of the actuals for the selected project.

The dropdown to the right of the Actuals Totals button is used to select what kind of actuals should be shown in the Gantt chart:

The Periods for Actuals lets you select the period used for actuals - as well as a few other things. This window opens when you click the button:

You can set the first and last dates to be considered by using the two date pickers. The checkbox called "Automatically pick start date from project start date" is convenient for quickly picking the start date of the project as the From Date for actuals.

The dropdowns named Recognized Revenue and so forth can be used to fine-tune what kind of registrations should be included in the actuals shown. For each of these, the following values are possible:

Finally, you can select whether or not you want to show the end fate for which actuals are considered as a solid | across the relevant Gantt sticks.


Tentative Tasks view

This view is used for approving or rejecting resource assignments.

Using resource assignment approval, the resource manager can review the individual tasks for which his or her resources have been requested (by assigning the resource to a task), and decide whether the assignment is acceptable.

The Grid shows a row for each resource assignment where the approval status has been set to “Tentative”, and the resource manager can thereby evaluate each assignment and decide whether they are acceptable.

To approve a resource assignment, select the assignment and click the [image] button. This will change the “Approval Status” field to “Approved”.

To reject a resource assignment, select the assignment and click the [image] button. This will change the approval status to “Declined”.

Select multiple rows before clicking the approval or rejection button to approve or reject multiple assignments in one process.


Project Status view

In this view, you can see and edit project status definitions.

Project status codes are used for grouping, filtering and categorizing information, for instance to only view projects with a specific project status.

If you synchronize with Maconomy, the Project Status is used for indicating for each project whether it represents an opportunity or a project on order. Therefore, when the system is set up to synchronize with Maconomy, only two values exist in this window - “Opportunity” and “On Order”, and you cannot add change or delete the project status definitions.

Creating project status codes

You can create project status definitions manually if your People Planner system is not set up to synchronize data with Maconomy.

To create a new project status definition, add a new row to the Grid (see Adding rows in a Grid), and enter the desired name on the new line.

Deleting project status codes

You can delete project status definitions manually if your People Planner system is not set up to synchronize data with Maconomy.

If you delete a project status definition, all projects, phases, tasks, resources etc. on which the project status has been specified are updated to contain a blank value in the Project Status field.

To delete a project status definition

  1. Enter the Project Status view

  2. Place focus on the line containing the project status definition to be deleted

  3. Click the [image] button below the grid


Project parameter views

People Planner contains a number of different project parameters used for grouping, filtering and categorizing projects.

For instance by specifying a project priority on each project, you can group projects by priority in the Project Manager Gantt chart or set up filters to only view projects with a specific priority.

For each project parameter, you can set up a list of the values that should be available within that parameter. When the user clicks a project parameter field on a project, a list of the defined parameter values appears, allowing the user to select the relevant value.

The lists of values for the individual parameters (Project Risk, Project Priorities and Project Groups) are set up in separate views, where you can create, edit and delete parameter values.

Project parameter setup views

Project parameter values are set up in the following views:

  • Project Risk

  • Project Priorities

  • Project Groups

Creating parameter values

To create a new parameter value

  1. Enter the view in which parameter values for the parameter in question are managed (see Project parameter setup views)

  2. Add a new row to the Grid (see Adding rows in a Grid)

  3. Enter the desired parameter value name and any other relevant information on the new line

Deleting parameter values

You can delete parameter values manually if your People Planner system is not set up to synchronize data with Maconomy.

If you delete a parameter value, all projects on which the parameter value has been specified are updated to contain a blank value in the relevant project parameter field.

To delete a parameter value

  1. Enter the view in which parameter values for the parameter in question are managed (see Project parameter setup views)

  2. Place focus on the line containing the parameter value to be deleted

  3. Click the [image] button below the Grid


Customers view

In this view, you can see and edit basic customer information such as name, address and various general information used to handle customers and their projects.

When you create new projects in the New Project view, you specify the customer of the new project from a list of the customers created in this view.

If your People Planner is set up to synchronize with Maconomy, you cannot add, change or delete the customer information, as all customer information is then managed in Maconomy and imported to People Planner.

Creating customers

You can create customers manually if your People Planner system is not set up to synchronize data with Maconomy.

To create a new customer

  1. Enter the Customer view

  2. Add a new row to the Grid (see Adding rows in a Grid)

  3. Enter the relevant customer information on the new row

Deleting customers

You can delete customers manually if your People Planner system is not set up to synchronize data with Maconomy. However, you can only delete customers that are not specified on a project.

To delete a customer

  1. Enter the Customers view

  2. Place focus on the line containing the customer to be deleted

  3. Click the [image] button below the Grid


Dimension views

People Planner contains a number of different dimensions used for grouping, filtering and categorizing information.

For instance by specifying a project type on each project, you can group projects by type in the Project Manager Gantt chart or set up filters to only view projects of a specific type.

For each dimension, you can set up a list of the values that should be available within that dimension. When the user clicks a dimension field on a project, phase, task, resource etc., a list of the defined dimension values appears, allowing the user to select the relevant value.

The list of values for the individual dimensions (Project Types, Business Areas, Companies etc.) are set up in separate views, where you can create, edit and delete dimension values.

However, if your People Planner system is set up to synchronize with Maconomy, you cannot add change or delete dimension values, as they are then managed in Maconomy and imported to People Planner.

Dimension setup views

Dimension values are set up in the following views:

  • Business Areas

  • Customer Priorities

  • Countries

  • Companies

  • Departments

  • Purposes

  • Specification 1-3

Creating dimension values

You can create dimension values manually if your People Planner system is not set up to synchronize data with Maconomy.

To create a new dimension value

  1. Enter the view in which dimension values for the dimension in question are managed (see Dimension setup views)

  2. Add a new row to the Grid (see Adding rows in a Grid)

  3. Enter the desired dimension value name and any other relevant information on the new line

Deleting dimension values

You can delete dimension values manually if your People Planner system is not set up to synchronize data with Maconomy.

If you delete a dimension value, all projects, phases, tasks, resources etc. on which the dimension value has been specified are updated to contain a blank value in the relevant dimension field.

To delete a dimension value

  1. Enter the view in which dimension values for the dimension in question are managed (see Dimension setup views)

  2. Place focus on the line containing the dimension value to be deleted

  3. Click the [image] button below the Grid


Work Week Hours view

In this view, you can set up Work week hours.

For each Work Week Hour model, you can enter the number of working hours on each weekday, from Monday through Sunday. For a resource assigned to a given Work Week Hour model these hours will apply on all dates for which no special work hours have been entered in the resource’s personal calendar or in the Common Calendar assigned to the resource.

You can create multiple Work Week Hour models and assign them to different resources, for example to specify the standard working hours at individual locations or for individual positions.

Creating a work week hour model

  1. Enter the Work Week Hour view

  2. Add a new row to the Grid (How)

  3. Enter the desired model name on the new row

  4. Enter the relevant work hours from Monday through Sunday. For non-working days, enter zero hours.

Deleting a work week hour model

  1. Enter the Work Week Hours view

  2. Place focus on the line containing the model to be deleted

  3. Click the [image] button below the Grid

Assigning work week hour models to resources

  1. Enter a view in which Resource information is shown, for instance the Resources view.

  2. If the Work Week Hours field is not shown, add it using the Column Chooser or open another view in which the field is shown.

More about work week hour models and calendars

  • About calendars and work hours

  • About work week hour models


Common Calendars view

In this view, you can create Common Calendars and set up special work hours on specific dates within each calendar.

You can create multiple Common Calendars and assign them to different resources, for example to ensure that national holidays and special events taking place locally are reflected in the work hours of each resource.

When you open the view, a Grid allows you to enter basic information about each common calendar and create new calendars.

You can also bring up a window in which you can specify special work hours for individual dates, either in a calendar format or in a list.

Creating a common calendar

  1. Enter the Common Calendars view

  2. Add a new row to the Grid (How)

  3. Enter the desired calendar name and any other relevant information on the new row

Deleting a common calendar

  1. Enter the Common Calendars view

  2. Place focus on the line containing the calendar to be deleted

  3. Click the [image] button below the Grid

Entering special work hours

You can enter special work hours either in a calendar format providing a graphical approach or using a list for fast data entry.

  • To enter special work hours in a calendar format, click the Show Calendar button. This brings up a new window containing a calendar where you can enter special work hours. For details on using this window, see “The calendar hierarchy”.

  • To enter special work hours in a list format, click the Show List button. This brings up a new window containing a list where you simply enter the starting and ending dates for which special work hours should apply, as well as the special work hours to apply within that period. For details on using this window, see “Entering special work hours in list format”.

Entering special work hours in list format

When you click the Show List button in the Common Calendars view, a new window is opened, in which you can enter date ranges and assign special work hours to them.

Setting special work hours for a range of dates

To set special work hours for one or more dates

  1. Add a new row to the Grid (How)

  2. Specify the starting and ending dates of the range of dates for which special hours should be set

  3. In the Work Hours per Day column, specify the number of hours that should be the work hours for the range of dates

Specifying non-working day

To specify that one or more dates should be non-working days, set the number of work hours to zero.

Removing special work hours

To remove special work hours from a range of dates, so that the hours from the Work Week Hours model applies instead

  1. Place focus on the row containing the relevant range of dates

  2. Click the [image] button below the Grid

More about

  • About common calendars


Calendars view (personal)

In this view, you set up special work hours in the personal calendar of each resource.

A personal calendar exists for each resource, allowing you to enter personal exceptions to the hours specified in the Common Calendar and the Work Week Hour model assigned to the resource. This could, for example, include vacation time and other types of absence.

The view contains a calendar view, in which you can select the relevant dates and assign special work hours to them.

More about

  • The calendar hierarchy

  • Personal calendars

  • About common calendars


The scheduler

The scheduler is used to provide quick overviews of how resources are booked (or not booked) in different periods of time. In can be used, for example, at a weekly meeting where it becomes easy to see at a glance what everyone in a group or in a department are in the next week. In organizations that have a day-to-day planning need, it can be used to provide an instant overview of what resources are used for on a certain day.

The layout of the scheduler is saved with perspectives so any customizations that you do will be preserved. You can customize the layout with drag-and-drop in the same way as in other parts of People Planner.

Various views

You can use the scheduler to vies information about resources in various ways:

  • On a day by day basis
  • Work weekly
  • Seven day-weekly
  • Monthly
  • Or as a timeline

When viewing as timeline, you will see the information as a window into a continuing timeline. The window can be moved back and forth.

Selecting resources and dates to view

You can select resources from a convenient pane. Resource are selected and deselected by clicking, so it is quite easy and very fast to look at the situation for single resources as well as for groups of resources. You can also select a group or department with one click.

In the way, you can open a calendar pane where you can select dates very easily. You can select single days or ranges of consecutive days by simply clicking and dragging in the calendar.

Other tools and buttons

There are buttons to scroll backwards and forward in views (for example, to go from one week to the next) and to go back to the current date ("Today"). There are also two buttons labelled Zoom In and Zoom Out. They are used for showing more (or less) detail (for example, show all hours of day, or only every second hour,.

Make bookings from the scheduler

You can book resources directly from the scheduler in this way:

  • Select a resource from the resource selection pane
  • Select a single day by clicking, or select a range of days by clicking and dragging
  • Right-click somewhere in the selected day or the selected range
  • Select "Make new booking" from the right-click menu

This will open an appointment form where you can enter details about the new booking:

  • You can select an existing task and assign the resource to this task
  • You can select a project and create a new task for this project (and assign the resource immediately)
  • You can add additional resources by clicking the "Assign more resources..." button

After adding a task you can open it and view and change details by double-clicking the task in the scheduler.

QUESTION: Overview Mode // print overview (expectation document, p.10)


Resources view

In this view, you can see and edit basic resource information such as name, address and various general information used to specify the working terms of the resource.

Resources can be individuals and teams (groups) as well as locations (for example, meeting rooms.)

For each resource, a subgrid contains a list of the skills assigned to the resource. By adding skills to this list, you can maintain the resource’s qualifications, allowing project managers to easily identify the resources that possess the skills required for specific tasks.

If your People Planner system is set up to synchronize with Maconomy, you cannot add, change or delete the resource information, as all resource information is then managed in Maconomy and imported to People Planner.

Creating resources

You can create resources manually if your People Planner system is not set up to synchronize data with Maconomy.

To create a new resource

  1. Enter the Resources view

  2. Add a new row to the Grid (How)

  3. Enter the relevant resource information on the new row

Assigning skills to a resource

  1. Place focus on the resource to whom the skill should be added

  2. Click the Add Skill button

  3. The subgrid is expanded, and a new line is automatically created

  4. On the new skill line, select a skill in the “Skill” column and select a skill level in the “Level” column

  5. Press Return

Defining resource work hours

The work hours of each resource is determined by the Work Week Hour model and Common Calendar assigned to the resource, combined with the resource’s personal calendar.

To define the work hours of a resource

  1. Enter the Resources view

  2. Select a Work Week Hour model in the field “Work Week Hours”

  3. Select a Common Calendar in the field “Common Calendar”

  4. Define any personal absence and special work hours in the Calendars view (personal)

Deleting resources

You can delete resources manually if your People Planner system is not set up to synchronize data with Maconomy. However, you can only delete resources that are not assigned to any projects.

To delete a resource

  1. Enter the Resources view

  2. Place focus on the line containing the resource to be deleted

  3. Click the [image] button below the Grid

More about

  • Skills view

  • About skills and skill levels


Price Lists

You can create price lists in People Planner. A price list can contain both sales and cost prices, and the prices can be set for resources or resource categories. Having both sales and costs prices mean that gross margin calculations are possible. It is possible to see costs prices wherever sales prices are shown.

In Views, Projects, Prices, Price List you can create one or more named price lists.

You can, when you create a project or later, attach one price list to the project. At this point, the price list you select is copied to the project. You can change the copy to create a project-specific price list (this also implies that changes that are made to the original price list after the attachment are not propagated to the project-specific price list.)

When People Planner needs a price for a resource it will look in this order:

If there is a project-specific price list, and the resource has a price, this price will be used.

If not, but there is a project-specific price list, and the employee category of the resource has a price, this price will be used.

If no price can be found for the resource or the employee category, the simple rate of the resource will be used (the rate that can be seen in View, Resources, Resources.


Teams

You can assign one or more existing resources to a team, and a team can be assigned to a task, phase or project just like a single resource. When a team is assigned, all members in the team are automatically assigned to the task, phase or project. The team assignment is shown as one line in the grid.

Resources can be added to, and deleted from, a team after the team has been created.

The distribution principles when a team is assigned can set by selecting a value in the Group Distribution field. The possible vales are:

None: There will be no distribution of hours from task line to the team members.

Equal: The hours entered on the task line are distributed to each team member.

Divide: The number of hours on the task line is divided by the number of team members, and then assigned to each member.

If the start and finish date is the same on the task, then the distribution principle is disabled (and all resources will have the same hours on the task line.)


Skills view

In this view, you can see and edit a list of skills that can be assigned to resources. By defining skills and assigning them to resources, you can maintain a detailed list of resource qualifications, making it easy to find the right resources for specific tasks.

For each skill, you can enter a skill level list containing the levels at which the skill can be mastered. When assigning the skill to a resource, this allows you to also select the level at which the resource possesses the skill.

You can also specify various information used for grouping and categorizing skills.

If your People Planner system is set up to synchronize with Maconomy, you cannot add, change or delete skill information, as all skill information is then managed in Maconomy and imported to People Planner.

Creating skills

You can create skills manually if your People Planner system is not set up to synchronize data with Maconomy.

To create a new skill

  1. Enter the Skills view

  2. Add a new row to the Grid (How)

  3. Enter the relevant skill information on the new row

Deleting skills

You can delete skills manually if your People Planner system is not set up to synchronize data with Maconomy.

To delete a skill

  1. Enter the Skills view

  2. Place focus on the line containing the skill to be deleted

  3. Click the [image] button below the Grid

More about

  • About skills and skill levels

  • Assigning skills to a resource

  • Creating skill level lists and skill levels


Overview displays

There are three overview displays (accessed as Views, Overview) that will help you get a better overview of the data in People Planner:

Location Overview

This overview shows assignments per location. The overview is split into hours and tasks/projects. You can set the start and end dates of the period you want to look at.

Location Assigned Overview

This overview shows the same as “Location Overview” - but also shows assigned resources and teams, and it can show assignment texts.

Project/Task Overview

This overview shows overviews in the same manner as the other two overview, except grouped by tasks and projects.


Skill Level Lists view

In this view, you can see and edit skill level lists.

In a skill level list, you can set up the levels at which skills can be mastered, for instance, “Beginner”, “Trained” and “Expert” or “Yes” and “No”.

Each skill in the Skills view can be assigned to a skill list. When assigning a skill to a resource, this allows you to also select the level at which the resource possesses the skill.

The view contains a Grid on which each row represents a skill. For each skill, a subgrid allows you to define the individual levels at which the skill can be mastered.

Creating skill level lists and skill levels

You can create skill levels manually if your People Planner system is not set up to synchronize data with Maconomy.

To create a new skill level

  1. Enter the Skill Levels view

  2. Add a new row to the Grid (How)

  3. Enter the name of the new skill list on the new row

  4. Click the Add Skill Level button

  5. In the subgrid, create a line for each skill level within the skill, specifying the name of each level

Deleting skill level lists

You can delete skill level lists manually if your People Planner system is not set up to synchronize data with Maconomy.

To delete a skill level list

  1. Enter the Skill Levels view

  2. Place focus on the line containing the skill level list to be deleted

  3. Click the [image] button below the Grid

More about

  • About skills and skill levels

  • Assigning skills to a resource


View Assigned Skills view

This view lets you view the individual skills assigned to a resource.

The view shows information about the skills assigned to the actual resource selected in a window, frame or tab showing resources. All skills created in the system are shown, and the “Selected” column shows for each skill whether the resource possesses the skill.

This allows you to click resources one by one in a different window, and view the skills assigned to the current resource.

If you put a filter on the column “Selected” choosing “marked” the view will dynamically show the skills for the resource selected.

In a similar way you can put a filter on the column matching skill choosing checked. If you open the Skills view and select one or more skills, the resource list will only display resources which match the skills.

More about

  • About skills and skill levels

  • Assigning skills to a resource


View Assigned Activities view

This view lets you view the individual resources assigned to a project, phase or task.

The view shows information about the resources assigned to the last project, phase or task selected in a window, frame or tab showing projects, phases or tasks. All resources in the system are shown, and the “Selected” column shows for each resource whether he or she has been assigned to the current project, phase or task.

This allows you to click WBS lines one by one in a different window, and view the resources assigned to the current project, phase or task.

More about

  • Assign resources to projects, phases and tasks


Rates view

In this view, you can set up Rate specifications. A Rate is a group or category price which can be applied to resources and resource assignments.

In People Planner, prices are used for calculating revenue for the individual tasks, phases and projects, based on the number of hours estimated, allocated and registered.

You can assign a Rate to each resource, thus setting resource prices according to resource position or type. You can also assign a rate to each resource assignment to a task, for instance, to set the price according to the type of work to be done rather than the hourly price of the resource.

Prices can also be specified directly on resources and tasks.

See “About rates and price calculations” for details on the method used for identifying the price applying to each resource and task.

People Planner uses one currency throughout the system. All prices are therefore entered and displayed in the same currency.

Period/date specific rates

For each Rate, a subgrid contains a list of period specific rates. By adding new lines to this list, you can set up period specific prices for each Rate. In the calculation of revenue generated from time allocations made for resources assigned to the Rate, People Planner looks up the price applying to each date.

When creating a period specific price line, specify the first date on which the period specific price should apply. The price applies until the starting date of the next period (or indefinitely for the line with the latest starting date).

The rate on the main Rate line in the Grid applies until the starting date of the first period specific price.

More about

  • Setting up resource prices

  • Entering a task price

  • Entering a price on an assignment


Shifts view

In this view, you can create shifts.

Shifts are used when assigning resources to tasks. For each resource working on a task, you can specify the shift during which the resource should work on the task.

Specifying shifts on assignments also allows you to group and filter assignments by shift, for instance in the Assignments Gantt Chart view, and thereby see, for example, the resources who are set to work on a specific project during a specific shift.

In this window, you can define the shifts that should be available. Each shift specification primarily consists of a name.

When the user clicks the drop down arrow on a “Shifts” field on an assignment, a list of the defined shifts appears, allowing the user to select the relevant shift.


Resource and skill parameter views

People Planner contains a number of different resource and skill parameters used for grouping, filtering and categorizing resources and skill definitions.

For instance by specifying a resource type on each project, you can group resources by type in the Project Manager Gantt chart or set up filters to only view resources of a specific type.

For each resource and skill parameter, you can set up a list of the values that should be available within that parameter. When the user clicks a parameter field on a resource or skill, a list of the defined parameter values appears, allowing the user to select the relevant value.

The list of values for the individual parameters (Resource Types, Resource Status, Resource Locations, Skill Types and Skill Categories) are set up in separate views, where you can create, edit and delete parameter values.

Resource and skill parameter setup views

Resource and skill parameter values are set up in the following views:

  • Resource Types

  • Resource Status

  • Resource Locations

  • Skill Types

  • Skill Categories

Creating parameter values

To create a new parameter value

  1. Enter the view in which parameter values for the parameter in question are managed (see Resource and skill parameter setup views)

  2. Add a new row to the Grid (How)

  3. Enter the desired parameter value name and any other relevant information on the new line

Deleting parameter values

If you delete a parameter value, all resources and skills on which the parameter value has been specified are updated to contain a blank value in the relevant parameter field.

To delete a parameter value

  1. Enter the view in which parameter values for the parameter in question are managed (see Resource and skill parameter setup views)

  2. Place focus on the line containing the parameter value to be deleted

  3. Click the [image] button below the Grid


Resources Gantt Chart view

In the resources Gantt chart, you can manage your resources and their assignments to projects, phases and tasks.

The view shows a graphical presentation of resource capacities and the individual projects to which your resources are assigned. Information can be shown on a daily, weekly or monthly basis.

The grid at the left shows the individual resources, and each line in the Gantt chart area shows information about the resources covered by the corresponding grid line - and the projects, phases and tasks to which they have been assigned.

For instance, you can view

  • a resource color map presenting workload and available capacity using color codes

  • a project Gantt chart showing the running periods of the project activities to which the resources are assigned

  • the revenue generated by the individual resource assignments

You can assign resources to new projects, phases and tasks, allocate hours to assignments and move time allocations around between resources and assignments.

You can group and filter the resources (see Group By box and Filtering rows), and you can view, move and change Gantt bars (see Gantt bars).

How to

  • Find task for available resource

  • Relieve overbooked resource in Resources Gantt chart

  • View resource or assignment revenue

  • View project and task assignments for a resource

  • Assign resources to projects, phases and tasks

  • Allocate hours on individual days, weeks and months

  • View only employees with specific skills

  • Move time from one resource to another using drag and drop

  • Unassign resources from projects and tasks


Assignments Gantt Chart view

In the Assignments Gantt chart, you can manage your resources’ assignments to projects, phases and tasks.

The view shows a list of the assignments for which your resources have been booked, and a graphical presentation of resource capacities and the tasks to which the assignments pertain. Information can be shown on a daily, weekly or monthly basis.

The grid on the left shows the individual assignments, and each line in the Gantt chart area shows information about the assignments covered by the corresponding grid line.

For instance, you can view

  • a resource color map presenting workload and available capacity using color codes

  • a project Gantt chart showing the running periods of the project activities to which the resources are assigned

  • the revenue generated by the individual resource assignments

You can group and filter the assignments (see Group By box and Filtering rows), and you can view, move and change Gantt bars (see Gantt bars). However, you cannot change the allocation of resource hours across time in this view. This must be done in the Resources Gantt Chart or the Project Manager Gantt Chart.

How to

  • View the resources working on a specific shift

  • View resource or assignment revenue


Employee Categories view

In this view, you can see and edit information about employee categories.

Employee categories used for grouping, filtering and categorizing resources.

For instance by specifying an employee category on each resource, you can group resources by category in the Resources Gantt chart or set up filters to only view resources within a specific category.

If your People Planner system is set up to synchronize with Maconomy, you cannot add change or delete the employee category information, as all employee categories are then managed in Maconomy and imported to People Planner.

Creating employee categories

You can create employee categories manually if your People Planner system is not set up to synchronize data with Maconomy.

To create a new employee category

  1. Enter the Employee Categories view

  2. Add a new row to the Grid (How)

  3. Enter the relevant employee category name on the new row

Deleting employee categories

You can delete employee categories manually if your People Planner system is not set up to synchronize data with Maconomy.

To delete an employee category

  1. Enter the Employee Categories view

  2. Place focus on the line containing the employee category to be deleted

  3. Click the [image] button below the Grid


Notes view

In this view, you can enter notes assigned to other information in the system.

Notes are useful for exchanging messages and for adding extra information about specific data.

For instance, when assigning a resource to a task, the project manager may want to add a note saying that this specific resource is urgently needed for the project. Upon approving or declining the assignment, the resource manager can add a new note to the assignment, with a message back to the project manager.

You can add notes to any type of information in the People Planner. Each time you select a Grid line in any window, the title bar of the Notes view is updated to show what information is currently selected, allowing you to add notes to the current Grid line.

By keeping the Notes view open alongside the other windows you work in, you can thereby easily assign notes while entering other data.

The upper part of the view contains a large field in which you can enter the note contents and click Add to entry the note.

The lower part of the view shows a list of the messages posted, thus providing a history of the notes posted to the Grid line in question.


Accounts

The system already has number of accounts, such as man hours, revenue, costs, gross margin, and so forth. These accounts cannot be deleted.

An administrator can, however, add more accounts for different purposes, for example, for forecasting, cash flow, and so forth, and allocations can be saved in these accounts (the user can select which account to use in any given Gantt chart.) Accounts are created in Views, General, Accounts.

Any account can be displayed in a Gantt chart.


Goals

In Views, Resources, Goals you can create goals for resources to help you measure actual performance of the employees, based on the actual time registrations imported from Maconomy.

In the goals window, you can create any number of names goals, for example "Year target hours" or "Revenue target". When you have created a goal, you can assign resources to that goal, and enter a target value.

Afterwards, you can add the goal columns (label and target value) to the grid in the resource manager Gantt chart, and create one or more calculated columns that, for example, display the difference between the target value and the actual man hours that have been registered in Maconomy.


Templates view

This view contains a Grid showing the templates created in the system.

In this view, you can edit basic template information.

You can also use the view as a template view in combination with other views.

For example, you can use the view in combination with the Project Manager Gantt Chart to select the template to be inserted using the Insert Template and Insert Template as Child buttons.

Creating a template

Templates are created in the Project Manager Gantt Chart view using the "Create New Project Template" button.

For further information, click here

Deleting a template

To delete a template

  1. Enter the Templates view

  2. Place focus on the line containing the parameter value to be deleted

  3. Click the [image] button below the Grid


Templates Gantt Chart view

The Templates Gantt Chart shows a graphical presentation of your templates, and allows you to edit your templates.

The grid at the left shows the individual template projects and tasks in Work Breakdown Structure, and each line in the Gantt chart area shows information about the project or task covered by the corresponding grid line.

You can group and filter the projects as described in the section Group By box, and view, move and change Gantt bars to set up project plans as described in the section Gantt bars.

You can perform the same actions in this view as in the Project Manager Gantt Chart. This means that you can e.g. move or change the length of Gantt bars, assign resources, and even allocate time.

Changes made to a template line do not affect lines already created from the template, but are applied to new projects, phases, tasks and assignments created from the template.

More about

  • Operations in the Gantt chart: See Project Manager Gantt Chart view


Users view

In this view, you can see and edit basic user information such as name, networking id’s and various general information. You can also specify the resource to whom the user corresponds.

If your People Planner system is set up to synchronize with Maconomy, you cannot add, change or delete the user information, as all user information is then managed in Maconomy and imported to People Planner.

Creating users

You can create users manually if your People Planner system is not set up to synchronize data with Maconomy.

To create a new user

  1. Enter the Users view

  2. Add a new row to the Grid (How)

  3. Enter the relevant user information on the new row

Deleting users

You can delete users manually if your People Planner system is not set up to synchronize data with Maconomy.

To delete a user

  1. Enter the Users view

  2. Place focus on the line containing the user to be deleted

  3. Click the [image] button below the Grid


Import Tasks view

In this view, you can import tasks from Outlook into your WBS.

The view shows a list of the tasks in your Outlook system. The list only includes non-completed tasks ending today or later.

Before importing, you must select the lines to be imported and the position in the WBS where the imported tasks should be placed.

The list of tasks may need to be updated using the Refresh button, in order to show a complete list of tasks.

When you import tasks, tasks previously imported from or exported to Outlook are updated in People Planner, in terms of description and starting and ending time. Tasks that have not previously been synchronized are created in People Planner and added at the position indicated in the Parent box.

To import tasks

  1. Select the lines with the tasks to be imported in the list of tasks from Outlook (click Refresh to ensure the list is up to date)

  2. Select the WBS line beneath which the new task should be inserted in the Parent field

  3. Click the Import button

  4. A dialog may appear in Outlook, alerting you that another program is trying to access Outlook information. In this dialog, mark the “Allow access for” field, specify a number of minutes and click “Allow”


Export Tasks view

In this view, you can export tasks to Outlook.

The view shows a list of the tasks in your People Planner system, allowing you to choose which tasks to export.

When you export tasks, tasks previously exported from or imported to People Planner are updated in Outlook, in terms of description and starting and ending time. Tasks that have not previously been synchronized are created in Outlook.

To export tasks

  1. Select the rows containing the tasks to be exported (How)

  2. Click the “Export” button

  3. A dialog may appear in Outlook, alerting you that another program is trying to access Outlook information. In this dialog, mark the “Allow access for” field, specify a number of minutes and click “Allow”


Import Out of Office view

In this view, you can create non-working days in your personal calendar based on all-day out-of-office appointments in Outlook.

The view shows a list of the appointments in your Outlook calendar where

  • “Show as” is set to “Out of Office”

  • “All day event” is marked

Select the appointments on the days that should appear as non-working days in your personal calendar and click Import.

More about

  • Personal calendars

  • Calendars view (personal)


Import Multiple Job Budgets view

In this view, you can import a range of projects and their budgets from Maconomy to People Planner. This functionality is especially useful when first taking People Planner into use, as you can import all relevant, existing projects directly from Maconomy in one process. The job budgets can also be imported from a comma-separated text file if you do not have a connection to a Maconomy system. However, as the Import from excel view allows you to import more detailed project information and also offers the possibility of importing tasks and planning information, it is recommended that you use the Import from excel view to import project information if you do not have a connection to a Maconomy system.

See also Importing data from Excel files.

Importing multiple job budgets from Maconomy

To import a range of projects and their budgets from Maconomy:

  1. Open the Import Multiple Job Budgets view

  2. If the budget types in Maconomy have not previously been imported into People Planner, the Import Budget Types button will be available. Click this button to import the budget types.
    If budget types have already been imported, the button is dimmed.

  3. Click the Import list from Maconomy button.

  4. The grid now shows the projects in Maconomy (the list may be limited to certain projects only - for information about limiting the list of projects for import, see the technical People Planner documentation).

  5. Mark the projects to be imported. If you select a main project, a dialog will appear when the import is started, asking whether you also want to import the subprojects. However, if you mark both the main project and its subprojects, the subprojects will be imported regardless of whether you answer No in that dialog.

  6. When you have selected the desired projects, click the Import jobs button to start the import.

Importing multiple job budgets from a comma-separated file

You can import a range of projects and their budgets from a comma-separated file.

Each line in the file represents a project, and for each project, the file must contain the following information in the specified order, separated by commas:

  1. Job number - the number of the project

  2. Job name - the name of the project

  3. Description - a description of the project

  4. Budget type

  5. Opportunity - Specify True if the project represents an opportunity and False if the project is a regular project.

When you have set up the file, follow the procedure below to import the information:

  1. Open the Import Multiple Job Budgets view

  2. If the budget types in Maconomy have not previously been imported into People Planner, the Import Budget Types button will be available. Click this button to import the budget types.
    If budget types have already been imported, the button is dimmed.

  3. Click the Open file... button.

  4. The grid now shows the projects information in the file.

  5. Mark the projects to be imported. If you select a main project, a dialog will appear when the import is started, asking whether you also want to import the subprojects. However, if you mark both the main project and its subprojects, the subprojects will be imported regardless of whether you answer No in that dialog.

  6. When you have selected the desired projects, click the Import jobs button to start the import.


Import from excel view

In this view, you can import various information from an Excel file to People Planner. This functionality is especially useful when first taking People Planner into use without integration to Maconomy, as you can import all relevant, information from Excel instead of having to enter them manually in the system.

How

If the first row in the Excel file contains field headers, leave the “First row as names” field marked. If the file does not contain a header row, unmark the field.

In the “Source File” field, select the Excel file containing the data to be imported. In the “Importing to” field, specify the type of data contained in the excel file, i.e. the type of data to be imported.

In the lower part of the left frame, select the sheet containing the data to be imported and change any information to be edited before the import.

When you have selected a data type to be imported, you can use the Field Mapping area to specify which column in the Excel file corresponds to which field within that data type. If, for example, you are importing customers, you can specify which column in the Excel file contains the name of each customer, which column contains the company etc. If your Excel file contains a header row, any header matching the title of a field in the data type (as showing in the Property column) is automatically mapped to that field. This means that if all the headers in your file match a field title, you do not have to manually map the columns.

In the Default value column, you can specify the value to be applied to each field when no value is specified for that field in the Excel file.

More about

  • Personal calendars

  • Calendars view (personal)


Name

In this field, you can enter the name of the project, phase or task.


Start Date

In this field, you can specify the date on which the project, phase or task should start according to plan.

In Gantt charts, you can change the starting date by entering a new date in this field or change the Gantt bar (How).


Start

In this field, you can specify the date and time on which the project, phase or task should start according to plan.

In Gantt charts, you can change the starting date and time by entering a new date and time in this field or change the Gantt bar (How).


Finish Date

In this field, you can specify the date on which the project, phase or task should finish according to plan.

In Gantt charts, you can change the starting date by entering a new date in this field or change the Gantt bar (How).

If you change the finish date to an earlier date, any hours allocated to the project, phase or task after the new finish date are automatically removed.


Finish

In this field, you can specify the date and time on which the project, phase or task should finish according to plan.

In Gantt charts, you can change the starting date and time by entering a new date and time in this field or change the Gantt bar (How).

If you change the finish date and time to an earlier date and time, any hours allocated to the project, phase or task after the new finish date are automatically removed.


Assign Resource

The button in this column allows you to assign a resource to the current project, phase or task.

When you click the button, the last resource selected in a window, frame or tab showing resources is assigned to the project, phase or task.

Once the resource has been assigned, you can allocate the resource’s time to the project, phase or task.


Account Manager

In this field, you can specify the account manager of the project or subproject. You cannot specify an account manager on a task or phase.

Click the arrow on the right-hand side of the field to bring up a list of resources that are defined as account managers.


Project Manager

In this field, you can specify the project manager of the project or subproject. You cannot specify a project manager on a task.

Click the arrow on the right-hand side of the field to bring up a list of resources that are defined as project managers.


Allocated

This field shows the total number of hours allocated to resources for the current project, phase or task.

For projects and phases, the number includes allocations from any subjobs, phases and tasks placed beneath the project or phase in the WBS.


Allocated Revenue

This field shows the total revenue generated through the hours for which resources have been allocated to the current project, phase or task, and the rate applying to the project, phase or task.

For projects and phases, the number includes allocations from any subjobs, phases and tasks placed beneath the project or phase in the WBS.

More

  • About rates and price calculations


WBS Numbering

Through outline numbering, this field shows the current project, phase or task’s position in the WBS. By sorting the Grid according to this field, you ensure that the Grid reflects the WBS structure.

The numbering includes all projects in the system, regardless of whether they are currently displayed or hidden. Therefore, the first line may not necessarily be number 1.

The outline numbering means that the first project in the complete WBS is assigned number 1. The first line beneath this project in the WBS - a subproject, phase or task - is numbered 1.1 etc.


Baseline Budget

This field shows the total number of hours budgeted in the baseline budget for the current project, phase or task.

The Baseline Budget represents the original estimate and therefore allows you to compare the latest estimates to the original one.

For projects and phases, the number includes baseline figures from any subjobs, phases and tasks placed beneath the project or phase in the WBS.

You cannot enter a number directly in this field. When synchronizing with Maconomy, the field corresponds to the quantity on the corresponding line in the baseline budget of the Maconomy project. However, you can also copy the value from the “ETC” field using the “Copy Hours button” button in the Project Manager ribbon.


Baseline Budget Revenue

This field shows the total revenue budgeted in the baseline budget for the current project, phase or task.

For tasks, the figure is based on the number of hours in the field “Baseline Budget” and the price per hour applying to the task line.

For projects and phases, the number is based on the baseline revenue from any subjobs, phases and tasks placed beneath the project or phase in the WBS.

You cannot enter a number directly in this field.


Blocked

Mark this field to block the current project, phase or task. When a project, phase or task is blocked, you can no longer assign resources to it.


Business Area

This field can only be completed on lines representing projects.

In the field, you can specify the business area of the main project to which the current project belongs.

The business area comes from the customer assigned to the project and cannot be changed here.


Color

In this field, you can select a color to be used on Gantt bars representing the current project, phase or task.

When you click the field, you can choose different categories of coloration subgrid for regular presentation, presentation on the web and colors based on the color scheme on your computer.


Company

When creating a new project, you can specify in this field the name of the company within your organization to which the project belongs.

You can use the company information for categorizing and filtering projects, phases and tasks.

To select a company at project creation, click the arrow on the right-hand side of the field to bring up a list of companies to choose from.

Once the project has been created, you can no longer change the company.


Complete

With this field, you can specify whether the project, phase or task has been completed.


Customer

When creating a new project, you can specify in this field the name of the customer whom the project serves. Once the project has been created, you can no longer change the customer.

You can use the customer information for categorizing and filtering projects, phases and tasks.

To select a customer at project creation, click the arrow on the right-hand side of the field to bring up a list of customers to choose from.


Date Completed

In this field, you can enter the date on which the project, phase or task was completed.

When you mark the “Complete” field, today’s date is automatically inserted in this field, but you can change the date if the project, phase or task was completed on a different date.


Date of Budget

This field shows the date of the latest completion estimate in Maconomy at the time of the last synchronization between People Planner and Maconomy.


Description

In this field, you can enter a description of the current project, phase or task.


Working Budget

In this field, you can view or enter the estimated number of hours needed to complete the current project, phase or task.

When synchronizing with Maconomy, the field corresponds to the quantity on the relevant budget line in the Working budget of the Maconomy project.

The functionality of the field depends on whether the current project, phase or task has any children in the WBS or any resources have been assigned.

No WBS children and no resource assignments

You can enter in this field the estimated number of hours needed to complete the project, phase or task. However, when synchronizing with Maconomy, the value is overwritten with the estimate from the corresponding task in the working budget in Maconomy.

Project, phase or task has WBS children and/or resource assignments

The field shows the total number of hours estimated on subjobs, phases, tasks and resource allocations placed beneath the project, phase or task in the WBS. You cannot enter a value manually.

For projects and phases to which resources have been assigned directly, the field also includes the number of hours estimated on these resource allocations.


Estimate Revenue

This field shows the total revenue estimated for the current project, phase or task.

For tasks, the figure is based on the number of hours in the field “Estimate” and the price per hour applying to the task line.

For projects and phases, the number is based on the value in this field on any subjobs, phases and tasks placed beneath the project or phase in the WBS.

You cannot enter a number directly in this field.


ETC

This field shows the valid estimate to completion for the current project, phase or task.

The value in this field can be considered the valid completion estimate in People Planner because the value is used in the calculation of the new expected estimate in the field “New Expected Budget”.

You cannot enter a value directly in this field. Instead, you can completion estimates manually in the “Top Down ETC” field or import them from Maconomy to the “External ETC” field. You can then copy these completion estimates to the ETC column to validate them so that they are used in the calculation of the new expected estimate.

More

  • Project Follow-up - Project Manager process (Project Manager process)


External Actual

This field shows the number of hours actually spent on the project, phase or task so far.

The value can either be based on entries in Maconomy or on a manually entered completion percentage and the number of hours estimated on the line.

If the line is synchronized with Maconomy

If the line is synchronized with Maconomy, the value is transferred from Maconomy using the "Import Master data from Maconomy" button in the Import and Export ribbon.

If the line is not synchronized with Maconomy

Enter a percentage in the “Percent Complete” field to calculate a value for the “External Actual” field, based on the percentage and the estimate in the field “Working Budget” on the line.


External ETC

This field shows the estimated number of hours needed to complete the project, phase or task according to completion estimates made in Maconomy.

The value is transferred from Maconomy using the "Import Master data from Maconomy" button in the Import and Export ribbon.


External ID

Projects, phases and tasks synchronized with Maconomy (so that a corresponding project phase or task exists in Maconomy) are automatically provided with an ID in both People Planner and Maconomy.

The ID is used for matching projects, phases and tasks in the two systems.

If the current project, phase or task has been synchronized with Maconomy, this field shows the synchronization ID.


External Priority

In this field, you can specify the priority of the project, phase or task as communicated outside your organization, for instance to the customer.

Project priorities are a project parameter which you can use for categorizing and filtering projects, phases and tasks.

Click the field to bring up a list of project priorities to choose from.

More about

  • Project parameter views


Finish Time

In this field, you can specify the time at which the project, phase or task should be completed according to plan, on the specified finish date.


From Prototype

This field shows whether the current project, phase or task was created using a template.

More

  • About templates


Group

In this field, you can assign the current project, phase or task to a group.

You can use the Group information for categorizing and filtering projects, phases and tasks.

More about

  • Project parameter views


Internal Priority

In this field, you can specify the priority of the project, phase or task within your organization.

Project priorities are a project parameter which you can use for categorizing and filtering projects, phases and tasks.

Click the field to bring up a list of project priorities to choose from.

More about

  • Project parameter views


Is Prototype

This field shows whether the current project, phase or task is part of a template.

If the field is marked, the project, phase or task is part of a template.

More

  • About templates

  • Creating templates


Kind

This field shows whether the current WBS item is a project, phase, task or milestone.

The field automatically reflects the item’s position in the WBS:

Project: The item is a main project or subproject.

Summary: The item is a phase. An item is considered a phase when it is not a project but has children (tasks or subphases) in the WBS structure.

Task: The item is a task. An item is considered a task when it is positioned at the second WBS level or lower, and does not have any children.

Milestone: The item is a milestone. A milestone does not represent an actual task to be completed but rather a point to be reached. Therefore, milestones have the same start and finish date, and you cannot assign resources to a milestone.


Level

This field shows the project, phase or task’s indentation level in the WBS.

Main projects are always positioned at level 1 - the top level.

The individual phases and tasks of a project can be indented one or more levels using the "Indent" button, and this field reflects the level at which each phase or task is placed.


Main Project External Priority

This field shows external priority of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the external priority of the project itself.

More about

  • “External Priority” field


Main Project Account Manager

This field shows the account manager of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the name of the account manager of the project itself.


Main Project Business Area

This field shows the business area of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the business area of the project itself.

The business area comes from the customer assigned to the main project and cannot be changed here.

More about

  • Business areas: See Dimension views


Main Project Company

This field shows the name of the company of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the name of the company of the project itself.

More about

  • Companies: See Dimension views


Main Project Customer Priority

This field shows the customer priority of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the customer priority of the project itself.

The customer priority comes from the customer assigned to the main project and cannot be changed here.

More about

  • Customer priorities: See Dimension views


Main Project Finish Date

This field shows the finish date of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the finish date of the project itself.

More about

  • Setting the finish date of a project or task: See the field “Finish Date”


Main Project Finish Time

This field shows the finish time of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the finish time of the project itself.

More about

  • Setting the finish time of a project or task using the field “Finish Time”


Main Project Group

This field shows the name of the group specified for the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the group of the project itself.

More about

  • Setting the group of a project or task using the field “Group”.


Main Project Internal Priority

This field shows the internal priority of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the internal priority of the project itself.

More about

  • “Internal Priority” field


Main Project Name

This field shows the name of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the name of the project itself.


Main Project Owner

This field shows the name of the owner of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the name of the owner of the project itself.


Main Project Manager

This field shows the name of the project manager of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the name of the project manager of the project itself.


Main Project Purpose

This field shows the purpose specification of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the purpose specification of the project itself.

More about

  • Specifying a purpose on projects, phases and tasks: See “Purpose”


Main Project Responsible Department

This field shows the name of the responsible department of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the name of the responsible department of the project itself.


Main Project Specification 2

This field shows the specification 2 value assigned to the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the specification 2 value of the project itself.


Main Project Specification 3

This field shows the specification 3 value assigned to the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the specification 3 value of the project itself.


Main Project Start Date

This field shows the start date of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the start date of the project itself.

More about

  • Setting the finish date of a project or task: See the field “Start Date”


Main Project Start Time

This field shows the start time of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the start time of the project itself.

More about

  • Setting the finish time of a project or task using the field “Start Time”


Main Project Status

This field shows the status of the main project to which the current project, phase or task belongs - for instance whether it is an opportunity or a project on order. For main projects and their phases and tasks, the field shows the status of the project itself.


Main Project Type

This field shows the type of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the type of the project itself.


Project Start and Finish Calculation

This field is used to control how project start and end dates are calculated. There are two options:

  1. Automatic. This means that the project start and end dates are controlled by the underlying WBS. The project start date will be the first starting date in the underlying WBS; the project end date will be the last ending date in the underlying WBS. You cannot control start and dates directly on the project Gantt stick.

  2. None. This means that the project start and end dates are controlled directly on the project line and do not follow the underlying WBS.


Employee (from Maconomy)

In this field, you can specify the owner of the project, subproject or task.

Click the arrow on the right-hand side of the field to bring up a list of resources that you can assign as project owner.


New Expected Budget

This field shows how many hours are estimated in total for the project, phase or task, from start to finish.

The figure is based on the estimate to completion in the field “ETC” and the total number of hours already spent on the project, phase or task according to entries in Maconomy, as shown in the field “External Actual”.


Parent

If the current project, phase or line is a child of another project or phase in the WBS, this field shows the name of the parent project or phase.

When creating a new project, you can select in this field a parent project for the new project, thus making the new project a subproject to the selected parent project.


Percent Complete

This field shows the completion percentage of the current project, phase or task - i.e. how many percent of the estimated number of hours have actually been executed.

If information on the line is not synchronized with Maconomy, you can use this field to calculate a value for the field “External Actual”.

If the “External Actual” field on the line is zero, entering a percentage in the “Percent Complete” field automatically causes a number of hours to be calculated for the “External Actual” field, based on the percentage and the estimate in the field “Working Budget”.

If you synchronize the line with Maconomy at a later time, the “External Actual” value is, however, overwritten by the imported value.


Price

In this field, you can enter the price per hour for the current task. This price will overrule any price per hour specified on the individual assignments on the task.


Price per Hour

This field shows the price per hour for the current line. The price is used in the calculation of revenue.


Prototype

If the current project, phase or task is part of a template, this field shows the name of the template.

More

  • About templates

  • Creating templates


Purpose

This field shows the purpose specification of the project, phase or task.

The purpose is a dimension value which you can use for categorizing and filtering projects, phases and tasks.

To select a purpose, click the arrow on the right-hand side of the field to bring up a list of purposes to choose from.

More about

  • Purposes: See Dimension views


Remaining

This field shows how many hours remain to be allocated to resources in order for all estimated hours to be allocated.

The value corresponds to the number of hours estimated, as specified in the field “Working Budget” less the number of hours already allocated, as shown in the field “Allocated”.


Required Skill

In this field, you can specify a skill that resources must possess in order to be able to carry out the project, phase or task.

The field is for information only, does not limit the resources that can be assigned and does not affect the resources shown when clicking the "Show skills" button.


Responsible Departments

This field shows the name of the responsible department of the current project, phase or task.

The responsible department is a dimension value which you can use for categorizing and filtering projects, phases and tasks.

To select a responsible department, click the arrow on the right-hand side of the field to bring up a list of responsible departments to choose from.

More about

  • Responsible departments: See Dimension views


Specification 2

This field shows the specification 2 value of the current project, phase or task.

The specification is a dimension value which you can use for categorizing and filtering projects, phases and tasks.

Click the arrow on the right-hand side of the field to bring up a list of values to choose from.

More about

  • Specification 2: See Dimension views


Specification 3

This field shows the specification 3 value of the current project, phase or task.

The specification is a dimension value which you can use for categorizing and filtering projects, phases and tasks.

Click the arrow on the right-hand side of the field to bring up a list of values to choose from.

More about

  • Specification 3: See Dimension views


Start Time

In this field, you can specify the time at which the project, phase or task should be started according to plan, on the specified start date.


Status

In this field, you can specify the status of the current project, phase or task - for instance whether it is an opportunity or a project on order.


Sub Project Name

For phases and tasks belonging to a subproject, this field shows the name of the subproject.

For subprojects, you can enter the name of the subproject itself.


Synchronize Panes

This field is only relevant on lines representing tasks. In the field, you can specify whether the current task should be synchronized with Outlook.


Time Grid Template

This field has been implemented for future functionality in People Planner but has no function in the current version.


Time Unit

This field has been implemented for future functionality in People Planner but has no function in the current version.


Top Down Budget

In this field, you can enter the estimated number of hours needed to complete the current project, phase or task.

The estimate which is synchronized with the Working budget of Maconomy is shown in the field “Working Budget”.

Therefore, you can enter in this field an alternative estimate which is not synchronized with Maconomy and is not automatically summarized on phase and project lines.


Top Down Budget Revenue

This field shows the total revenue estimated for the current project, phase or task according to the top down estimate entered in the field “Top Down Budget” and the price per hour applying to the task line.

For projects and phases, the number is based on the value in this field on any subjobs, phases and tasks placed beneath the project or phase in the WBS.


Top Down ETC

In this field, you can enter the remaining number of hours needed to complete the current project, phase or task.

The valid estimate to completion used for calculating the new expected estimate in the field “New Expected Budget” is entered in the field “ETC”.

Therefore, you can enter in this field an alternative estimate to completion which does not affect any other fields related to progress estimation.

You can copy the value in this field to the “ETC” field to make it the valid estimate to completion. This is particularly relevant if you do not synchronize projects with Maconomy and want to update the “ETC” field in order to calculate the new expected estimate.


Top Down Revenue

In this field, you can enter the budgeted revenue for the current project, phase or task.

The revenue which is based on the estimated number of hours and the price per hour is shown in the field “Estimate Revenue”.

Therefore, you can enter in this field an alternative revenue which is not related to the number of hours estimated or the price per hour, and is not automatically summarized on phase and project lines.


Total Account/Total Requested/Total Man Hours/Total Allocated Hours/Total Budget Man Hours

Depending on the setting of the "Show Accounts" button, this field shows the number of man hours, requested man hours, total allocated hours or total budget man hours entered in the Gantt chart on the assignment lines of the project, phase or task and its subordinate WBS lines.

More about

  • About different allocation accounts


Project Type

In this field, you can enter the project type of the current project, phase or task.

The project type is a dimension value which you can use for categorizing and filtering projects, phases and tasks.

Click the arrow on the right-hand side of the field to bring up a list of purposes to choose from.

More about

Dimension views


Unassigned

This field shows whether there are resources assigned to the current project, phase or task. If the field is marked, there are no resources assigned.

You can use the field in combination with the filtering functionality to, for example, only view WBS lines in need of staffing. (How)


Use templates

If you mark this field, a list of project templates appears in the New Project window, allowing you to select the template on which the new project should be based.

More

  • About templates


WBS

In this field, you can enter a manually maintained WBS numbering as an alternative to the automatic WBS numbering maintained by People Planner.


Approval Status (Project Gantt Chart)

In this field, you can specify the approval status of the current assignment. Using the field, you can specify that the assignment needs to be approved by the resource’s manager, or that the assignment has been approved or declined.

The left part of the field shows an icon indicating the approval status. Double-clicking the icon changes the approval status.

The right part of the field contains a button which you can click to select the approval status from a list.

The following options are available:

  • None (blank): The assignment does not require any approval

  • Approve (thumbs up): The assignment has been approved

  • Decline (thumbs down): The assignment has been declined

  • Tentative (warning sign): The assignment is pending approval by the resource manager, and will therefore appear in the Select multiple rows before clicking the approval or rejection button to approve or reject multiple assignments in one process. view

When you create a new assignment, the value is set to “None”. However, if the resource has been set up to require assignment approval, by marking the field “Set Tentative on New Assignments” on the resource, the value is set to “Tentative”.


Approval Status

In this field, you can specify the approval status of the current assignment. Using the field, you can specify that the assignment needs to be approved by the resource’s manager, or that the assignment has been approved or declined.

When you click the field, a list appears, allowing you to choose the relevant approval status. The following options are available:

  • None: The assignment does not require any approval

  • Approve: The assignment has been approved

  • Decline: The assignment has been declined

  • Tentative: The assignment is pending approval by the resource manager, and will therefore appear in the Tentative Tasks view

When you create a new assignment, the value is set to “None”. However, if the resource has been set up to require assignment approval, by marking the field “Set Tentative on New Assignments” on the resource, the value is set to “Tentative”.


Resource

In this field, you can select the resource to be assigned to the task.

Click the field to bring up a list of resources to choose from.


Resource Manager [Resource]

This field shows the name of the resource manager of the assigned resource.


Employee Category [Resource]

This field shows the employee category of the assigned resource.


Company [Resource]

This field shows the company to which the assigned resource belongs.


Executing Department [Resource]

This field shows the executing department of the assigned resource.


Job

This field shows the name of the project, phase or task to which the resource assignment pertains.


Main Project Name (Task)

This field shows the name of the main project of the project, phase or task to which the resource assignment pertains. For main projects and their phases and tasks, the field shows the name of the project itself.


Account Manager (Task)

This field shows the name of the account manager or the job to which the current assignment pertains.


Assignment Text

In this field, you can enter a description of the resource assignment, for instance to elaborate on the work to be done.


Allocated

This field shows the total number of hours allocated on the resource assignment.


Allocated (Task)

This field shows the value of the field “Allocated” for the project, phase or task to which the assignment pertains.


Allocated Revenue

This field shows the total revenue generated through the hours allocated on the current assignment line.

More about

  • About rates and price calculations


Allocated Revenue (Task)

This field shows the value of the field “Allocated Revenue” for the project, phase or task to which the assignment pertains.


Automatic WBS (Task)

This field shows the value of the field “WBS Numbering” for the project, phase or task to which the assignment pertains.


Baseline (Task)

This field shows the value of the field “Baseline Budget” for the project, phase or task to which the assignment pertains.


Baseline Budget Revenue (Task)

This field shows the value of the field “Baseline Budget Revenue” for the project, phase or task to which the assignment pertains.


Blocked

Mark this field to block the current assignment. The field is for information only and blocking an assignment does not prevent you from assigning resources and allocating hours.


Common Calendar [Resource]

This field shows the name of the common calendar used by the resource on the current assignment.


Company (Task)

This field shows the company to which the project in question pertains.


Customer (Task)

This field shows the name of the customer of the project to which the current assignment pertains.


Description

In this field, you can enter a description of the current resource assignment.


Employee Email [Resource]

This field shows the e-mail address of the resource to which the current assignment pertains.


Employee Number [Resource]

This field shows the employee number of the resource to which the current assignment pertains.


Employment Start [Resource]

This field shows the first employment date of the resource to which the current assignment pertains.


Employment Finish [Resource]

This field shows the last employment date of the resource to which the current assignment pertains.


Working Budget

In this field, you can enter the estimated number of hours needed by the resource to complete the work represented by the current assignment.

The estimate is summed up on the project, phase or task to which the assignment pertains to provide a full estimate based on all assignments.


ETC

In this field, you can enter the remaining number of hours needed by the resource to complete the work represented by the current assignment.


Budget (Task)

This field shows the value of the field “Working Budget” for the project, phase or task to which the assignment pertains.


Estimate Revenue (Task)

This field shows the value of the field “Estimate Revenue” for the project, phase or task to which the assignment pertains.


ETC (Task)

This field shows the value of the field “ETC” for the project, phase or task to which the assignment pertains.


External Actual (Task)

This field shows the value of the field “External Actual” for the project, phase or task to which the assignment pertains.


External ETC (Task)

This field shows the value of the field “External ETC” for the project, phase or task to which the assignment pertains.


Finish Date (Task)

This field shows the date on which the project, phase or task to which the assignment pertains should be completed according to plan.


Finish Time (Task)

This field shows the time at which the project, phase or task to which the assignment pertains should be completed according to plan, on the finish date.


Group (Task)

This field shows the value of the field “Group” for the project, phase or task to which the assignment pertains.


External Priority (Task)

Tis field shows the priority of the project, phase or task to which the assignment pertains, as communicated outside your organization, for instance to the customer.

Project priorities are a project parameter which you can use for categorizing and filtering projects, phases and tasks.

More about

  • Project parameter views


Internal Priority (Task)

Tis field shows the priority of the project, phase or task to which the assignment pertains, inside your organization.

Project priorities are a project parameter which you can use for categorizing and filtering projects, phases and tasks.

More about

  • Project parameter views


Is Account Manager [Resource]

This field shows whether the resource to which the assignment pertains can be assigned as account manager on projects.


Is Assignable [Resource]

This field shows whether the resource on the assignment is suitable for assignments to projects, phases and tasks.

Factors such as expired employment period and a resource type where the field “Assignable” is set to “No” can make the resource unsuitable for task assignment, causing this field to become unmarked.

Please note, however, that the value is for information only. Resources can be assigned to tasks even after this field is marked, and resources already assigned to tasks are not automatically unassigned.


Is Project Manager [Resource]

This field shows whether the resource to which the assignment pertains can be assigned as project manager on projects.


Is Resource Manager [Resource]

This field shows whether the resource to which the assignment pertains can be assigned as resource manager on resources.


Kind (Task)

This field shows the value of the field “Kind” for the project, phase or task to which the assignment pertains.


Kind [Resource]

This field shows the value of the field “Kind” for the resource to which the assignment pertains.


Level (Task)

This field shows the project, phase or task’s indentation level in the WBS.


Location [Resource]

This field shows the location specification of the resource on the current assignment.


Main Project Account Manager (Task)

This field shows the value of the field “Main Project Account Manager” for the project, phase or task to which the assignment pertains.


Main Project Business Area (Task)

This field shows the value of the field “Main Project Business Area” for the project, phase or task to which the assignment pertains.


Main Project Company (Task)

This field shows the value of the field “Main Project Company” for the project, phase or task to which the assignment pertains.


Main Project Customer (Task)

This field shows the value of the field “Main Project Customer Priority” for the project, phase or task to which the assignment pertains.


Main Project Finish Date (Task)

This field shows the finish date of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the finish date of the project itself.


Main Project Finish Time (Task)

This field shows the finish time of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the finish time of the project itself.


Main Project Group (Task)

This field shows the value of the field “Main Project Group” for the project, phase or task to which the assignment pertains.


Main Project Internal Priority (Task)

This field shows the internal priority of the main project to which the current assignment belongs. If the assignment pertains to a main project or a phase or task belonging to a main project, the field shows the internal priority of the project itself.

More about

  • “Internal Priority” field


Main Project External Priority (Task)

This field shows the external priority of the main project to which the current assignment belongs. If the assignment pertains to a main project or a phase or task belonging to a main project, the field shows the external priority of the project itself.

More about

  • “External Priority” field


Main Project Owner (Task)

This field shows the value of the field “Main Project Owner” for the project, phase or task to which the assignment pertains.


Main Project Manager (Task)

This field shows the value of the field “Main Project Manager” for the project, phase or task to which the assignment pertains.


Main Project Purpose (Task)

This field shows the value of the field “Main Project Purpose” for the project, phase or task to which the assignment pertains.


Main Project Responsible Department (Task)

This field shows the value of the field “Main Project Responsible Department” for the project, phase or task to which the assignment pertains.


Main Project Specification 2 (Task)

This field shows the value of the field “Main Project Specification 2” for the project, phase or task to which the assignment pertains.


Main Project Specification 3 (Task)

This field shows the value of the field “Main Project Specification 3” for the project, phase or task to which the assignment pertains.


Main Project Start Date (Task)

This field shows the start date of the main project of the project, phase or task to which the assignment pertains.


Main Project Start Time (Task)

This field shows the start time of the main project to which the current project, phase or task belongs. For main projects and their phases and tasks, the field shows the start time of the project itself.


Main Project Status (Task)

This field shows the value of the field “Main Project Status” for the project, phase or task to which the assignment pertains.


Main Project Type (Task)

This field shows the value of the field “Main Project Type” for the project, phase or task to which the assignment pertains.


Name

This field shows the name of the current assignment. The name consists of the resource name followed by the name of the task to which the assignment pertains.


New Expected Budget (Task)

This field shows the value of the field “New Expected Budget” for the project, phase or task to which the assignment pertains.


Employee (from Maconomy) (Task)

This field shows the value of the field “Employee (from Maconomy)” for the project, phase or task to which the assignment pertains.


Parent (Task)

If the project, phase or task to which the assignment pertains is a child of another project or phase in the WBS, this field shows the name of the parent project or phase.


Position [Resource]

This field shows the position title of the resource on the current assignment.


Price (Task)

This field shows the value of the field “Price” for the project, phase or task to which the assignment pertains.


Price per Hour (Task)

This field shows the value of the field “Price per Hour” for the project, phase or task to which the assignment pertains.


Project Manager (Task)

This field shows the name of the project manager of the project, to which the assignment pertains.


Purpose (Task)

This field shows the value of the field “Purpose” for the project, phase or task to which the assignment pertains.


Purpose [Resource]

This field shows the value of the field “Purpose” for the resource to which the assignment pertains.


Rate

In this field, you can specify a rate containing the price per hour to apply to the current assignment. The rate will apply to the assignment, overruling any simple rate specified in the field “Simple Rate”.

More

  • About rates and price calculations


Rate [Resource]

This field shows the name of the rate assigned to the resource to which the current assignment pertains.


Remaining (Task)

This field shows the value of the field “Remaining” for the project, phase or task to which the assignment pertains.


Required Skill (Task)

This field shows the value of the field “Required Skill” for the project, phase or task to which the assignment pertains.


Responsible Department (Task)

This field shows the name of the responsible department of the project, phase or task to which the assignment pertains.


Shift

In this field, you can specify the shift during which the resource on the assignment should work on the task.

Specifying a shift allows you to group and filter assignments by shift, for instance in the Assignments Gantt Chart view.

Click the arrow on the right-hand side of the field to bring up a list of shifts to choose from.

More about

  • : Shifts: See Shifts view


Simple Rate

In this field, you can specify a price per hour for the current assignment. The price will apply if no rate has been specified in the field “Rate”.

More

  • About rates and price calculations


Simple Rate [Resource]

This field shows the value of the field “Simple Rate” on the resource to which the current assignment pertains.


Skill Unassigned [Resource]

This field shows the value of the field “Skill Unassigned” on the resource to which the current assignment pertains.


Specification 2 (Task)

This field shows the specification 2 value of the project, phase or task to which the assignment pertains.


Specification 2 [Resource]

This field shows the specification 2 value of the resource to which the assignment pertains.


Specification 3 (Task)

This field shows the specification 3 value of the project, phase or task to which the assignment pertains.


Specification 3 [Resource]

This field shows the specification 3 value of the resource to which the assignment pertains.


Start Date (Task)

This field shows the date on which the project, phase or task to which the assignment pertains should be started according to plan.


Start Time (Task)

This field shows the time at which the project, phase or task to which the assignment pertains should be started according to plan, on the specified start date.


Status (Task)

This field shows the value of the field “Status” for the project, phase or task to which the assignment pertains.


Status [Resource]

This field shows the value of the field “Status” for the resource to which the assignment pertains.


Sub Project Name (Task)

This field shows the value of the field “Sub Project Name” for the project, phase or task to which the assignment pertains.


Top Down Budget (Task)

This field shows the value of the field “Top Down Budget” for the project, phase or task to which the assignment pertains.


Top Down Budget Revenue (Task)

This field shows the value of the field “Top Down Budget Revenue” for the project, phase or task to which the assignment pertains.


Top Down ETC (Task)

This field shows the value of the field “Top Down ETC” for the project, phase or task to which the assignment pertains.


Top Down Revenue (Task)

This field shows the value of the field “Top Down Revenue” for the project, phase or task to which the assignment pertains.


Type (Task)

This field shows the value of the field “Project Type” for the project, phase or task to which the assignment pertains.


Type [Resource]

This field shows the value of the field “Type” for the resource to which the assignment pertains.


Unassigned (Task)

This field shows whether there are resources assigned to the current project, phase or task. If the field is marked, there are no resources assigned.


Work Week Hours [Resource]

This field shows the name of the work week hour model assigned to the employee on the current assignment.

More

  • About calendars and work hours

  • Defining resource work hours

  • Assigning work week hour models to resources


Name

This field shows the name of the current project type. If your People Planner system has not been set up to synchronize with Maconomy, you can change the name here.


Name

This field shows the name of the current project status definition. If your People Planner system has not been set up to synchronize with Maconomy, you can change the name here.


Name

This field shows the name of the current project risk definition. If your People Planner system has not been set up to synchronize with Maconomy, you can change the name here.


Name

This field shows the name of the current project priority. If your People Planner system has not been set up to synchronize with Maconomy, you can change the name here.


Name

This field shows the name of the current project group. If your People Planner system has not been set up to synchronize with Maconomy, you can change the name here.


Name

This field shows the name of the current customer.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Customer Number

This field shows the number of the current customer. If your People Planner system has not been set up to synchronize with Maconomy, you can enter the customer number here when creating and editing customer information.


Business Area

This field shows the business area to which the current customer belongs.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.

Click the arrow on the right-hand side of the field to bring up a list of business areas to choose from.

Business areas are a dimension used for categorizing, grouping and filtering customers and the projects to which they are assigned.

For instance by specifying a business area on each customer, you can group projects according to the business area of their customer or set up filters to only view projects for customers within a specific business area.

More about

  • Business areas: See Dimension views


Priority

This field shows the customer priority of the current customer.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.

Click the arrow on the right-hand side of the field to bring up a list of priorities to choose from.

Customer priorities are a dimension used for categorizing, grouping and filtering customers and the projects to which they are assigned.

For instance by specifying a priority on each customer, you can group projects according to the priority of their customer or set up filters to only view projects for customers with a specific priority.

More about

  • Customer priorities: See Dimension views


Business Area Description

This field shows a description of the business area selected in the field “Business Area”.


City

This field shows the name of the city in which the current customer resides.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Contact Person

This field shows the name of your contact person at the customer.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Country

In this field, you can specify the name of the country in which the current customer resides.

Click the arrow on the right-hand side of the field to bring up a list of countries to choose from.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.

More about

  • Dimension views


Email

This field shows the email address of the current customer.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Is Contact Company

This field shows whether the current customer is a contact company.


Phone

In this field, you can specify the phone number of the current customer.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Postal Code / Zip Code

In this field, you can specify the postal/zip code within which the current customer resides.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Street

In this field, you can specify the street on which the current customer resides.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


WWW

In this field, you can specify the URL of the customer’s internet home page.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Name

This field shows the name of the current business area.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Business Area Number

This field shows the number of the current business area.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Name

This field shows the name of the current country.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Code

This field shows the country code for the current country.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Name

This field shows the name of the current department.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Company

This field shows the company in your organization to which the current department belongs.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.

Click the arrow on the right-hand side of the field to bring up a list of companies to choose from.

Companies are a dimension used for categorizing, grouping and filtering departments.

For instance by specifying a company, you can group departments according to the company to which they belong.

More about

  • Companies: See Dimension views


Company Number

This field shows the number of the company selected in the field “Company”.


Executing Department Number

This field shows the number of the current department.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Name

This field shows the name of the current company.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Email

In this field, you can specify the e-mail address of the current company.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Contact Person

In this field, you can specify the name of the contact person within the current company.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


City

In this field, you can specify the name of the city in which the current company resides.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Country

In this field, you can specify the name of the country in which the current company resides.

Click the arrow on the right-hand side of the field to bring up a list of countries to choose from.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Phone

In this field, you can specify the phone number of the current company.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Postal Code / Zip Code

In this field, you can specify the postal/zip code within which the current company resides.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Street

In this field, you can specify the street on which the current company resides.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


WWW

In this field, you can specify the URL to the current company’s website.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Name

This field shows the name of the current purpose.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Purpose Number

This field shows the number of the current purpose.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Name

This field shows the name of the current specification 1 value.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Name

This field shows the name of the current specification 2 value.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Name

This field shows the name of the current specification 3 value.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.


Name

In this field, you can enter the name of the current work week hour model.


Description

In this field, you can enter a description of the current work week hour model.


Monday

In this field, you can specify the work hours to apply on Mondays for the resources assigned to the current work week hour model.

However, the number of hours specified is overruled on Mondays for which special work hours have been specified in the Common Calendar of the resource or in the resource’s personal calendar.

More

  • About common calendars

  • Personal calendars

  • Determining work hours for a specific date


Tuesday

In this field, you can specify the work hours to apply on Tuesdays for the resources assigned to the current work week hour model.

However, the number of hours specified is overruled on Tuesdays for which special work hours have been specified in the Common Calendar of the resource or in the resource’s personal calendar.

More

  • About common calendars

  • Personal calendars

  • Determining work hours for a specific date


Wednesday

In this field, you can specify the work hours to apply on Wednesdays for the resources assigned to the current work week hour model.

However, the number of hours specified is overruled on Wednesdays for which special work hours have been specified in the Common Calendar of the resource or in the resource’s personal calendar.

More

  • About common calendars

  • Personal calendars

  • Determining work hours for a specific date


Thursday

In this field, you can specify the work hours to apply on Thursdays for the resources assigned to the current work week hour model.

However, the number of hours specified is overruled on Thursdays for which special work hours have been specified in the Common Calendar of the resource or in the resource’s personal calendar.

More

  • About common calendars

  • Personal calendars

  • Determining work hours for a specific date


Friday

In this field, you can specify the work hours to apply on Fridays for the resources assigned to the current work week hour model.

However, the number of hours specified is overruled on Fridays for which special work hours have been specified in the Common Calendar of the resource or in the resource’s personal calendar.

More

  • About common calendars

  • Personal calendars

  • Determining work hours for a specific date


Saturday

In this field, you can specify the work hours to apply on Saturdays for the resources assigned to the current work week hour model.

However, the number of hours specified is overruled on Saturdays for which special work hours have been specified in the Common Calendar of the resource or in the resource’s personal calendar.

More

  • About common calendars

  • Personal calendars

  • Determining work hours for a specific date


Sunday

In this field, you can specify the work hours to apply on Sundays for the resources assigned to the current work week hour model.

However, the number of hours specified is overruled on Sundays for which special work hours have been specified in the Common Calendar of the resource or in the resource’s personal calendar.

More

  • About common calendars

  • Personal calendars

  • Determining work hours for a specific date


Name

In this field, you can specify the name of the current common calendar.


Assign Activity

The buttons in this column allow you to assign the current resource or release the resource from a project, phase or task.

When you click the [image] button, the resource is assigned to the last project, phase or task selected in a window, frame or tab showing projects, phases and tasks.

Clicking the [image] button will release the resource from the last selected project, phase or task, thus causing any allocated hours to become available.


Name

In this field, you can enter the name of the current resource.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Description

In this field, you can enter a description of the current resource.


Business Area

In this field, you can specify the business area to which the current resource belongs.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the employee information in Maconomy.

Click the arrow on the right-hand side of the field to bring up a list of business areas to choose from.

Business areas are a dimension used for categorizing, grouping and filtering resources and the projects to which they are assigned.

More about

  • Business areas: See Dimension views


Common Calendar

In this field, you can select the common calendar used by the current resource.

The common calendar is used for specifying company or department-wide non-working days and special work hours applying on specific dates.

More

  • About common calendars

  • About calendars and work hours


Company

In this field, you can specify the name of the company to which the current resource belongs.

Click the arrow on the right-hand side of the field to bring up a list of companies to choose from.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.

More about

  • Dimension views


Email

In this field, you can specify the e-mail address of the current resource.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Employee Number

In this field, you can enter the number of the current resource.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Employment Start

In this field, you can enter the first date of the resource’s employment.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Employment Finish

In this field, you can enter the last date of the resource’s employment. The field is for information only.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Executing Department

In this field, you can enter the executing department to which the current resource belongs.

Click the arrow on the right-hand side of the field to bring up a list of executing departments to choose from.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.

More about

  • Dimension views


Image

Using this field, you can add a picture of the current resource to the resource information.

Right-click the field on the Grid row containing the relevant resource and select “Load” to assign a picture. A dialog is opened in which you can select the image file containing the picture.


Is Account Manager

In this field, you can specify whether the current resource can be assigned as account manager on projects.

If you mark the field, the resource will appear in the list of resources that the user can choose from in the field “Account Manager” on projects.


Is Assignable

This field shows whether the resource is suitable for assignments to projects, phases and tasks.

Factors such as expired employment period and a resource type where the field “Assignable” is set to “No” can make the resource unsuitable for task assignment, causing this field to become unmarked.

Please note, however, that the value is for information only. Resources can be assigned to tasks even after this field is marked, and resources already assigned to tasks are not automatically unassigned.


Is Project Manager

In this field, you can specify whether the current resource can be assigned as project manager on projects.

If you mark the field, the resource will appear in the list of resources that the user can choose from in the field “Project Manager” on projects.


Is Resource Manager

In this field, you can specify whether the current resource can be assigned as resource manager for resources.

If you mark the field, the resource will appear in the list of resource managers that the user can choose from in the field “Resource Manager” on resources.


Job Unassigned

This field shows whether the current resource has been assigned to any projects, phases or tasks. If the field is marked, the resource has not been assigned to any projects, phases or tasks.


Kind

In this field, you can specify the resource kind.

Resource kinds can help you in various phases of your project planning. For instance, you can start by assigning a group resource to each task, to create a framework estimate, and then re-distribute the hours from the group resource to individuals at a later stage.

The following options are available:

  • Individual: Used for regular employees performing tasks

  • Group: Resources of this kind are useful when the project is created and it is too early to assign individuals. By assigning a group resource, you do not assign named employees but create a placeholder for an individual that can be assigned at a later stage.

  • Draft: Resources of this kind are used for setting a framework allocation which you can then re-distribute to individuals.
    You can assign one draft resource to each assignment. You cannot enter any hour allocations directly on the draft resource, but can drag and drop allocations from another line to define the number of hours for each period.
    Once the draft resource assignment been set up, the hours allocated to other resources on the same task are subtracted from the hours on the draft resource, thus providing a picture of the number of hours remaining to be allocated within each period.

  • Budget: Budget resources are similar to Group resources. However, in the Resource Gantt chart, Budget resources always appear to have been booked for zero hours in all periods.
    This allows you to use the same budget resource for framework allocation on any number of tasks without causing the resource to appear as overbooked in the Resource Gantt chart.


Responsible Department

In this field, you can select the location of the current resource.

Click the arrow on the right-hand side of the field to bring up a list of resource locations to choose from.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.

More about

  • Dimension views


Match Assignment

This field shows whether the current resource has been assigned to the latest project, phase or task selected in a Grid showing projects, phases and tasks.


Position

In this field, you can specify the resource’s position.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Skill Unassigned

This field shows whether any skills have been defined for the current resource. If the field is marked, no skills have been defined for the resource.

You can use the field in combination with the filtering functionality to, for example, only view resources for which you have not set up any skills. (How)


Purpose

This field shows the purpose specification assigned to the current resource.

Click the arrow on the right-hand side of the field to bring up a list of purposes to choose from.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.

More about

  • Dimension views


Rate

In this field, you can specify a rate containing the price per hour to apply to the current resource. This information is used for calculating revenue on the resource’s task assignments.

The price from the rate overrules any simple rate specified in the field “Simple Rate”.

The rate will, however, be overruled itself on assignments to tasks where a price has been specified explicitly or where a rate or simple rate has been specified directly on the assignment.

More

  • About rates and price calculations


Resource Manager

In this field, you can specify the resource manager of the current resource.

Click the arrow on the right-hand side of the field to bring up a list of resources that are defined as resource managers using the “Is Resource Manager” field.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Set Tentative on New Assignments

With this field, you can specify whether assignments for the current resources should automatically be considered tentative.

If you mark the field, assigning the resource to a new project, phase or task will cause the assignment to be marked as tentative and thereby appear in the Tentative Tasks view as tentative assignments. In the Tentative Tasks view, the resource manager can then approve or reject the assignment.


Set Tentative in Reschedule Assignment

With this field, you can specify whether assignments for the current resources should automatically be considered tentative when an assignment is rescheduled.

If you mark the field, rescheduling the resource to a new project, phase or task will cause the assignment to be marked as tentative and thereby appear in the Tentative Tasks view as tentative assignments. In the Tentative Tasks view, the resource manager can then approve or reject the assignment.


Set Tentative on Allocation Change

With this field, you can specify whether changing the allocated hors on an approved assignment should automatically make the assignment be considered tentative.

If you mark the field, changing the allocated hours will cause the assignment to be marked as tentative and thereby appear in the Tentative Tasks view as tentative assignments. In the Tentative Tasks view, the resource manager can then approve or reject the assignment.


Simple Rate

In this field, you can specify a price per hour to apply to the current resource. This information is used for calculating revenue on the resource’s task assignments.

The simple rate will be overruled by any rate specified in the field “Rate”.

The simple rate will also be overruled itself on assignments to tasks where a price has been specified explicitly or where a rate or simple rate has been specified directly on the assignment.

More

  • About rates and price calculations


Simple Rate Currency

This field shows the currency in which the simple rate of the resource should be entered.

The currency is transferred from Maconomy when synchronizing data, and is for information only.


Specification 2

In this field, you can enter the specification 2 value of the current resource.

Click the arrow on the right-hand side of the field to bring up a list of specification 2 values to choose from.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Specification 3

This field shows the specification 3 value of the current resource.

Click the arrow on the right-hand side of the field to bring up a list of specification 3 values to choose from.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Status

In this field, you can specify the status of the current resource.

You can use the status for categorizing and filtering resources.

Click the arrow on the right-hand side of the field to bring up a list of resources statuses to choose from.

More about

  • Resource and skill parameter views


Type

In this field, you can specify the type of the current resource.

Click the arrow on the right-hand side of the field to bring up a list of resources types to choose from.

Specifying a resource type allows you to group and categorize resources according to type.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.

More about

  • Resource and skill parameter views


Work Week Hours

In this field, you can select the work week hour model to be used for the current resource.

Together with the resource’s common calendar and personal calendar, the work week hour model determines the resource’s number of working hours for each day.

More about

  • About calendars and work hours

  • Work Week Hours view

  • Common Calendars view


Assign Skill

The buttons in this column allow you to assign a skill to the current resource or remove a skill from the resource.

When you click the [image] button, the resource is assigned the last skill selected in a window, frame or tab showing skills.

Clicking the [image] button will remove the last selected skill from the skill list of the current resource.


Blocked

Mark this field to block the resource. The field is for information only. Blocking a resource does not prevent the resource from being changed or assigned to projects, phases and tasks.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Business Phone

In this field, you can specify the business phone number of the current resource.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


City

In this field, you can specify the name of the city in which the current resource resides.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Country

In this field, you can specify the name of the country in which the current resource resides.

Click the arrow on the right-hand side of the field to bring up a list of countries to choose from.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Mobile Phone

In this field, you can specify the mobile phone number of the current resource.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Postal Code / Zip Code

In this field, you can specify the postal/zip code within which the current resource resides.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Street

In this field, you can specify the street on which the current resource resides.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the employee information in Maconomy and cannot be changed here.


Name

In this field, you can specify the name of the current resource type.


Assignable

In this field, you can specify whether resources of the current type are suitable for assigning to projects, phases and tasks. For instance, the employment period of the resource can imply that a specific resource is not suitable for assignment.

If you unmark the field for a resource type, resources of the type in question are automatically marked as unassignable in the “Is Assignable” field, as an indication that the resource is not suitable for task assignment.


Name

In this field, you can view or enter the name of the current skill.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value is retrieved from the skill information in Maconomy and cannot be changed here.


Description

In this field, you can view or enter a description of the current skill.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value is retrieved from the skill information in Maconomy and cannot be changed here.


Category

In this field, you can see or enter the category of the current skill.

Skill categories are used for categorizing, grouping and filtering skills.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.

Click the arrow on the right-hand side of the field to bring up a list of categories to choose from.

More about

  • Creating skill categories


Skill Level List

In this field, you can see or enter a skill level list for the current skill.

The skill level list contains a list of the levels at which the current skill can be mastered. This way, you can specify for each resource possessing the skill how well the resource masters the skill.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.

Click the arrow on the right-hand side of the field to bring up a list of skill level lists to choose from.


Type

In this field, you can see or enter the type of the current skill.

Skill types are used for categorizing, grouping and filtering skills.

You can only change the value if your People Planner system has not been set up to synchronize data with Maconomy. If data synchronization is used, you cannot enter a value, as the value is then imported from the customer information in Maconomy.

Click the arrow on the right-hand side of the field to bring up a list of types to choose from.

More about

  • Creating skill types


Unassigned

This field shows for each skill whether the skill has been assigned to any resources. The field is marked as long as the skill has not been assigned to any resources.


Assign Resource

The buttons in this column allow you to assign the current skill to or remove the skill from a resource.

When you click the [image] button, the skill is assigned to the last resource selected in a window, frame or tab showing resources.

Clicking the [image] button will remove the skill from the last selected resource.


Match Resource

This field shows whether the last resource selected in a Grid showing resources possesses the current skill.


Name

In this field, you can enter the name of the current skill level list.


Name

In this field, you can enter the name of the current skill level.


Name

In this field, you can enter a description of the current skill level.


Skill Level List

This field shows the name of the skill level list to which the current skill level belongs.


Selected

The field shows whether the last resource selected in a window, frame or tab showing resources possesses the skill on the current line.


Selected

The field shows whether the resource on the line has been assigned to the last project, phase or task selected in a window, frame or tab showing projects, phases and tasks.


Name

In this field, you can specify the name of the current rate.


Rate Amount

In this field, you can specify the price per hour for the current rate. The rate will apply to resources assigned to the current rate, and to assignment lines on which the rate is specified, overruling any simple rates and price per hour specified for the resources and tasks.

More

  • About rates and price calculations


Description

In this field, you can enter a description of the current rate specification.


Name

In this field, you can specify the name of the current shift.


Description

In this field, you can specify a description of the current shift.


Message

In this field, you can enter the actual note message when creating a new entry to the note.


Note Date

This field shows the date on which the note was created.


Note Date/Time

This field shows the time at which the note was created.


Note

In this field, you can enter or edit the actual note message.


Name

In this field, you can enter the name of the current user.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


Description

In this field, you can enter a description of the current user.


Company

In this field, you can specify the name of the company within your organization to which the current user belongs.

Click the arrow on the right-hand side of the field to bring up a list of companies to choose from.

If a resource has been specified in the “Resource” field, the company is copied from the “Company” field on the resource information and cannot be changed here.

Furthermore, if your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


Executing Department

In this field, you can specify the name of the department to which the current user belongs.

Click the arrow on the right-hand side of the field to bring up a list of departments to choose from.

If a resource has been specified in the “Resource” field, the company is copied from the resource information and cannot be changed here.

Furthermore, if your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


Email

In this field, you can specify the e-mail address of the current user.

If a resource has been specified in the “Resource” field, the e-mail address is copied from the “Email” field on the resource information and cannot be changed here.

Furthermore, if your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


Employee Company Number

This field shows the number of the company to which the user is assigned. The number comes from the company specified in the “Company” field and cannot be changed here.


Employee Number

This field shows the number of the employee to which the user corresponds. The number comes from the field “Employee Number” on the resource specified in the “Resource” field and cannot be changed here.


Responsible Department

In this field, you can specify the location to which the current user belongs.

Click the arrow on the right-hand side of the field to bring up a list of locations to choose from.

If a resource has been specified in the “Resource” field, the company is copied from the “Responsible Department” field on the resource information and cannot be changed here.

Furthermore, if your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


Network Domainname

This field only applies if your People Planner system has been set up to synchronize dimension data with Maconomy.

The field shows the network domain name assigned to the user. The value is imported from Maconomy, and cannot be changed here.


Network Username

This field only applies if your People Planner system has been set up to synchronize dimension data with Maconomy.

The field shows the network user name assigned to the user. The value is imported from Maconomy, and cannot be changed here.


Password Expires Date

This field only applies if your People Planner system has been set up to synchronize dimension data with Maconomy.

The field shows the date on which the user’s password expires. The value is imported from Maconomy, and cannot be changed here.


Resource

In this field, you can specify the resource to which the user corresponds.

Click the arrow on the right-hand side of the field to bring up a list of resources to choose from.

If your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.

When you specify a resource, basic information such as company, department, employee number etc. is transferred from the Resource view to the relevant fields on the user, and cannot be changed on the user.


Valid From

This field only applies if your People Planner system has been set up to synchronize dimension data with Maconomy.

The field shows the first date in the period during which the user is valid and thereby able to log on. The value is imported from Maconomy, and cannot be changed here.


Valid To

This field only applies if your People Planner system has been set up to synchronize dimension data with Maconomy.

The field shows the last date in the period during which the user is valid and thereby able to log on. The value is imported from Maconomy, and cannot be changed here.


Business Phone

In this field, you can specify the business phone number of the current user.

If a resource has been specified in the “Resource” field, the phone number is copied from the “Business Phone” field on the resource information and cannot be changed here.

Furthermore, if your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


City

In this field, you can specify the city in which the current user resides.

If a resource has been specified in the “Resource” field, the city is copied from the “City” field on the resource information and cannot be changed here.

Furthermore, if your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


Country

In this field, you can specify the country in which the current user resides.

If a resource has been specified in the “Resource” field, the country is copied from the “Country” field on the resource information and cannot be changed here.

Furthermore, if your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


Mobile Phone

In this field, you can specify the mobile phone number of the current user.

If a resource has been specified in the “Resource” field, the phone number is copied from the “Mobile Phone” field on the resource information and cannot be changed here.

Furthermore, if your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


Postal Code/Zip Code

In this field, you can specify the postal or zip code in which the current user resides.

If a resource has been specified in the “Resource” field, the code is copied from the “Postal Code / Zip Code” field on the resource information and cannot be changed here.

Furthermore, if your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


Street

In this field, you can specify the name of the street on which the current user resides.

If a resource has been specified in the “Resource” field, the street name is copied from the “Street” field on the resource information and cannot be changed here.

Furthermore, if your People Planner system has been set up to synchronize dimension data with Maconomy, the value in this field is retrieved from the user information in Maconomy and cannot be changed here.


External ID

This field applies to all types of information that can be synchronized with Maconomy.

Projects, phases, tasks and all other data synchronized with Maconomy (so that a corresponding project phase or task exists in Maconomy) are automatically provided with an ID in both People Planner and Maconomy.

If the current project, phase or task etc. has been synchronized with Maconomy, this field shows the synchronization ID.

The ID is unique and created automatically and cannot be changed.


Oid

This field is available on all types of information in the People Planner.

The field shows the unique ID number of the current record (customer, dimension value, parameter value etc.) within People Planner.

The ID is unique and created automatically, and cannot be changed.


Ad Hoc

This field is available on all types of information in the People Planner.

The field shows whether the current record (customer, dimension value, parameter value etc.) was created on an ad hoc basis.

A record is created on an ad hoc basis if it is not created by adding a line in the home grid of the type of information in question.

For instance, project types are created in the Project Types view. However, when assigning a project type to e.g. a project or task, you can also create a new project type by entering a project type name that does not already exist instead of selecting an existing one. This causes the field Ad Hoc to be marked for the new project type.

Creating a record on an ad hoc basis only allows you to enter a name for the new record. In the home grid of the information type, you can therefore use the Ad Hoc field to spot records created on an ad hoc basis, and make sure all other relevant information is entered properly.


Blocked

This field is available on all types of information in the People Planner. Using this field, you can block the current record (project, task, customer, dimension value, parameter value etc.).

The field is for information only and does not prevent you from e.g. creating new projects for a blocked customer.


Color

This field is available on all types of information in the People Planner. Using this field, you can select a color specification for the current record (customer, dimension value, parameter value etc.).

The color specification is for information only, but you can use it for grouping and filtering purposes.


Create UTC

This field is available on all types of information in the People Planner.

The field shows the date and time at which the current record (customer, dimension value, parameter value etc.) was created.


Description

In this field, you can enter a description of the information on the current grid row.


Marked

This field is available on all types of information in the People Planner.

In the field, you can mark the current record (project, task, customer, dimension value, parameter value etc.).

You can use the field for information, grouping and filtering purposes.

For example, when viewing a list of resources, you can mark this field for the resources that you want to examine in detail, and use the Autofilter or sorting functionality to isolate the marked resources.

This improves overview and makes it easier to select a range Grid lines with which to work.


Origin

This field is available on all types of information in the People Planner.

The field shows whether the current record (project, task, customer, dimension value, parameter value etc.) was created in People Planner, imported from Outlook or imported from Maconomy.


Prototype

If the current record (project, task, customer, dimension value, parameter value etc.) is a template (or part of a template), this field shows the template name.

More

  • About templates


Modified By

This field shows the name of the user that last changed information. (Works only on server-based setup, as the name is that of the logged-on user.) The field is updated automatically.


Modification TimeStamp

This field shows the timestamp of the last change of the information. The data is entered automatically, and it is entered according to the language settings on the local computer.


From

In this field, enter the first date in the period for which the Gantt chart should be printed.

Click the first icon next to the date to set the printed timespan to cover the period shown on screen when the Print button was clicked.

Click the second icon next to the date to set the printed timespan to the period covered by the currently selected Gantt element, for instance the starting and ending dates of the currently selected task.


To

In this field, enter the last date in the period for which the Gantt chart should be printed.


Add Days

Used for calculating a To date based on the start date and a number of days. The Enter a number of days and click the Add Days button. The To date is now calculated as the specified number of days after the From date.


Header Detail

In this field, you can enter a header text to be printed at the top of each page.


Paper Size

In this field, select the paper size for the printout.


Margins (pixels)

In these fields, specify the space between the paper edge and the printout contents from the left, right, top and bottom. The margins must be specified as number of pixels.


Orientation

In this field, specify the paper orientation for the printout.


Fit to one page

Mark this field to scale the printout so that it will fit on a single page.


Name

In this field, you can enter the name of the template.


Category 1

In this field, you can enter a category specification for the template. Categories are used for entering additional information about the intended use of the template, helping project managers select the right template at project creation.


Category 2

In this field, you can enter a category specification for the template. Categories are used for entering additional information about the intended use of the template, helping project managers select the right template at project creation.


Category 3

In this field, you can enter a category specification for the template. Categories are used for entering additional information about the intended use of the template, helping project managers select the right template at project creation.

Show header button

This button toggles the display of column headers in subgrids. If, for instance, the grid shows resources, you can click the [image] on a resource line to see information about the individual projects and tasks to which the resource is assigned.

By clicking this button, you can specify whether column headers should be shown above the rows in the subgrids shown in the grid.

Synchronize Panes button

Using this button, you can link the current window to other open Gantt windows to ensure that the windows display the same period without having to scroll in several windows.

If you activate this button in a given Gantt window, the window becomes synchronized, and thus dependent on other Gantt windows.

When a window is synchronized, the period shown in the Gantt part of the window is automatically updated when you scroll or otherwise change the period shown in a Gantt window where this button is not activated. Furthermore, changing the period span (day, week or month) in a window in which this button is not activated will cause the same change to take place in all synchronized windows.

It is possible to synchronize more than one Gantt window.

Follow button

Toggles whether the current Vertical Grid window follows the Grid row focus in other windows or frames.

When you activate the button, the contents of the Vertical Grid window are automatically updated each time you move focus to a new Grid row in another window or frame.

The data shown in the Vertical Grid window is also updated if you move focus to a Grid containing a different type of data than currently shown in the Vertical Grid window.

For instance, a Vertical Grid window originally showing resource information will change to show task information if you place focus on a Grid line containing a task.


Toolbar Buttons

Display button

This button is a main button containing the subbuttons "Summation", "Aggregation", "Value Display", and "Process Layout".

Summation button

With this button, you can choose whether group lines in the WBS should show sums for the hours or amounts on subordinate lines. This can help in gaining an overview of the planned time and revenue in each phase.

A sum is shown for each date in the Gantt chart area. Whether the sums show hours or revenue depend on your selection in the Value Display button button.

The following options are available:

  • None: No sum values are shown.

  • Direct only: Sum values are only shown on lines to which resources have been assigned. The sum value for each date on a line shows the total revenue or the total number of hours specified for the resources on the date in question.

  • Bottom Up: Sum values are shown both on group lines and on lines to which resources have been assigned. For each line to which resources have been assigned, the sum value for each date shows the total revenue or the total number of hours specified for the resources on the date in question. For each group line, the sum values of all subordinate WBS lines are summed for each date. Furthermore, any hours or revenue specified for resources assigned directly to the group line are added.

Aggregation button

Using this button, you can specify whether resource assignments on task lines should also appear in the subgrids of summary lines. This provides a full overview of the resources assigned to the tasks of e.g. a whole phase or project at a time instead of having to expand and examine the subgrid of each task.

The following options are available:

  • None: Resource assignments from tasks are not shown in the subgrids of summary lines. The subgrids of each summary line therefore only includes resources assigned directly to the summary line.

  • Bottom Up: The subgrid of each summary line shows the resources assigned to all subordinate tasks in the WBS - along with the resources assigned directly to the summary line.

In the Gantt area, each aggregated resource line in a subgrid shows Gantt bars indicating the tasks to which the resource in question has been assigned, and the running period of each task. You cannot change the information on aggregated lines.

The aggregation works at multiple levels. If a job e.g. consists of two phases, and each phase contains a number of tasks, the subgrid of the summary line of each phase will show the resource assignments on each task. The subgrid of the summary line representing the job will show the resource assignments from the subgrids of the two phases.

If the same resource has been assigned to multiple tasks, only one line appears for the resource in the subgrid of each summary line. In the Gantt chart, this line will contain a Gantt bar for each task to which the resource is assigned.

Value Display button

Using this button, you can select the type of information to be shown in the Gantt area for subgrid lines (lines representing resource assignments to tasks). When you click the button, a list with the following options appears:

  • Man hours: Select this option if you want to view and change time allocations. Each cell in the Gantt chart shows how many hours the resource on the subgrid line has been allocated to the task in question. In each cell, you can change the number of hours.

  • Man hours and available capacity: Select this option if you want to view and change time allocations but also want an overview of the available capacity remaining for each resource in each period.

Each cell in the Gantt chart is split into two parts. The left part shows how many hours the resource on the subgrid line has been allocated to the task in question, and you can change the number of hours. The right part shows how many hours of the resource’s capacity is still available. The background color of the right part of each cell also indicates how much time is still available for the resource.

- Green shades indicate that there is available capacity, ranging from dark (high number of hours available) to light (low number of hours available).

- Red shades indicate overload, ranging from pink (slight overload) to dark red (heavy overload).

  • Revenue: Select this option if you want to view the revenue that is expected to be generated from the resource’s time on the task in question.

Grouping button

With this button, you can specify the type of information to be shown in the Gantt chart for grouping lines.

The following options are available:

  • None: No information is shown in the Gantt chart for grouping lines

  • Map: A color map is shown for grouping lines. In the color map, the opacity of the color within each day, week or month indicates the number of tasks planned for the day, week or month on the lines belonging to the group. The more tasks planned for a period, the more opaque the green shade on the grouping line.

  • Map & Man Hours: Corresponds to the “Map” option, but also shows the number of man hours allocated within each period for the lines belonging to the group.

  • Map & Revenue: Corresponds to the “Map” option, but also shows the revenue generated within each period for the lines belonging to the group.

Process Layout button

With this button, you can quickly switch between a number of pre-defined layouts in the Grid section of the Gantt chart window.

This way, the columns in the Grid section are automatically suited to a specific purpose such as baseline budgeting, completion estimation or progress reporting, without having to open the Column Chooser.

The following options are available:

  • Default: The Grid layout includes information about project/phase/task name as well as starting and ending dates.

  • Baseline: The Grid layout includes fields in which you can enter baseline budget figures and view baseline budget figures transferred from Maconomy.

  • Project Progress: The Grid layout includes fields in which you can track project progress, view completion estimates transferred from Maconomy, and update the completion estimate in People Planner.

  • Planning: The Grid layout includes fields in which you can maintain the project planning budget in terms of remaining hours and revenue.

  • Revenue: The Grid layout includes fields with which you can view and evaluate project revenue.

Sort by WBS button

Click this button to have the Grid sorted according to the WBS structure. This corresponds to clicking the “WBS Numbering” column in the Grid.

Show Level button

With this button, you can choose how many levels in the WBS should be displayed. If you choose “Level 1”, the Grid will only include lines positioned at the top level in the WBS. “Level 2” will show all top level lines as well as lines indented one level, etc.

Show Selected Project button

With this button, you can toggle between viewing all projects (assuming no filters have been set up) or only the currently selected project.

This allows you to focus on one project at a time by easily removing all other projects from the view, and bringing them back by clicking the button once more.

The selected project is the one in which focus is placed. If focus is placed on a phase or task line, the selected project is the one to which the phase or task belongs.

The project can also be selected in another view, tab or frame, causing the Gantt chart to be updated accordingly. This allows you to set up a view with a list of projects and use it for selecting the project to be shown in the Gantt chart.

Assign Resource button

Press this button to assign a resource to the current line. When you click the button, a list of the resources you can choose from is displayed.

Using the Group By box in that window, you can sort and categorize the resources in order to find the most suitable one.

Click the desired resource and click OK to assign the resource to the line.

Insert Child Task/Milestone button

Click this button to insert a child task or milestone to the currently selected line.

A new line with a task or milestone is created and indented one level beneath the current line. If the current line already has children, the new line is inserted below them.

Click the arrow down next to the button to choose whether the child should be a task or milestone. The selection is reflected in the button title.

Please note that selecting Task or Milestone does not cause the new line to be inserted. You must click the button after selecting the type of line to be inserted.

Insert Task/Milestone button

Click this button to insert a task or milestone below the currently selected line. Click the arrow down next to the button to choose whether the new line should be a task or milestone. The selection is reflected in the button title.

Please note that selecting Task or Milestone does not cause the new line to be inserted. You must click the button after selecting the type of line to be inserted.

Indent button

When you click this button, the current line in the Work Breakdown Structure is indented, thus becoming a subline to the nearest above line located a level higher in the structure.

If the line itself has sublines, these lines are also indented.

Outdent button

When you click this button, the current line in the Work Breakdown Structure is outdented by one level.

If the line itself has sublines, these lines are also outdented.

Show Accounts button

With this button, you can select the account to which you want to allocate hours on assignment lines in the Gantt chart.

Select “Man Hours” to allocate hours in the actual project planning. Only allocations to this account form the basis of revenue calculation. Columns showing how much has been allocated and how much remains to be allocated on a project or assignment are based on the allocations made to the “Man Hours” account.

More

  • About different allocation accounts

Display button

Using a combination of this button and the buttons "Show graphic value" and "Threshold", you can choose the information to be shown in the Gantt chart, and how it should be presented.

Using this button, you can choose the type of information to be shown, e.g. Gantt bars, load information, revenue or capacity information.

The "Show graphic value" button is used for choosing between graphical or numeric presentation of the information in the chart and is only used when you have chosen to view a red/green map.

With the "Threshold" button, you can highlight values exceeding a specific limit.

To set your Gantt chart view, first select the information to be viewed using this button, then make the preferred adjustments using the "Show graphic value" and "Threshold" buttons.

Options

  • Red/green map (load/capacity): Provides a graphical overview of resource availability by comparing load to capacity. If you select “Graphical” or “Both” in the "Show graphic value" button, the background color of each period in the Gantt chart area will indicate how much of the employee’s capacity has been booked.

- Green shades ranging from dark (high number of hours available) to light (low number of hours available) indicate that there is available capacity.

- Red shades indicate overload, ranging from pink (slight overload) to dark red (heavy overload).

If you select “Values” or “Both” in the "Show graphic value" button, each cell in the Gantt chart area will show the number of hours for which the resource is booked for the period in question, and the resource’s total number of working hours in that period.

  • Red/green map (available capacity): Provides an overview of the capacity available for the resources covered by each line in the grid. The layout corresponds to the “Red/green map (load/capacity)” layout, but the color codes and values presented in the chart indicate the number of hours available within each period.

  • Gantt Chart: Shows a Gantt chart with bars graphically illustrating the plans for the employees covered by each line in the Grid.

  • Load: For each time unit (day, week or month), the chart shows the number of hours planned for the resources covered by each line in the grid. Red figures indicate that the number of hours allocated exceed the employee’s working hours in the period in question. Using the "Threshold" button, you can emphasize the hours in periods where the planned hours exceed a specific value.

  • Utilization %: Provides an overview of resource utilization. For each time unit, the chart shows how many percent of the working hours of the resources covered by the line in question have been booked. Using the "Threshold" button, you can emphasize the percentage figures in periods where the utilization exceeds a specific value.

  • Revenue: Provides an overview of resource revenue. For each time unit, the chart shows the total revenue generated by the resources covered by the line in question, according to their respective allocations.

  • Bookings (load/capacity): Provides an easier way to when a resource is booked. All periods where the resource is not booked at all are turned grey. Use in combination with Shiow Only Bookings toolbar button for the best overview of unbooked resources.

Show graphic/Value button

Using this button, you can specify how to present information when the "Threshold" button is set to show a red/green map.

The following options are available:

  • Graphical: Information is shown through color codes only. See the description of the "Display" button for detailed information about the color codes used.

  • Values: Information is shown through numeric values.

- If the "Display" button is set to show a red/green map of load/capacity, each cell in the Gantt chart area will show the number of hours for which the resources covered by the line are booked for the period in question, and the resources’ total number of working hours in that period.

- If the "Display" button is set to show a red/green map of capacity, each cell in the Gantt chart area will show how many hours are still available for booking within the period in question, for the resources covered by the line.

Threshold button

This button can only be used when the "Display" button has been set to “Load” or “Utilization %”.

In the button, you can enter a number representing a number of hours or a percentage, depending on the setting of the Display button. In the Gantt chart, cells containing a value higher than the specified threshold are shown in bold font, causing these figures to be emphasized.

Show Activities button

For each resource in the Resource Gantt chart, you can open a subgrid showing the individual activities for which the resource in question is booked. For the lines in these subgrids, the Gantt chart can either show cells in which you can allocate the resource to the activity in question for a number of hours, or it can show Gantt bars showing the duration of each activity.

Using this button, you can toggle between allocation cells and Gantt bars.

Show My Hours button

When Show Activities is activated, you can see Gantt bars that show the duration of each activity. However, an individual resource is not necessarily allocated all the time. You can use this button to see the periods where you yourself is booked: when it is activivatde, the Gantt bar sticks will only show the periods where you have been allocated.

Add Task button

Click this button to assign the selected resource to a task. The button can only be used when focus has been placed on the row of a specific resource - not on a grouping line.

When you click the button, a window is opened showing two tabs:

  • Existing: This tab shows a list of the tasks defined for the ongoing projects. Using the Group By box in this tab, you can sort and categorize the tasks in order to find the relevant one. Click the desired task and click OK to assign the resource to the line.

  • New: In this tab, you can create a new task if the relevant task has not already been defined. Enter a name, description and starting date, and select the ongoing project to which the task should belong. When you click OK, the new task is created and the resource is assigned to it.

Reassign to Other Resource button

Using this button, you can reassign a task to another resource. To reassign a task to another resource, open the subgrid of the resource that should no longer be assigned to the task, and place focus on the line with the task in question.

When you click the button, a list of the resources you can choose from is displayed.

Using the Group By box in that window, you can sort and categorize the resources in order to find the most suitable one.

Double-click the desired resource or click the resource once and click OK to assign the resource to the line.

The task is now reassigned to the new resource, including any hours for which the original resource was allocated to the task on specific dates.

Matching skills button

When you click this button, you toggle between enabling and disabling the skill filter. Using the skill filter, you can limit the rows in a grid containing resources, so that only employees possessing specific skills are shown.

To set up the skill filter, click the "Show skills" button (may have to be added separately using the Customization dialog). When this button is clicked, a list of skills appears in a grid.

Mark the rows containing the relevant skills. The resource list is limited to employees possessing all of the selected skills.

When the skill filter is disabled (by clicking the “Matching skills” button again), the skill selection remains intact, allowing you to apply the filter again by simply clicking “Matching skills” one more time.

Show Skills button

Using this button, you can set up a skill filter used for limiting the resource list to only include resources with specific skills.

Clicking the button toggles the display of a list of skills. In the skill list, you can select the skills that resources should possess in order to be shown in the resource list. You can use the Group By box in the skill list to sort and categorize the skills in order to find the right ones.

To select multiple skills, hold the Ctrl key while clicking a line to toggle the selection of a skill.

If you select more than one skill, the resource list will only include resources possessing all of the selected skills.

The filter is only applied if you have enabled the skill filter using the "Matching skills..." button. However, when the filter is enabled, it applies even if the skill list is not shown.

Assign button

When you click this button, the currently selected resource is assigned to the currently selected project or task. A Gantt bar is automatically created for the resource in resource based Gantt charts, allowing you to specify the period for which the resource should work on the project or task, and specify hours on individual dates.

Show Only Bookings

Toggle between greying out any periode where a resource is booked, and not. Is useful for quickly finding available periodes for a reosurce.

Even Allocation button

Allocates hours evenly. This button is only active when it can be used, that is: when a cell, or a range of cells, is selected for editing in a grid. The button looks like this:

When you click this button, the Even Allocation dialog opens. You can enter a number of hours here, and when you click OK, this number will be allocated evenly across the currently selected range of cells. It will not be checked whether this causes the resource to be overbooked.

Book Available Capacity button

Books all available capacity. This button is only active when it can be used, that is: when a cell, or a range of cells, is selected for editing in a grid. The button looks like this:

When you click this button, all capacity for the resource that is not already allocated elsewhere is allocated.

Book Full Capacity % button

Books a % of the full capacity. This button is only active when it can be used, that is: when a cell, or a range of cells, is selected for editing in a grid. The button looks like this:

When you click the button, the Book Full Capacity % dialog opens. You can use this dialog to set a percentage of the full capacity of the resource that will be allocated. The percentage can be above 100. The resource will be booked for this percentage of their capacity. Previously allocated hours are not taken into consideration, so it is possible to overbook a resource this way.

Book First Available Capacity button

Books available capacity. This button is only active when it can be used, that is: when a cell, or a range of cells, is selected for editing in a grid. This button looks like this:

When you click the button, the Available Capacity Allocation dialog opens. Here you can enter a number of hours to allocate. When you click OK, the hours that you entered will be allocated in this way: starting with the earliest period, available capacity will be booked (that is: capacity not otherwise allocated.) If there are more hours to allocate, the next period is used, and so forth until no more hours need to be allocated.

Approve button

Approves the selected resource assignments.

When you click the button, the value in the field “Approval Status” changes to “Approved” on all selected resource assignment lines.

Decline button

Declines the selected resource assignments.

When you click the button, the value in the field “Approval Status” changes to “Declined” on all selected resource assignment lines.


Processes

This section contains descriptions of the typical workflows within each role. Please click the role you would like process help for.

  • Resource Manager

  • Project Manager

  • Employee


General processes

Change time span

To change the time span of the Gantt chart, click the desired time span (day, week or month) on the Day/Week/Month button.

Move allocation

You can change the duration of a task when tasks are shown in the Grid area.

To move an allocation, change the start and finish dates of the task in question in the grid area.

If a Gantt chart is shown, you can also move an allocation by clicking and dragging the Gantt bar representing the task in question to the desired position.

Change duration of task

You can change the duration of a task when tasks are shown in the Grid area.

To change the duration of a task, change the start or finish date of the task in question in the grid area.

If a Gantt chart is shown, you can also change the duration of a task by clicking and dragging the right or left edge of the Gantt bar representing the task in question to the desired position.


Resource Manager processes

As a Resource Manager, your main responsibility is to ensure that the right resources are assigned to ongoing projects and avoiding idle time for your resources.

The typical main processes of a Resource Manager are:

  1. Approve project assignments

  2. Assign resource to project

Approve project assignments - Resource Manager process

Resources may be set up so that approval by the resource manager is required when a resource is assigned to a task, for instance when a Project Manager is assigning resources to a project.

It is therefore important that continuously check for new resource assignments that require your approval.

As part of the approval workflow, you can enter and receive messages to communicate with the Project Manager.

Approving resource assignments

  1. Enter the Approve Allocations perspective

  2. In the top left frame, set up a view that makes it easy to find the relevant resources. For instance, use the Quick Filter to limit the resources shown.

  3. Check the task assignments of each resource

    1. Expand the grouping lines of the resource to show the assignments requiring your approval

    2. On each allocation line, check the number of hours for which the resource has been allocated

    3. Select an assignment line in the top left frame

    4. The bottom frame shows a Resources Gantt Chart view with a line for each resource assigned to the task currently selected in the top left frame.
      Expand the line for the relevant resource to view the number of hours for which the resource has been booked for each period, and use the color map to spot potential overload

  4. While the assignment is still selected in the top left frame, check the top right frame for notes from the project manager

  5. If necessary, enter a message in the top right frame and press Add to assign a note to the assignment line, for example a message to the project manager.

  6. Approve or decline the assignment using the buttons in the top left frame

Assign resource to project - Resource Manager process

In your role as Resource Manager, you may be in charge of assigning resources to ongoing projects.

With a resource overview perspective, you have full overview of the resource capacity within each period, can easily bring up a list of ongoing projects to assign to a specific resource.

How to assign available resources to projects

  1. Open the Resource Overview perspective

  2. Set up a view that makes it easy to find the relevant resources. For instance, use the Quick Filter to limit the resource list to only include resources in your own department (How)

  3. Click the resource line containing the resource you want to assign to a project

  4. Click the [image] button to open a list of the current projects and their phases and tasks

  5. Double-click the line to which the resource should be assigned (or click the line and click OK)

    1. If the list does not contain the desired project or task, you can click the New tab to create a new task or close the list and go to the New Project view to create a new project

  6. In the resource list, expand the resource line to view the resource’s assignments

  7. If relevant, specify for each period the number of hours for which the resource should be booked on the assignment

Basic Resource Manager operations

Find task for available resource

  1. Open the Resource Overview perspective.

  2. Select the relevant resource in the grid of the Resources Gantt chart.

  3. In the Project Manager Gantt Chart, set up a view that makes it easy to find relevant tasks, for instance:

    1. Use the Quick Filter to limit the projects shown.

    2. In the Advanced Filter, check the Unassigned column to only view projects in need of staffing.

    3. Group projects using the Group By box to categorize projects, making them easier to identify.

  4. Select the project or task to which you wish to assign the resource.

  5. Click the Assign to assign the resource to the project or task.

  6. Expand the subgrid of the resource to view the new assignment and its Gantt bar.

  7. Change the Gantt bar to cover the relevant period and enter hours for the individual days, weeks or months.

Make booking

If you right-click on a resource in the Resource Manager Gantt, you have two items in the context menu that can be used to quickly add bookings for this resource. In this way, you can avoid having to have all the assignment lines open (if you have many of those, it can be inconvenient to navigate in the Gantt chart.)

Make booking on new task: When you click this menu item, a new draft assignment line is opened, and you can enter a number of hours. By default, the cursor for entry will be placed in the period cell that corresponds to the period "column" you right-clicked on in the resource line.

When you press Enter after typing a number of hours, the New Booking Task window will open. Here, you can provide details about the new task, such as name, description, start date, finish date, and parent project. Only when you click OK in this form is the creation of the new task finalised.

Make booking on existing task: When you click this menu item, a windowr opens where you select an existing task. When you have selected a task and clicked OK; you can enter a number of hours in the assignment line.

Easy access to details in resource Gantt chart

You can see an overview of the assignments for a resource in the resource manager Gantt chart quicklty in this was (and without having to expand the assignment lines for the resource9: click on a period where the resource is assigned. A window now opens that gives an overview of all the assignments of the resource.

Recurring tasks

You can book recurring tasks in this way:

Mark a date or a date range in the resource manager Gantt chart, and click the Book Recurring button. This will open the Book Recurring window. You can use this window to create a recurring allocation for the resource. The window lets you do the allocation in different ways: as a fixes number of hours, or as a percentage of either full or available capacity. You can set a recurrence pattern (daily, weekly, and so forth), and a recurrence range. Also, you can add todos to the bookings, and you can preview the resulting bookings before you submit.

Automatic find of available resources

You can find available resources quickly in this way:

In a perspective where the project manager Gantt chart is on top of the resource manager Gantt chart, you can right-click a task in the project manager Gantt and select Find Resource. This will open the assignment lines, and you can enter the number of hours. When you do, the resource manager Gantt chart will automatically show what resources are available for that number of hours (the list will be sorted by availability.)

View assigned resources in tasks and project

In a perspective where the project manager Gantt chart is on top of the resource manager Gantt chart, you can use the "View only assigned resources on task" and the "View only assigned resources on project" to delimit the view in the resource manager Gantt chart according to the currently selected task or project in the project manager Gantt chart.

Relieve overbooked resource in Resources Gantt chart

If a resource is overbooked, you may wish to relieve him or her by reducing or completely removing the number of hours that the resource is working on one or more projects or tasks in the overbooked period, and assign the work to another resource. To do so:

  1. Open the Resource Overview perspective.

  2. Select the overbooked resource in the grid of the Resources Gantt chart (look for pink and red cells in the color map).

  3. In the Resources Gantt Chart, set up a view that makes it easy to find similar resources that can take over, for instance:

    1. Group resources according to employee category or department using the Group By box - and look for resources in the same group as the overbooked resource.

    2. Use the Matching skills... button to only view resources with specific skills.

  4. Expand both the overbooked resource and the new resource to display the projects to which they are assigned.

  5. Identify the projects and tasks you wish to adjust for the overbooked resource.

  6. If the new resource is not assigned to these projects, assign him or her before proceeding to the next step. (How)

  7. If the new resource is already assigned to the projects and/or tasks, do one of the following:

    1. In the Gantt chart, adjust the overbooked resource’s number of hours in the overbooked periods and write up the new resource’s hours accordingly or

    2. In the Gantt chart, select the overbooked hours and drag them to the new employee’s Gantt line for the project or task in question to move all hours.

View resource or assignment revenue

You can have the Resources Gantt chart or Assignments Gantt chart show the revenue generated by each resource or assignment within each period shown in the Gantt area.

You can also view the total revenue generated over a period that you select graphically.

The revenue shown is based on the hours allocated on the individual resource assignments to projects, phases and tasks.

View revenue for each period shown in the Gantt chart

  1. Enter the Resources Gantt chart view or the Assignments Gantt chart view

  2. In the “Display button” button, select “Revenue”

  3. For each resource or assignment, the information in each cell in the Gantt chart now shows the revenue generated within the period in question as a result of the hours allocated to the projects, phases and tasks to which the resource is assigned

View total resource revenue for a user-defined period

  1. Enter the Resources Gantt chart view

  2. Add the column to the Grid (How)

  3. A red bar appears at the top of the Gantt chart, starting on today’s date. For each resource, the “Period Revenue” column shows the total revenue generated by the resource within the period covered by this bar. The revenue is based on the hours allocated to the projects, phases and tasks to which the resource is assigned

  4. Drag the edges of the bar, and drag and drop the bar to the desired position to change the period covered by the bar

  5. The “Period Revenue” column is updated accordingly

View project and task assignments for a resource

  1. When a row shows a single resource (not a group), expand the subgrid of the resource (by clicking the [image] on the row) to view the individual projects and tasks to which the resource is currently assigned.

  2. On each line in the subgrid, you can now allocate hours to the individual assignments within the running period of each assignment.

Assign resources to projects, phases and tasks

To assign a resource to a project, phase or task

  1. Place focus on the row containing the resource.

  2. Click the "Add Task" button

  3. A window is opened in which you can select the project, phase or task to which the resource should be assigned

  4. Click the desired project, phase or task and click OK

  5. Expand the subgrid of the resource to view the assignment list, now including the task just added

  6. In the Gantt chart area, you can now allocate resource hours to the new assignment (How)

Unassign resources from projects and tasks

  1. Extend the subgrid of the relevant resource row to show the individual projects, phases and tasks to which the resource is assigned.

  2. Click the [image] button in the Release Activity column on the row containing the project, phase or task from which the resource should be unassigned.

Allocate hours on individual days, weeks and months

You can allocate hours over the running period if the projects, phases and tasks to which your resources are assigned, for instance specifying how many hours should be spent on the project, phase or task on a specific date or during a specific week.

To allocate hours on a resource assignment

  1. Use the Day/Week/Month buttons to set the calendar view to show the desired period size

  2. Set the Display button to show a color map, if you want to view available capacity while allocating hours

  3. Expand the subgrid of the resource to show the resource’s current assignments

  4. In the Gantt chart section, click the time slot (date, week or month) for which you want to enter hours, on the line representing the relevant project, phase or task

  5. Enter the relevant number of hours. If the calendar view is set to weekly or monthly overview, the hours are distributed evenly on the individual working days in the week or month. Any previous hours allocated on these days are overwritten

View only employees with specific skills

You can limit the resources shown in the view to only include employees possessing specific skills. This is useful if you want to staff a project or task where specific skills are required.

  1. Click the "Matching skills..." button.

  2. Click the "Show skills" button to bring up a list of skills.

  3. Select the rows containing the relevant skills. As you select the rows, the resource list is limited to only include employees possessing all of the selected skills.

  4. You can keep the skill list open to dynamically change the criteria while working with the resource list, or click the "Show skills" button again to hide the skill list.

  5. To deactivate the skill filter, click the "Matching skills..." button again.

Move time from one resource to another using drag and drop

You can use drag and drop to move time allocations from one resource assignment to another.

This allows you to move the allocated time of one resource between the individual task assignments of the resource or moving allocations to a different resource.

  1. Select the resource and expand its subgrid to show the resource’s current assignments

  2. If you wish to move hours to an assignment belonging to a different resource, expand the subgrid of this resource as well

  3. Select the cells containing the allocations to be moved

  4. Place the mouse cursor over one of the selected cells and drag the selection to the desired position on the target assignment line.

View the resources working on a specific shift

If you have specified a shift on each resource assignment, you can set up the Assignments Gantt Chart to show the work taking place on each shift, and the resources assigned to that work.

  1. Open the Assignments Gantt Chart view

  2. Filter the assignment list to only include assignments to the relevant projects, phases and tasks (How)

  3. Group the assignments by their value in the “Shift” field (How).

  4. By expanding the individual shift groups, you can now see the work taking place on each shift, and the resources assigned to the work.


Project Management processes

As a Project Manager, a number of processes are used throughout the project life cycle. People Planner supports all of the processes, but also allows you combine the use of People Planner and Maconomy.

The typical main processes of a Project Manager are:

  1. Project creation

  2. Setting up a project plan

  3. Setting baseline budget

  4. Allocate hours (Framework)

  5. Assign resources

  6. Resource allocation approval

  7. Project follow-up

  8. Revise estimate/plan

Project creation - Project Manager process

As a Project Manager, it is important to be able to quickly create new projects and set up a realistic, complete project plan and budget.

People Planner allows you to create new projects from template projects, thereby ensuring that your project plan is based on experience from previous, similar projects.

Project templates contain a wide range of information, including complete WBS, estimates, budgets and task durations, reducing the time spent on the initial project setup to a minimum.

The whole project creation workflow takes place within a single perspective providing full overview of the template information copied to the new project.

Once the project has been created, you can adjust the WBS created from the template to fit the new project, and start planning the project.

Create a new project in People Planner

  1. Enter the New Project perspective

  2. Enter a name and description for the new project

  3. In the “Start” and “Finish” fields, specify the dates within which the project will be running

  4. If the project is a subproject to another project, select the parent project in the “Parent Project” field

  5. If you want information and WBS on the new project to be based on a template

    1. Make sure the “Use Templates” field at the top of the window is marked

    2. In the Templates section of the window, click the relevant template

    3. The information in the left part of the perspective is updated with information from the template

    4. Click the Template Gantt Chart <template name> tab to inspect the WBS which will be transferred from the template

    5. Return to the New Project tab

    6. If you wish to use a different template, return to step 5.2

  6. Fill in the remaining fields with basic project information.

  7. Click Create Project to finalize the creation of the project

Next step: Setting up a Project Plan (Project Manager process).

Create a new project in Maconomy

  1. Enter the New Project component

  2. Select a project type and click Next

  3. Fill in the basic project information in step 2 of the project creation wizard.

  4. Click Create Project to finalize the creation of the project

Next step: Setting up a Project Plan (Project Manager process).

Setting up a Project Plan (Project Manager process)

The project plan is the core of project management and forms the basis of time schedules, budgeting and resource allocation.

You can either set up your project plan directly in People Planner or set it up in Maconomy and import the complete WBS to People Planner.

In People Planner as well as in Maconomy, project planning consists of setting up a complete Work Breakdown Structure containing all phases and tasks to take place in the project - and specifying the periods during which they are to take place.

As a full WBS is automatically created from a template at project creation, setting up the project plan is reduced to simply modifying the plan by adding extra lines, removing irrelevant lines and adjusting the time schedule for each task.

You can merge a project created in People Planner with a project created in Maconomy, so that you can synchronize information between the two systems.

Note, however, that this will cause the project information entered in People Planner (including the WBS lines created from the template) to be updated with information from the Maconomy project. If you want to merge projects in the two systems, you should therefore avoid setting up a project plan in both systems before merging.

Set up project plan in People Planner

In People Planner, the whole project planning workflow takes place within a single perspective providing full overview of the whole project plan.

  1. Enter the My Projects perspective

  2. In the Projects tab, select the project you want to plan

  3. Click the Project Manager Gantt Chart tab

  4. Evaluate the project plan copied from the template

  5. Remove irrelevant WBS lines (How)

  6. Add any necessary phase and task lines

  7. Define milestones

  8. Adjust WBS structure by indenting and outdenting lines, and moving them up or down using the WBS ribbon. (see the Indent, Outdent, Move Up and Move Down buttons)

  9. Set the time schedule for each task by entering starting and ending dates or by dragging and dropping Gantt bars (How)

Next step: Setting baseline budget - Project Manager process

Set up project plan in Maconomy

In Maconomy, the whole project planning workflow takes place within the Project Budgeting and Planning component.

  1. Using the My Projects component, select the project to be planned

  2. Enter the Project Budget and Planning component and click the Planning tab

  3. Evaluate the project plan copied from the template when the project was created

  4. Remove irrelevant WBS lines

  5. Add any necessary phases, milestones and task lines

  6. Adjust WBS structure by indenting and outdenting lines, and moving them up or down using the WBS buttons at the top of the grid part

  7. In the New Project view in People Planner, create a new project without using a template (the project should contain no WBS lines, as information will be imported from Maconomy)

  8. Import the project into People Planner in order to set the time schedule for each task, using the Update from Maconomy button. In the dialog opened, specify the project number from Maconomy and the budget type in which you have set up the project plan
    While you can enter starting and ending dates for tasks in Maconomy, the graphical presentation in People Planner provides a much better overview of period lengths and the scheduling of each task in relation to other tasks.

  9. Set the time schedule for each task by following steps 1., 2., 3. and 9. in the method for setting up a project plan in People Planner.

Next step: Setting baseline budget - Project Manager process

Setting baseline budget - Project Manager process

Creating a baseline budget allows you to continuously compare updated estimates to the original budget, thus providing a powerful tool for evaluating whether the project is on track.

Once the baseline budget has been set up, it should not be updated, as you will otherwise lose the ability to compare actuals and updated estimates to the original budget.

You can either set up your baseline budget directly in People Planner or set it up in Maconomy and import the complete WBS to People Planner.

Setting baseline budget in People Planner

In People Planner, the baseline budget is contained in the “Baseline Budget” column on each WBS line. This allows you to view the baseline budget side by side with the updated planning budget and updated estimate.

To protect the baseline budget from being changed by mistake, you cannot enter values manually in the “Baseline” column.

Instead, you set up an estimate for each WBS line, and copy the estimate to the Baseline column.

The estimate is set up using a bottom up approach where the estimate is specified at the lowest level of each WBS branch and automatically summed up at phase and project level.

However, you can also start by setting up a framework estimate from using a top down approach where you set the overall project estimate and distribute this estimate onto the individual phases and tasks.

  1. Enter the My Projects perspective

  2. In the Projects tab, select the project you want to budget for

  3. Click the Project Manager Gantt Chart tab

  4. Using the "Process Layout" button, select “Baseline”.

  5. If you want to create a framework estimate from a top down perspective

    1. Add the “Top Down Budget” column (How)

    2. In the “Top Down Budget” column, enter the overall estimated number of hours on the WBS line representing the project

    3. Distribute the estimate to the individual phases using the “Top Down Budget” column

  6. In the “Working Budget” column, enter the detail level estimate for each line. People Planner automatically ensures that you can only enter estimates at the lowest level of each WBS branch, and automatically maintains summary information on higher levels

  7. Copy the estimate to the Baseline column (How)

Next step: Allocate hours (Framework) - Project Manager process

Setting baseline budget in Maconomy

In Maconomy, the baseline budget is set up in a separate budget type.

  1. Using the My Projects component, select the project to be planned

  2. Enter the Project Budget and Planning component and click the Planning tab

  3. In the “Show Budget” field in the card part, select the budget type that you use for baseline budgeting

  4. In the “Quantity” field in the grid part, enter the baseline number of hours

  5. Submit the budget by clicking the “Submit” button

  6. Approve the budget by clicking the “Approve” button

  7. In People Planner, import the project to update the estimate in the People Planner project, using the Update from Maconomy button

Next step: Allocate hours (Framework) - Project Manager process

Allocate hours (Framework) - Project Manager process

Once your baseline budget is in place, you can start planning the individual activities taking place in the project.

This step is optional, as you may want to proceed directly to assigning resources to the individual tasks.

By choosing the types of resources needed for the project, you can start distributing the estimated hours across time without considering the availability of each resource, and use this draft plan at a later stage when choosing the specific resources for each task.

You allocate hours at framework level by assigning so-called budget resources to the project, and allocating hours across time.

You can also go into further detail by assigning budget resources to each phase and task. However, the more detail you add to your framework plan, the more data needs to be kept up to date. It is therefore important to consider whether the added value of a more detailed plan makes up for the additional maintenance.

The budget resource is a resource that does not represent an actual resource but represents, for example, an entire employee category, a resource type or resources with a specific skill.

At a later stage, you can assign specific resources matching the budget resource to the task and re-distribute the hours to these resources by dragging the hours from the budget resource or entering them manually for each resource.

How to allocate hours at framework level

  1. Enter the Project Assignment perspective

  2. In the Projects tab, select the project you want to allocate hours on

  3. Click the Project Assignment tab

  4. Assign a budget resource to each project

    1. Select the Grid line containing the project whose hours should be allocated across time

    2. In the lower part showing a Resource Gantt chart, organize the view to provide the best overview of the budget resources you need for the selected project. For instance
      - Group the lines by Employee Category, Department or Type using the Group By box (How) or
      - Limit the resource list to only show budget resources

    3. Make sure the project line is still selected and click the [image] button for the budget resource to be assigned to the project

  5. Distribute estimate of each project across time

    1. Using the "Day/Week/Month" button, select the time unit for which you want to plan

    2. Open the subgrid of the project

    3. In the Gantt chart area, enter the number of hours to be spent on the project within each planning period.

Next step: Assign resources - Project Manager process

Assign resources - Project Manager process

Assigning the right resources is crucial to project success. Factors such as skills, availability and employee category must be kept in mind when searching for suitable resources for a task.

With People Planner, you can view your tasks and resources in a single screen.

You can dynamically adjust your resource list, for instance grouping them by category or department.

A color map graphically provides you with information about the available capacity of each resource, making it easy to spot the best candidates.

Assigning a resource to a task is done using only a few clicks.

How to assign resources to your project

  1. Enter the Project Assignment perspective

  2. In the Projects tab, select the project you want to assign resources to

  3. Click the Project Assignment tab

  4. Click the Grid line containing the project, phase or task to which you want to assign resources

  5. In the lower part showing a Resource Gantt chart, organize the view to provide the best overview of the resources you need for the selected project, phase or task. For instance

    1. Group the lines by Employee Category, Department or Type using the Group By box (How)

    2. Limit the resource list to only show resources possessing the skills needed for the task (How).

  6. Use the resource color map to evaluate the available capacity of the qualified resources.

  7. Click the [image] button for the resource to be assigned to the project, phase or task

Next step: Resource allocation approval - Project Manager process

Resource allocation approval - Project Manager process

Some of the resource allocations you made may need to be approved by the resource manager of the employees in question.

Before you proceed, you must therefore await approval of the resources on your project.

It is therefore important that you keep track of the approval status of each resource assignment.

As part of the approval workflow, you can enter and receive messages to communicate with the resource manager.

Checking resource approval status

  1. Enter the Check Approval Status perspective

  2. Filter the list of assignments to only show the projects you are responsible for

  3. Go through the list of tentative, declined and accepted tasks to get an overview

  4. You can also assign a note to the assignment line, for example a message to the resource manager

    1. Click the line containing the assignment for which you want to add a note

    2. In the lower frame, enter a new message and press Add to assign a note to the assignment line

Project Follow-up - Project Manager process

Following up on project progress is crucial to keeping your project on track.

The main tool in project follow-up is the Estimate to Completion (ETC) which represents the number of hours needed to complete each phase or task.

By holding up a task’s ETC and the time already spent on the task against the original estimate, you can see if the task is on track or in danger of overrun.

In People Planner, the ETC of each WBS line is contained in the “ETC” column. The ETC is not entered directly in this column, but you can base the figures in the column on different factors.

You can therefore take the following approaches to updating the ETC.

ETC based on revised time allocations in People Planner

In People Planner, you can base your ETC of each project, phase and task on the number of hours allocated on resource assignments.

In order for the time allocations on a given task to represent the number of hours required to complete the task, you must first remove allocations from before the progress evaluation date and revise the allocations on future dates to match the latest expected estimate.

This approach thereby allows you to update your ETC and revise the project plan in a single process.

  1. Enter the My Projects perspective

  2. In the Projects tab, select the project you want to plan

  3. Click the Project Manager Gantt Chart tab

  4. Using the "Process Layout" button, select “Project Progress”

  5. Import project data from Maconomy to update actuals based on entries in Maconomy, using the Update from Maconomy button

  6. Click the "Set date for revenue cut" button in the WBS ribbon.

  7. In the dialog that appears, enter the progress evaluation date and click OK. Time allocations up to this date will be deleted

  8. Revise the project plan

    1. Adjust project, phase and task duration if necessary (How)

    2. For each resource assignment, change the number of hours allocated within each period to match what is needed to complete the task (How)

    3. Continuously check the “Allocated” column to see how many hours have been allocated, and evaluate this in relation to the number of hours needed

  9. Copy the allocated time to the “ETC” column so that the new expected estimate reflects the latest completion estimate (How)

  10. Send the updated project plan to Maconomy to keep the Maconomy data up to date, using the Export to Maconomy button

ETC based on completion estimates from Maconomy

When using Maconomy synchronization for a project, completion estimates are entered and approved in Maconomy, after which you can import the figures and update your estimate to completion in People Planner.

To follow up on your update a project in People Planner

  1. Enter and approve estimates to completion for the project in Maconomy using the Project Progress F/P component

  2. Import project data from Maconomy using the Update from Maconomy button

  3. Update the “ETC” field in People Planner with the imported completion estimates so that the new expected estimate reflects the latest ETC. (How)

  4. In the column“New Expected Budget”, you can now see how many hours will be needed in total for each task. By comparing this column to the “Baseline” and “Estimate” columns, you can evaluate whether the project is on track.

ETC entered manually in People Planner

You can enter completion estimates directly in People Planner.

The estimate to completion must be entered using a bottom up approach where the estimate is specified at the lowest level of each WBS branch and is automatically summed up at phase and project level.

Once you have entered the estimates to completion, you must copy them to the “ETC” column in order to see the new expected estimate which is based on the actuals imported from Maconomy and the estimate to completion.

  1. Enter the My Projects perspective

  2. In the Projects tab, select the project whose ETC you want to update

  3. Click the Project Manager Gantt Chart tab

  4. Using the "Process Layout" button, select “Project Progress”

  5. Import project data from Maconomy to update actuals based on entries in Maconomy, using the Update from Maconomy button

  6. In the “Top Down ETC” column enter for each WBS line the estimate to completion. Note that only estimates entered on the lowest level of each WBS branch will apply.

  7. Copy the top down ETC to the “ETC” column so that the new expected estimate reflects the latest completion estimate (How)

  8. In the column“New Expected Budget”, you can now see how many hours will be needed in total for each task. By comparing this column to the “Baseline” column and the “Estimate” column, you can evaluate whether the project is on track.

Revise estimate/plan - Project Manager process

Unless you take the “ETC based on revised time allocations in People Planner” approach when following up on project progress, you need to revise your project plan each time you have updated your estimate to completion, otherwise your project plan will not reflect the number of hours needed to complete the individual tasks.

  1. Enter the My Projects perspective

  2. In the Projects tab, select the project you want to plan

  3. Click the Project Manager Gantt Chart tab

  4. Using the "Process Layout" button, select “Project Progress”

  5. Import project data from Maconomy to update actuals based on entries in Maconomy, using the Update from Maconomy button

  6. Revise the project plan

    1. Adjust project, phase and task duration if necessary (How)

    2. For each resource assignment, change the number of hours allocated within each period to match what is needed to complete the task (How)

    3. Continuously compare the “Allocated” column to the “New Expected Budget” column to ensure that you allocate a number of hours reflecting the necessary hours according to the latest completion estimate

  7. Send the updated project plan to Maconomy to keep the Maconomy data up to date, using the Export to Maconomy button

Basic Project Manager operations

Updating estimate to completion with ETC imported from Maconomy

To update the “ETC” field with the estimate to completion imported from Maconomy (in the field “External ETC”)

  1. Enter the Project Manager Gantt Chart view

  2. Place focus on the projects, phases and tasks for which the “ETC” field should be updated. In a later step, you can specify whether to also update the field on the WBS children of this line

  3. In the Home ribbon, click the Copy Hours button

  4. In the dialog that appears, select “Copy External ETC to ETC”

  5. If the field should also be updated on the WBS lines beneath the selected project, phase or task, mark the “Include Child Elements” field

  6. Click Copy

View one project at a time in Project Manager Gantt chart

You can limit the Gantt chart view to only show a single project at a time. This is useful if you want to improve overview to concentrate on a single project.

  1. In the Project Manager Gantt chart window, click the Show Selected Project button.

  2. The Grid now only shows the WBS and resource assignments for the last project selected.

  3. When you click a different project in another view, frame or tab, the Gantt chart window will change to show the new selected project. This way, you can use other views containing projects to select the project to be shown in the Gantt chart view.

Copy planning lines

You can copy planning lines, including any underlying networks (WBS). Select a planning line with or without an underlying, and use the Copy WBS button to copy.

When you want to paste, you can use the Paste... drop-down button to give the following choices:

Paste network: The WBS structure is pasted

Paste network and assignments: The structure and resource assignments are pasted

Paste network, assignments and allocations: The WBS structure and resource assignments, including allocations, are pasted

Set baseline from estimate

When you have defined the estimate for the individual lines in the project, you can set the baseline by copying values from the “Estimate” column to the “Baseline” column.

You can copy values for the currently selected WBS line only or for the selected WBS line and all its child elements.

To set the baseline budget for a whole project, you therefore only have to select the WBS line representing the relevant project and choose to copy values for all child elements.

  1. Select the relevant WBS line (the project line if you wish to set the baseline budget for a whole project)

  2. In the Home ribbon, click the "Copy Hours" button

  3. In the window that appears, click the “Copy Estimate to Baseline” option

  4. If the estimates on the child elements of the selected WBS line should also be copied, make sure the “Include Child Elements” box is marked.
    If you want to set the baseline budget for a whole project, the box should be marked.

  5. Click Copy

Update ETC from Top Down Budget

When you have defined the estimate to completion for the individual lines in the project, you can update the valid ETC by copying the values from the “Top Down ETC” column to the “ETC” column.

You can copy values for the currently selected WBS line only or for the selected WBS line and all its child elements.

To set the ETC for a whole project, you therefore only have to select the WBS line representing the relevant project and choose to copy values for all child elements.

  1. Select the relevant WBS line (the project line if you wish to update the ETC for a whole project)

  2. In the Home ribbon, click the "Copy Hours" button

  3. In the window that appears, click the “Copy Estimate to Baseline” option

  4. If the ETC on the child elements of the selected WBS line should also be updated, make sure the “Include Child Elements” box is marked.
    If you want to update the ETC for a whole project, the box should be marked.

  5. Click Copy

Update ETC from revised time allocations

When you have revised your project plan and time allocations for the individual lines in the project, you can update the valid ETC by copying the allocated time to the “ETC” column.

You can copy values for the currently selected WBS line only or for the selected WBS line and all its child elements.

To set the ETC for a whole project, you therefore only have to select the WBS line representing the relevant project and choose to copy values for all child elements.

  1. Select the relevant WBS line (the project line if you wish to update the ETC for a whole project)

  2. In the Home ribbon, click the "Copy Hours" button

  3. In the window that appears, click the “Copy Allocated Hours to ETC” option

  4. If the ETC on the child elements of the selected WBS line should also be updated, make sure the “Include Child Elements” box is marked.
    If you want to update the ETC for a whole project, the box should be marked.

  5. Click Copy

View revenue from resource assignments in Project Manager Gantt chart

You can have the Project Manager Gantt chart show the revenue generated of each task within each period shown in the Gantt area.

The revenue shown is based on the hours allocated on the individual resource assignments to projects, phases and tasks.

View revenue for each period shown in the Gantt chart

  1. Enter the Project Manager Gantt chart view

  2. In the "Display" button, select “Revenue”

  3. Expand the subgrid of the WBS lines for which you want to view revenue

  4. For each resource assignment, the information in each cell in the Gantt chart now shows the revenue generated within the period in question as a result of the hours allocated to the projects, phases and tasks to which the resource is assigned

View revenue for each grouping line in the Grid

  1. Enter the Project Manager Gantt chart view

  2. Group the Grid lines as desired

  3. In the "Grouping" button, select “Map & Revenue”

  4. For each grouping line in the Grid, the Gantt chart now shows a color map with revenue amounts based on the resource assignments and time allocations.


Employee processes

As an employee, you can use People Planner on a daily basis to view the tasks on which you are booked, and assign yourself to projects in periods where you have available time.

The main processes of an employee are:

  1. View assigned tasks

  2. Assign yourself to tasks

  3. Transfer tasks to Outlook

View assigned tasks - Employee process

A single perspective provides an overview of the tasks to which you are assigned.

  1. Enter the Employee Overview perspective

  2. Use the Quick Filter to ensure that only your tasks are shown (How)

  3. Use the Gantt chart to get an overview of your tasks

  4. Click the "Show Activities" button to view the number of hours for which you are booked on each task within each period

Assign yourself to tasks - Employee process

If you have available time, you can assign yourself to tasks.

  1. Enter the Find Projects for Me perspective

  2. In the top frame, use the Quick Filter to ensure that only your tasks are shown (How)

  3. Use the lower frame to get an overview of ongoing projects and tasks that you can assign yourself to

  4. In the top frame, click the [image] button to open a list of the current projects and their phases and tasks

  5. Double-click the line to which you want to assign yourself (or click the line and click OK)

  6. In the top frame, expand the subgrid to view your assignments

  7. Click the "Show Activities" button to view the number of hours for which you are booked on each task within each period

  8. In the Gantt chart area, specify for each period the number of hours for which you want to book yourself on the assignment

Transfer tasks to Outlook - Employee process

You can create tasks in your Outlook system based on your assignments in People Planner. This allows you to use Outlook for task reminders and overview of your To Do list.

  1. Enter the Employee Overview perspective

  2. Use the Quick Filter to ensure that only your tasks are shown (How)

  3. Select the lines containing the assignments that you wish to transfer as tasks in Outlook (How)

  4. In the Import and Export ribbon, click the "Export tasks to Outlook" button. Tasks that were not already in your Outlook system are now automatically created, while tasks already existing in Outlook are updated with the latest description and starting and ending time.


Administrator processes

Managing perspectives

You can create your own perspectives to support specific processes and thereby provide users with fast access to exactly the information they need in the best possible layout.

Perspectives are created by simply setting up the window as desired in terms of merged views, column selections, groupings and filtering, and saving the setup as a perspective.

There is no need for programming or other customization and most of the setup can be done using drag and drop.

Creating a new perspective

  1. Open the views to be included in the perspective

  2. Merge the views into tabs and frames as desired (How)

  3. Add the relevant columns and remove columns that should not be included in the perspective (see “Adding columns” and “Hiding columns”)

  4. Group lines as desired (How)

  5. Set up filters to ensure only relevant information is shown (How)

  6. Adjust the layout in terms of column width, column order etc. until you have reached the desired layout

  7. In the Perspective window, click the folder within which the perspective should be placed

  8. In the Perspective window, click the [image] button to create a new perspective based on the layout you set up

  9. Rename the new perspective (see “Renaming a perspective or folder”)

Editing an existing perspective

  1. Open the perspective to be edited

  2. Make the desired changes (change layout, columns, groupings, filters, view mergers etc.)

  3. In the Perspective window, click the [image] button to save the changes

  4. Add the relevant columns and remove columns that should not be included in the perspective (see “Adding columns” and “Hiding columns”)

  5. Group lines as desired (How)

  6. Set up filters to ensure only relevant information is shown (How)

  7. Adjust the layout in terms of column width, column order etc. until you have reached the desired layout

  8. In the Perspective window, click the folder within which the perspective should be placed

  9. In the Perspective window, click the [image] button to create a new perspective based on the layout you set up

  10. Rename the new perspective (see “Renaming a perspective or folder”)

Renaming a perspective or folder

  1. In the Perspective window, right-click the perspective or folder to be renamed, or click the name once, wait one second and click the name again

  2. Enter the new folder or perspective name

Creating a new folder for perspectives

  1. In the Perspective window, click the [image] button to create a new folder

  2. Rename the folder (See “Renaming a perspective or folder”)

  3. Drag the folder to the desired position in the folder hierarchy

Moving a perspective or folder to new position

You can move a perspective or folder to a new position in the perspective folder tree using drag and drop.

If you move a folder, all perspectives in the folder are also moved.

  1. In the Perspective window drag the perspective or folder using the mouse. An arrow indicates where the perspective or folder will be placed if you release the mouse button

  2. If you drag to an expanded folder, the arrow must point to one of the perspectives within the folder when you release, otherwise the move is cancelled.

Deleting a perspective or folder

You can delete a perspective or folder.

If you delete a folder, all perspectives within the folder are also deleted. However, People Planner will ask you to verify that the folder and its contents should be deleted.

  1. In the Perspective window, click the perspective or folder to be deleted

  2. In the Perspective window, click the [image] button to delete the perspective or folder

Role management

Using role management, you can grant groups of users access to specific views and perspectives and the buttons used within these views and perspectives.

With roles, each user’s overview of the system is improved as the user is only presented with the views and perspectives relevant to him. At the same time, the risk of error is reduced as you can also restrict access to specific buttons.

Using roles simplifies the configuration as you define access for a group of users at a time instead of each individual user.

How to manage roles

  1. Make sure users have been created in your system. If your People Planner system is set up to synchronize with Maconomy, users must be created in Maconomy and imported to People Planner using the Import Master data from Maconomy button. Otherwise, create the users in the Users view by adding new lines to the Grid.

  2. Click the "Manage Roles" button in the Home view

  3. In the Manage User Roles window opened, create the desired roles by adding rows to the Registered Roles grid (How)

  4. Assign users to each role

    1. Click the role to which you want to assign users

    2. Use the buttons between the “Users with selected role” and “Users not in selected role” grids to select the users to be assigned to the selected role

  5. Click Open Registry

  6. In the window opened, expand the individual categories and mark (grant access) or unmark (disallow access) the checkboxes representing the individual views and buttons in the system.

  7. Click Save to save the new setup and close the window or select a new role in the “Registered Roles” box at the top of the window to set up access rights for a different role.


Wildcard characters

Use | To find
? | Any single character. For example, “B?ll” finds “Bell” and “Bill”.
* | Any number of characters. For example, “B*ll” finds “Bill” and “Bacall”.


About rates and price calculations

Hourly prices can be entered in a number of ways. The prices are used for calculating revenue for individual tasks, for phases and for projects, based on the number of hours estimated, allocated and registered.

People Planner uses one currency throughout the system. All prices on resources, tasks and assignments are therefore entered and displayed in the same currency.

Prices can be specified at many levels, both directly and indirectly, and it is important to understand how People Planner selects the price to use.

All lines that have a Price field also have a field called Price Source. The value in this field is used to determine what shall be the source of the value of Price. This works differently on project/task lines and single assignment lines.

Task or project lines

Price Source can have the following values:

  • None
    There should be no price on this line.

  • Current
    The value of the Price field on the current line is used. The Price field is only editable when Price Source is set to Current.

  • EmployeeCategory
    The price from the Employee Category will be used (if it is set.)

Single assignment lines

Price Source can have the following values:

  • None
    There should be no price on this line.

  • EmployeeCategory
    The price from the Employee Category will be used (if it is set.)

  • CurrentTask
    The price of the task is used.

  • ResourceRate
    The price from the rate attached to the resource card is used.

  • ResourceSimpleRate
    The price of the simple rate of the resource card is used.

  • AssigmentRate
    The price on the rate on the assignment is used.

  • AssigmentSimpleRate
    The price entered in the simple rate on the assignment is used.

The following sections describe how prices are entered:

  • Rates and simple rates

  • Setting up resource prices

  • Entering a task price

  • Entering a price on an assignment

  • Prices on phases

Rates and simple rates

You can create group or category prices which can be applied to resources and resource assignments. These prices are known as Rates.

On resources and resource assignments to tasks, you can also specify an explicit price - a so-called Simple Rate which is simply a price per hour entered directly on the resource or assignment.

Rates are set up in the Rates view, in which you can create different Rates, specifying a price per hour for each Rate.

More about

  • Setting up resource prices

  • Entering a task price

  • Entering a price on an assignment

Setting up resource prices

On resources, you can specify both a Rate (see “Rates and simple rates”) and a Simple Rate which is an explicit price for the individual resource. This information must be specified in a view, frame or tab showing resources for instance the Resources view.

By setting up resource prices, you can assign a standard price to each resource, and enter a different price on the task or assignment line. Which price is used for calculations will depend upon the setting of Price Source on each line.

The Rate on each resource is selected in the field “Rate”.

The Simple Rate is specified in the field “Simple Rate”.

More about

  • Rates and simple rates

  • Entering a task price

Entering a project price

You can enter a price per hour or a fixed price directly on each project. This is done using the “Price” field in a view, frame or tab showing projects.

This way you can, for example, enter a specific price for work on a project, regardless of the tasks and the resources doing the work.

However, you can specify exceptions to the project price on each task and on each resource assignment line. For further information, see “Entering a task price” and “Entering a price on an assignment”.

What price is used for price calculations is determined by the value of Price Source on each line.

More about

  • Rates and simple rates

  • Setting up resource prices

  • Entering a price on an assignment

Entering a task price

You can enter a price per hour directly on each task. This is done using the “Price” field in a view, frame or tab showing tasks.

By entering a price on a task, you enter a specific price for all resources assigned to the task, thus overruling the regular prices charged for the individual resources.

This may, for example, be because a specific price for work on the task in question was agreed upon with the customer, regardless of the resources doing the work.

However, you can specify exceptions to the task price on each resource assignment line. For further information, see “Entering a price on an assignment”.

What price is used for price calculations is determined by the value of the Price Source field on each line.

More about

  • Rates and simple rates

  • Setting up resource prices

  • Entering a price on an assignment

Entering a price on an assignment

On resource assignment lines, you can specify both a Rate (see “Rates and simple rates”) and a Simple Rate which is an explicit price for the work by the resource in question on that particular task.

By entering rates directly on an assignment line, you indicate that the resource’s price per hour on the task in question is different from the regular price charged for the resource, as well as any price specified for the task.

This may, for example, be because the resource takes on a special role and therefore should be priced using a different Rate than usual.

What price is used for price calculations is determined by the value of the Price Source field on each line.

The assignment Rate is selected in the field Rate on the assignment line.

The Simple Rate for an assignment is specified in the field “Simple Rate” on the assignment line.

More about

  • Rates and simple rates

  • Setting up resource prices

  • Entering a task price

Prices on phases

On phases, you cannot enter any prices, as the phases only show summary revenue information based on the individual tasks and resource assignments.


About calendars and work hours

With calendars and work hour models, you can easily indicate the work hours of each resource on any given date.

Using this information, resource and project managers are provided with an accurate overview of the capacity available for a range of resources within a range of dates.

As work hours can be specified on a general level and on a resource specific level, the number of work hours applying to each resource on a given date is determined using a list of priorities.

The following sections describe how the capacity of a given resource on a given date is determined, and how to set up work hours for your resources on a general and date specific level.

  • About work week hour models

  • About common calendars

  • Personal calendars

  • Determining work hours for a specific date

About work week hour models

Using Work Week Hour models, you can enter the number of working hours on each weekday, from Monday through Sunday.

You can create multiple Work Week Hour models and assign them to different resources, for example to specify the standard working hours at individual locations or for individual positions.

The hours in the Work Week Hour model assigned to a resource apply on all dates for which no special work hours have been entered in the resource’s personal calendar or in the Common Calendar assigned to the resource.

The Work Week Hour model thus sets the basic daily work hours of the resources assigned to the model.

More about

  • Creating a work week hour model

  • Assigning work week hour models to resources

  • About common calendars

  • Personal calendars

  • Determining work hours for a specific date

About common calendars

Using Common Calendars, you can enter special work hours for specific dates.

The working hours entered for a specific date in a Common Calendar serve as exceptions to the hours specified for the corresponding weekday in the Work Week Hour model assigned to the resource.

You can create multiple Common Calendars and assign them to different resources, for example to ensure that national holidays and special events taking place locally are reflected in the work hours of each resource.

Personal calendars

Each resource is automatically assigned to a Personal Calendar in which you can specify personal exceptions to the hours specified in the Common Calendar and the Work Week Hour model assigned to the resource.

In the Personal Calendar you can, for example, enter information about vacation time and other personal absence on specific dates.

More about

  • Work hour calendar views

  • Setting special work hours for dates

  • Specifying non-working days/absence

Determining work hours for a specific date

Each resource is assigned to a Work Week Hour model, a Common Calendar and a Personal Calendar.

The combination of these three items determine the resource’s working hours on a specific date.

The number of work hours of a given resource on a specific date is determined using the following method, starting at step 1 and continuing down the list until a number of hours greater than zero has been found:

  1. If a number of hours have been specified for the date in question in the resource’s personal calendar, these hours apply

  2. If a number of hours have been specified for the date in question in the Common Calendar assigned to the resource, these hours apply

  3. If a number of hours has been specified for the weekday (Monday, Tuesday etc.) in question in the work week hour model assigned to the resource, these hours apply

  4. If no hours were found in the previous steps, the number of work hours is zero, and the date is therefore not considered a working day.

More about

  • Defining resource work hours

  • Assigning work week hour models to resources


About skills and skill levels

By assigning skill information to resources, you can maintain a detailed list of resource qualifications, making it easy to find the right resources for specific tasks.

You can therefore set up a list of skills that can be assigned to your resources. The list of skills can, for example, include different languages and technical skills.

Two employees possessing the same skill may not necessarily master it at equal levels. For example, one employee may speak Japanese fluently while the other is able to speak only simple sentences.

A skill definition can therefore be extended by assigning it to a skill level list containing the levels at which the skill can be mastered. The levels “Beginner”, “Trained” and “Experienced” could e.g. be included such a level list.

When you assign a skill to a resource, you can thereby also select the level at which the resource masters the skill, providing valuable input when assigning resources to tasks.

More about

  • Creating skills

  • Creating skill level lists and skill levels

  • Assigning skills to a resource


About data limitation

Data limitation serves two purposes: performance is improved, and only relevant data is present to the user. The facility works as a filter that prevents transferal of unnecessary data to the People Planner client.

The data limitation can be set at two levels: at the system level by an administrator; and for each user by themselves.

The system administrator can set a general (system) limitation, based on roles or resources. Within this limitation the individual users can set their own limitation.

System level data limitation

The system data limitation setup window (used by the administrator) is opened by clicking Views, Security, Data Limitation, System.

Once the window has opened, you can create a number of named data limitations, and set filters on projects and resources on each of them. You can then also assign resources or roles to the limitation.

This is how you create a data limitation:

  • You must be an administrator

  • Open the Data Limitation window as described above

  • Click New to start creating a limitation. You can go about creating a limitation in two ways:

You can click the Edit button, and open a form that allows you to set a range of options; or

You can add columns to the Data Limitation pane (where the Name and Description are the first time you open.) This is quick when you just want to add some simple limitations, for example by adding the “Projects Where I Am PM” column.

  • Once you click the Edit button, you can set limitations in a number of ways. Firstly, there is two tabs: Projects filter and Resource filter.

The Projects filter tab contains a list of options that you can select by checking them. You should be aware of the following: in a text such as “Projects where I am the project manager”, the “I” refers to the logged-in user. That is: when you add others users than yourself, this will mean their projects, and so forth, when they are logged in.

The Resources filter tab contains a similar list for resources.

On both tabs you will find a box below the list of pre-made filters where you can add you own, specific conditions. You can right-click the Add “button” to change to other operators (Or, Not And, ..) and the “+” button to add criteria. This will create a line with three parts: the first being a column chopser, the middle one being an operator, and the third one a value. You use this to build a condition.

You can then give the limitation a name, add a description, and save it.

  • Next, you will need to add users for whom this limitation will apply. You select users in the right-most pane, add assign them to the currently selected limitation by clicking the “<<“ button.

User level data limitation

Users can add further limitations that are only in effect for them, personally. This is done is a easy way: for example, in the list of projects, you can select some of the lines, and then click the XXX button in the bottom left of the window.

When you have created a limitation, it can be activated by opening the list of limitations YYY.


About different allocation accounts

On resource assignments, you can allocate hours on the individual days, weeks or months. This allocation can be made to a number of different, so-called accounts.

This allows you to create different time allocation scenarios that can easily be compared to the actual project plan.

You select the account to which you want to allocate hours using the "Show Accounts" button.

When you select an account, the time allocation cells (see “Allocating resource time”) in the Gantt chart show the hours already allocated to the selected account for each period, allowing you to change the allocations for the selected account.

The Man Hours account

The main account, to which all revenue and estimates relate, is called “Man Hours”. Hours allocated to this account form the basis of revenue calculation, and columns showing how much has been allocated and how much remains to be allocated on a project or assignment are based on the allocations made to the “Man Hours” account.

The “Man Hours” account is pre-defined in People Planner and cannot be deleted.

Other accounts

The other accounts available in the “Show Accounts” button have no impact on revenue calculations and estimates, but allow you to set up alternative allocation scenarios.

However, you can see for each WBS line the total number of hours allocated to the selected account, using the “Total Account/Total Requested/Total Man Hours/Total Allocated Hours/Total Budget Man Hours” field.

You can create additional accounts in the Accounts view.


Setting the number of decimals

It is possible to set the number of decimals allowed when entering hours in People Planner for entering, for example, hours. In order to do this you must:

  1. Close the People Planner application.

  2. Open the People Planner configuration. The “People Planner Administration Guide” contains more information about where the file is located. For a default, single-user installation it would be called “Configuration.MiConfig” and be in the folder “\Program Files\Marstrand Innovation\Maconomy People Planner\Settings”.

  3. There is a line in this file that specifies the number of decimals to use. It looks like this:

    4. <setting name=”NumberOfHourDecimals”>2</setting>

  4. The number of decimals can 0, 1 or 2. 2 is the default.


About templates

Templates can help you set up a WBS for your projects, based on experience from previous projects.

A template contains any number of WBS lines that can be copied to new projects or added to the WBS of existing projects.

You can create your own templates from WBS lines, either to be used as full project plans or as building blocks, for instance to allow project managers to insert a template and thereby automatically get the WBS of a whole phase.

Resource assignments to the WBS lines included in a template are also copied when creating new lines from the template.

More

  • Creating templates

  • Using templates at project creation

  • Inserting lines from template when defining project plan

Creating templates

Templates are created in the Project Manager Gantt Chart view using the Create New Project Template button.

  1. Select the WBS lines to be included in the template

  2. The template will include each selected line, as well as any children to these lines. Any resource assignments to the selected lines are also included in the template.

  3. Click the Create New Project Template button. A window is opened, in which you can specify the name of the new template as well as a description and categorization, to make it easy to pick the template in the relevant situations.

  4. When you have entered the desired information, click Ok to create the template.

  5. The template will appear in the Templates and Project Manager Gantt Chart views in which you can edit the template.

More

  • About templates

  • Using templates at project creation

  • Inserting lines from template when defining project plan

Using templates at project creation

When creating a new project in the New Project view, you can select a template and preview the resulting WBS before proceeding with the project creation.

This is done by marking the field “Use templates” and selecting the desired template. If you have also opened the Template Gantt Chart view, you can preview the WBS lines that will be copied to the new project.

By selecting a template at project creation, you are automatically provided with a predefined WBS based on experience in previous projects, and setting up the project plan is reduced to simply modifying the WBS by adding extra lines, removing irrelevant lines and adjusting the time schedule for each task.

More

  • About templates

  • Creating templates

  • Inserting lines from template when defining project plan

Inserting lines from template when defining project plan

When setting up the project plan in the Project Manager Gantt Chart, you can insert template WBS lines as building blocks.

For example, you may have set up templates containing snippets of a project plan needed for a specific phase or type of activity. By using templates this way, you are automatically provided with the WBS lines relevant for the phase or activity, and only have to make a few modifications.

You can insert a template so that its lines are simply added below the selected WBS line.

You can also insert a template as a child to an existing WBS line. This means that the template lines at the highest level will be inserted as children to the selected WBS line.

  1. Open the Templates view and the Project Manager Gantt Chart view

  2. In the Templates view, select the template to be inserted

  3. In the Project Manager Gantt Chart, select the line to which the template should be a child

  4. In the WBS ribbon, click the Insert Template or Insert Template as Child button, depending on whether the template lines should be inserted below or as children to the selected line

More

  • About templates

  • Creating templates

  • Using templates at project creation


About dictionaries

There is support for different dictionaries in People Planner. Dictionaries can be created and edited in the application itself, and then be exported to files and deployed. The exported file can be edited further, including in a translation tool such as Trados, or in Microsoft Excel, and then be imported back into People Planner for easy maintenance.

Dictionaries are maintained in the a window that you can open by clicking Views, System, Translations, Dictionaries.

There are two grids in the window: Source and Destination. Creating a new dictionary always start by selecting source and creating a new dictionary as a destination. In the drop-downs above each grid you can select what dictionary should be used as a source, and what should be the destination, respectively.

In order to understand this, you must in what order terms are looked and used. The order is this: Customer -> Solution -> Local -> Global. That is: when looking for a term, People Planer will look in the Customer dictionary first; if not found there, then in the Solution dictionary; and so forth. This implies that dictionaries need only contain a subset of the terms (except for the Global dictionary, which will always contain all terms in the “global” language.)

A new dictionary is created by selecting a Source, and using the >> button to create the Destination you need. For example, for localization purposes, Global would be used to create Local, and this Local dictionary would then be translated. After this, Local could be used to create Solution, which could contain the subset of terms that are solution-specific.

The names and locations of the dictionary files are set in the Configuration.MiConfig file. The files need to be exported, and deployed accordingly.

When you have installed a new dictionary, it is recommended that you use Optimize to optimize the dictionary. This will create an optimized and cached version of the dictionary.


About Importing from Microsoft Excel

About Microsoft Excel and other integrations

There is a separate document that contains information about how to set up integration with Microsoft Excel, as well as with other external applications.


About keyboard shortcuts

All keyboard shortcuts are defined in the file called KeyboardShortcutBindings.xml. This file is located in the Settings subfolder of the People Planner installation folder.

The format is quite simple:

<Bindings ItemName="MiSaveDataFileButton" Keys="CtrlS" />

ItemName is the name of the item (button) that the shortcut is for. So, this is the keyboard shortcut for the Save Data File button, and the shortcut is Ctrl + S.

The files contains all the items that can have a shortcut. The item names are the “generic” ones, so depending on what dictionary you are using you may or may not be able to deduce what the button is in your installation.

You can, however, use the dictionary tool to find the exact label used for the button in you installation: this “generic” string in the shortcuts file corresponds to the “Source” column in the dictionary tool.

The actual short key is entered in the file as combination of Ctrl, Alt and Shift and “normal” keys. As you can see in the example above, The resulting string must be concatenated so that it does not have embedded whitespace characters.

Changes to the shortcuts will be in effect after the file has been saved, and People Planner is started. If People Planner is already running, you must restart it.


Creating and changing main display views

The Main Displays perspective contains two windows: the "New Main Display View" for creating a new main display view, and "Main Display Views" for editing or deleting existing main display views. Note that you cannot delete or change the main display views that are defined by Maconomy and that are installed with People Planner (but users can hide them if they so desire, as described in this topic: Main display view.)

You can use the settings of these predefined views as inspiration for creating you own, according to your specific needs.

Creating a main display view

You must give a main display view a name before ot can be saved. This is also the name that users will see as a menu item in the Main Display drop-down.

Summations in Gantt chart

This group of settings are used for specifying how summations should work in the Gantt chart:

WBS Summations in Gantt

This setting is used to determine how date from WBS structures are summed up. The possible settings are:

  • None: no summations
  • Direct Only: direct descendants are summed up
  • Bottom/Up: all descendants are summed up

Aggregation

This setting is used to determine how aggregated data works. The possible settings are:

  • None: no aggregation
  • Bottom/up: all descendants are aggregated

Show levels

This setting is used to determine how many levels of the WBS that should be shown. The possible settings are:

  • All: all levels are shown
  • Level 1..9: only the first 1 to 9 levels (from the top down) are shown

Show available capacity in Gantt columns

This is a true/false setting (true when the check box is ticked). If true, then available capacity is shown in the Gantt charts (allocated capacity is always shown).

Display

In the Display part of the window, you can set up what is going to be shown in the Gantt chart:

When columns are grouped Gantt shows

This setting determines what to show in the Gantt chart when columns are grouped. The possible settings are similar to the functionality of Grouping toolbar button described here: Toolbar Buttons

At the end of each Gantt stick show

This setting is used to determine what is shown at the end of each stick in the Gantt chart. The possible values are:

  • Show Nothing: nothing is shown
  • Show Names: shows resource names
  • Show Initials: show resource initials

Which accounts should appear in the Gantt chart

There are individual settings for the first and for the second column. For each of the columns, these are a large number of accounts that you can add to the Gantt chart - basically all.

Show progress

When this check box is ticked, the Gantt chart will include a calculation of the progress, based on the ETC and External Actuals columns.

Columns

Below the areas where you set up summations and the display, you can choose the columns to include in the Gantt. You can open a standard column chooser by right-clicking, and you can create groupings by dragging column headers into the area above the columns.

You can preview you display view, and you can give it a name and save it.


Settings

This view is used to set up various aspects of People Planner. The settings are store in the People Planner database. Note that some settings may appear dimmed: this means that they are maintained in the Admin tool, but are shown here for easy reference.

The settings are grouped according to their functional area.

Colours in the Resource Manager Gantt chart |
Above Capacity Booking | This colour is shown whenever a resource is booked more than the available capacity. The colour is used in the Resource Manager Gantt chart and the Assignment Gantt chart.
Below Capacity Booking | This colour is shown whenever a resource is booked less than the available capacity. The colour is used in the Resource Manager Gantt chart and the Assignment Gantt chart.
Colour for calculated columns | This is the colour used for a calculated column that has been inserted in a grid.
Colour for not-restored columns | If you use a perspective in People Planner that contains a calculated column, the column also has to be created in the database. This happens automatically when the column is created. However, if the perspective is imported from another database, the column only exists in the perspective and has to be restored. Not-restored columns will use the colour specified in this setting.
Colour intervals in the resource Gantt chart | In the Resource Gantt chart, the colour can set to change based on the load as a percentage of the capacity. If for example the resource is loaded 50%, the colour could be changed to another colour if the resource is loaded 80%.

E-mail |
Email address scheduled task | Set in Admin tool - information only here. This email address is notified of schedules task results (if you are using scheduled tasks.)
Email address People Planner | Set in Admin tool - information only here. The emails mentioned above will have this address as the sender.
Host name for the mail server | Set in Admin tool - information only here. The host that will be used to send emails.
Password for email notification | Set in Admin tool - information only here. Not revealed here...
Port number for the email server | Set in Admin tool - information only here. The port number that the email server uses to send.
Username for email authentication | Set in Admin tool - information only here. The user name used for sending emails.

Date interval in the Gantt charts |
Maximal End Date | The date in this field specifies the last date that is visible in the Gantt charts
Minimal Start Date | The date in this field specifies the first date that is visible in the Gantt charts.

License |
Directory | Specifies the folder location of the People Planner license file. The file has to be placed on a file server that is accessible from all People Planner client machines.
File Name | Name of the People Planner license file name.

Maconomy Integration |
Budget type when exporting WBS to Maconomy | When you export a WBS to Maconomy from People Planner you can specify what budget type in Maconomy the WBS should be exported to. The budget type specified here must exist in Maconomy.
Default end date for imported Projects | When importing a project initially from Maconomy you can control the end date of the project in People Planner with this setting.
Template Project budget type | If you import Templates as part of the People Planner master data, you can use this setting to specify which budget type (in the template project) in Maconomy that should be imported into People Planner
Billing price on resources | When importing employees from Maconomy, you can specify if the billing price from the employee card in Maconomy of the employees should be included in the import.
Load Replay Data | This setting is used to load (import) recorded import data into People Planner. It can only be set in the Admin tool. This a feature used for debugging.
Maconomy Enterprise Currency | In Maconomy, you can set up an Enterprise currency. People Planner does not support multicurrency. If you import recognized revenue from Maconomy, the figures could be in different currencies. Therefore, the figures for recognized revenue shown in the Resource Gantt Chart are the enterprise currency numbers from Maconomy. With this setting you can select what enterprise currency is used in the Maconomy database you are connecting to.
Maconomy Web service Proxy | Set in Admin tool - information only here.
Maconomy Web service URL | Set in Admin tool - information only here.
Maconomy Web service URL be the People Planner API | Set in Admin tool - information only here
Maconomy Web service URL be the scheduling service | Set in Admin tool - information only here
Master data Import elements | In this drop down you can add and remove elements from the Master Data integration from Maconomy
Request encoding | Set in Admin tool - information only here.
Save Replay Data | This setting is used to save (export) recorded import data from People Planner. It can only be set in the Admin tool. This a feature used for debugging.
Task Finish time field | If you use a time finish field on the Job budget lines in Maconomy in combination with the finish date, you can specify what field from the Maconomy Job Budget line you want to use for this purpose. Remark 1-10 is default, but you can type the name of other fields from the Maconomy job budget line database table if you need to.
Task Start time field | If you use a time start field on the Job budget lines in Maconomy in combination with the start date, you can specify what field from the Maconomy Job Budget line you want to use for this purpose. Remark 1-10 is default, but you can type the name of other fields from the Maconomy job budget line database table ifyou need to.
Timeout Web service (seconds) | Set in Admin tool - information only here
Web service password | Set in Admin tool - information only here
Web service username | Set in Admin tool - information only here
Maconomy field for People Planner ID on WBS | When you import a project from Maconomy the project can contain some job budget lines. In order for People Planner to recognize the WBS (Work breakdown structure) for each job budget line, a field on the job budget line must be specified. Remark 1-10 is default, but you can type the name of other fields from the Maconomy job budget line database table if you need to.

Services |
The wake-up interval | This setting can only be changed in the Admin tool. It specifies the wake-up interval (in milliseconds) of the task scheduler service.

Show assignment lines in the resource Gantt chart |
Assignment filter timespan for “Default” filter | If you choose the the value "Default" in the "Default assignment filter" setting, you can set the number of days in this setting.
Default assignment filter | This setting specifies what should be the default drop down value in the popup field “Assignment filter” in the resource Gantt chart. The setting only changes views, not perspectives.
View future days ahead | If you choose the value “Custom” in the setting “Default assignment filter”, you can specify the future number of days visible. Assignment lines related to tasks and projects that start within the number of days will be visible.
View past days back | If you choose the value “Custom” in the setting “Default assignment filter”, you can specify the past number of days visible. Assignment lines related to tasks and projects that end within the number of days will be visible.

System |
Default view in Gantt charts | When opening Gantt chart views you can specify what should be the default view: Day, Week or Month
Default workday length | Specifies the work day length in My Plan and the scheduler component
Default Work day Start time | Specifies the work day length in My Plan and the Scheduler component
Is company and department independent | In the company view you can add a subgrid containing departments in the company .In order to have this functionality this setting must be set to false. Note: When using the Maconomy integration the setting must be set to true
Is the solution also using Maconomy? | When set, this will disable the "Duplicate" button in some views .When integrating with Maconomy, this button can be very risky, and should be disabled.
Is this a People Planner Plus installation? | If you use a People Planner Plus solution you create the tasks on a project from People Planner and send them to Maconomy If you are using the People Planner Plus solution this setting must be active.
Maximum number of project levels | If you use main project and subprojects, this setting specifies how many levels of subprojects you can have. Standard is 2, meaning you can work with a main project (level 1) that can have a number of subprojects (level 2) – but you cannot add a subproject to the subproject (level 3). Note: If the system is setup to import projects from Maconomy the setting has to be 2.
Number of decimals shown on posts | In People Planner My Plan you can have a long list of resources that can be displayed in the calendar.This setting sets how many resources are shown in each page (for performance reasons)
Number of resources per page in the Scheduler component | If you use the Scheduler component in People Planner you can specify how many resources you want to see per page.
Resource Selector Group by field | In the Scheduler component you can use a field (primarily a dimension) that represents the executing department used in Maconomy. Then the resources are grouped in the scheduler by the value in this setting.
Shall all users synchronize with Exchange? | With this setting you can specify if all resources should automatically be included in the exchange synchronization. If this is the case then this setting should be ticked. If the setting is not ticked, you can specify on each resource in the resource view in the field “Synchronize this resource with Exchange” if the resource should be included in the synchronization or not.
Show only work hours in scheduler | With this setting you can specify if only work hours should be shown in the scheduler.
Smallest plannable time unit | With this setting you can specify what the lowest plannable time unit is.
Weekends are displayed in Month view | Specifies if the month view in the Scheduler component should include weekends